commit d5187355f6e0de529b562569509a1851dda7ad84 (HEAD, tag: 1.0.30, origin/release/1.0.30, refs/pipelines/146848673)
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-17 20:16:28 +0900

    NEWS: Document changes for 1.0.30 release

commit 1fe94e6674d0572d2408361903730f012c60fc6c
Merge: 898ab1834 5104b80fc
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-17 16:26:00 +0900

    Merge branch '279-confidential-issue' into release/1.0.30

commit 898ab1834864e3b813f0d0ae234f38ac05813756
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-02-06 20:56:21 +0900

    Really remove libxml2 linker/loader flags from dependencies.  Re #239

commit 76bf742aba32ec1ed4ae641285f8e6a0b038326d
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-02-05 21:30:11 +0900

    Remove libxml2 linker/loader flags from dependencies.  Re #239

commit 5104b80fc8f0d6528b856233a52846a414ae6616
Merge: f38c9f0d6 30b1831a2
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-14 09:36:25 +0000

    Merge branch 'mitigate-epsonds-net-security-issue' into '279-confidential-issue'

    epsonds: Mitigate potential network related security issues.  Re #279

    See merge request paddy-hack/backends!9

commit 30b1831a28f24ab2921b9f717c66d37f02bb81cc
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-11 21:07:12 +0900

    epsonds: Mitigate potential network related security issues.  Re #279

    This pre-empts the possibility of triggering GHSL-2020-079, GHSL-2020-080
    and GHSL-2020-081.

commit f38c9f0d64a52697562abdfbf9c9044cb1b7e897
Merge: 3d005c257 b9b017340
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-07 09:42:42 +0000

    Merge branch 'issue09-esci2-img-buffer-size-check' into '279-confidential-issue'

    epsonds: Prevent possible buffer overflow when reading image data

    See merge request paddy-hack/backends!8

commit 3d005c2570a71fe93a63192d9c47ee54cb39049b
Merge: 226d9c928 27ea994d2
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-06 04:06:49 +0000

    Merge branch 'issue05-out-of-bounds-read-decode_binary' into '279-confidential-issue'

    epsonds: Do not read beyond the end of the token

    See merge request paddy-hack/backends!5

commit 226d9c92899facf4b22b98c73be6ad2cd0effc4a
Merge: 02b5d33b7 db9480b09
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-06 04:05:59 +0000

    Merge branch 'issue07-out-of-bounds-read-in-esci2_check_header' into '279-confidential-issue'

    epsonds: Read only up to seven hexdigits to determine payload size

    See merge request paddy-hack/backends!6

commit 02b5d33b7a7c0b72137f5b968c46a1d52a75aa63
Merge: 4c9e4efd4 8682023fa
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-06 04:04:18 +0000

    Merge branch 'issue08-integer-overflow-sanei_tcp_read' into '279-confidential-issue'

    sanei: Integer overflow sanei tcp read

    See merge request paddy-hack/backends!7

commit 4c9e4efd4a82214719eeb1377a900e3a85c1c369
Merge: 2b4aa45ba fff83e7ea
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-06 04:03:19 +0000

    Merge branch 'issue01-null-pointer-deref-sanei_epson_net_read' into '279-confidential-issue'

    epson2: Rewrite network I/O

    See merge request paddy-hack/backends!3

commit 2b4aa45bad61d5e34996645581a606fd8795a48c
Merge: 37b142494 07e383412
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-04 08:24:19 +0000

    Merge branch 'issue11-read_of_uninitialized_data' into '279-confidential-issue'

    magicolor: Added security mediation to device discovery

    See merge request paddy-hack/backends!2

commit 37b142494bf659d8147b6f0fcb8629408717d14d
Merge: e52a5bf71 af0442f15
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-04 05:28:37 +0000

    Merge branch 'issue10-SIGFPE-in-mc_setup_block_mode' into '279-confidential-issue'

    magicolor: Added security remediation for pixels_per_line.

    See merge request paddy-hack/backends!1

commit 8682023faa27c61156a354955c89617a3304d66f
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-04 11:54:35 +0900

    sanei_tcp: Address possible integer overflow.  Re #279, issue 8

commit fe08bbee6b238ea0be73af67b560ffc2c47562fd
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-04 11:48:46 +0900

    epsonds: Handle error condition.  Re #279, issue 8

commit 07e3834127f8bcd9dac02b91c17127dc41fbfb5b
Author: Ralph Little <skelband@gmail.com>
Date:   2020-04-30 23:21:00 -0700

    magicolor: Added security mediation to device discovery

    Extraction of values from the SNMP response were not checked.
    Also fixed a bug that mistakenly matched any SNMP OIDs with the
    first model in the model list, in function mc_get_device_from_identification().

commit fff83e7eacd0f27bb2d71c42488e0fd735c15ac3
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-04-30 18:24:51 +0900

    epson2: Rewrite network I/O

    This addresses GHSL-2020-075 as well as all other problematic code
    uncovered as a result of investigating that.  This includes:

    - buffer overflows due to use of unchecked lengths
    - integer overflows due to type conversions
    - potential memory leaks
    - checking for memory allocation failures

    Re #279.

commit 27ea994d23ee52fe1ec1249c92ebc1080a358288
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-04-30 21:15:45 +0900

    epsonds: Do not read beyond the end of the token

    Addresses GHSL-2020-082, re #279.

commit b9b0173409df73e235da2aa0dae5edd21fb55967
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-04-27 18:48:29 +0900

    epsonds: Prevent possible buffer overflow when reading image data

    Addresses GHSL-2020-084, re #279.

commit db9480b09ea807e52029f2334769a55d4b95e45b
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-04-27 18:24:56 +0900

    epsonds: Read only up to seven hexdigits to determine payload size

    Addresses GHSL-2020-083, re #279.

commit af0442f15cc966bbc3d7d9322380005ea0ee8340
Author: Ralph Little <skelband@gmail.com>
Date:   2020-04-26 13:04:41 -0700

    magicolor: Added security remediation for pixels_per_line.

    This implements a security issue reported by GitHub Security Lab.
    The details are disclosed in GitLab issue #279.
    The issue relates to an invalid scan parameter block being sent to
    the backend containing 8 bytes of 0x00 which leads to pixels_per_line
    being set to 0. Later arithmetic involves the division by this value
    which causes a div by zero crash.

commit e52a5bf71979365a028bbf8aa5bd5e5e6b983b7f (tag: 1.0.29)
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-02-02 20:19:37 +0900

    NEWS: Update with changes committed to the release/1.0.29 branch

commit f35aab0de76a720615da845e04b9f8863ed01bd7
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-02-02 20:07:39 +0900

    po/*.po: Update Project-Id-Version of several translations

    This only affects those languages for which translatable messages have
    been updated since the last release (1.0.28).

commit 0c90e6bdef277bdc497d875f31d2dee6d5a71301
Merge: 3c714b48a 8bc98d0f7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-19 13:09:24 +0000

    Merge branch '225-fix-genesys-testsuite-compiler-warning' into 'release/1.0.29'

    Resolve "genesys test utility generates a compiler warning on Debian 10"

    See merge request sane-project/backends!309

commit 3c714b48afb7eeaff54a4e6212c111647a803153
Merge: 3825e0ca6 fe38a70d7
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-01-18 19:59:38 +0000

    Merge branch 'de-minimal-translation-updates' into 'release/1.0.29'

    Minimal German translation updates

    See merge request sane-project/backends!312

commit fe38a70d73c0f677fb4b10b865be464252c6c32a
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-01-18 12:13:30 +0900

    po/de.po: Cherry pick fixes for fuzzies and untranslated messages

commit 3825e0ca6496b1de08b847c802125c655ad025f2
Merge: f22dc84b7 b91dca43d
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-01-18 02:53:48 +0000

    Merge branch 'bellaperez/cat_translations' into 'release/1.0.29'

    Update Catalan and Valencian translations

    See merge request sane-project/backends!311

commit b91dca43d504e2019521e49b3abc8d259d92c9aa
Author: Antoni Bella Pérez <antonibella5@yahoo.com>
Date:   2020-01-18 02:53:48 +0000

    Update Catalan and Valencian translations

    Adapted and tested:
     * msgmerge --silent --previous --width=75 --lang=
     * msgfmt -vc

commit f22dc84b71a95afb01a41ad38b87b10f9e2baa83
Merge: 77c92f49a f72862ddf
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-01-14 13:05:02 +0000

    Merge branch 'undefined' into 'release/1.0.29'

    Update Ukrainian translation

    See merge request sane-project/backends!305

commit f72862ddf8b4dac5857cc9858f2d3ee6efca63ff
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   2020-01-14 13:05:02 +0000

    Update Ukrainian translation

commit 8bc98d0f7d37bec2dc77d8fea5d57e95ba1534a8
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-01-13 18:37:21 +0900

    testsuite/backend/genesys: Fix include path for out-of-tree builds

commit ba84a8f69c5277723df6e77c53521365a7645558
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-01-13 18:35:33 +0900

    testsuite/backend/genesys: Fix [-Wcatch-value=] compiler warning

    Exceptions ought to be caught by reference.

commit 77c92f49af02a9cb4389ddc2473e68dbed32642a
Author: Gerhard Jäger <gja@sysgo.com>
Date:   2020-01-13 09:38:30 +0100

    Issue#113: Fix applied (thanks David Binderman).

commit d36a9ba786d10b302a40a92cdeb55da74a363809
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-01-12 21:07:18 +0100

    INSTALL.linux: add missing development packages

    these packages are mandatory for building escl backend

commit 4a9c723646cfbd7a6df976e24284f24986f28038
Merge: ca63c6cf9 cc31c110c
Author: Ralph Little <littlesincanada@yahoo.co.uk>
Date:   2020-01-12 19:37:39 +0000

    Merge branch 'uk-english-translations' into 'release/1.0.29'

    Update British English translations

    See merge request sane-project/backends!306

commit cc31c110c94d03f0895cd94bf82e139ba89b9e92
Author: Ralph Little <skelband@gmail.com>
Date:   2020-01-12 10:39:27 -0800

    Updated British English translations

commit ca63c6cf9a387c594e8995cfc3fdf94d1858a86c
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-01-12 21:28:21 +0900

    NEWS: Add most relevant changes for 1.0.29

commit 7b45c89b023dd902cd6d8d81713e977df4caa444
Merge: 0f394f55e 055cd9f28
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-01-12 08:26:50 +0000

    Merge branch 'dll-conf-sync' into 'master'

    Synchronize dll configuration file

    See merge request sane-project/backends!304

commit 055cd9f28211cc72436827f264a87d645f9212ad
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-01-12 17:11:40 +0900

    dll: Sort dll.conf.in for ease of maintenance

    Only the `net` backend is treated special to match the file comment.

commit 4f77e6dcfa4532741370096f2d517cdc9d0fe8d8
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-01-12 17:10:38 +0900

    dll: Add kvs40xx and pieusb backends to dll.conf.in

commit 0f394f55ed5daf742f62f4139b0f5c89572aa6e5
Merge: 42b256247 2b927f165
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-01-12 07:44:10 +0000

    Merge branch 'i18n-update' into 'master'

    I18n update

    See merge request sane-project/backends!303

commit 2b927f165b08dcef3c207e36597a45878c956676
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-01-12 16:26:15 +0900

    po: Synchronize message catalogs with latest code

commit f094033990ee1f1106299dbc70e5491328ed3700
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-01-12 15:10:32 +0900

    po: Regenerate POTFILES.in

    The file now contains only those backend files that mention SANE_I18N
    and contains all of them.

commit 8ae5ba0522c139f4958d91620fd5c94cc94905d6
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-01-12 14:46:14 +0900

    escl: Use standardized, translated option group titles

commit 42b256247061aedf0c4adb3e324d122329b09118
Merge: 75162d0f0 d40a8ff90
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-01-12 03:37:34 +0000

    Merge branch 'escl-debug' into 'master'

    Log message improvements.

    See merge request sane-project/backends!302

commit 75162d0f005a5e89f8815dce27abc9a2e0cbbc01
Merge: d9188a769 3e49c3af0
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-01-12 03:19:00 +0000

    Merge branch '201-old-incorrect-link-in-sane-man' into 'master'

    Resolve "Old, incorrect link in sane.man"

    Closes #201

    See merge request sane-project/backends!291

commit d9188a7699a6db1f5925c1ac80c0ea7a880283ce
Merge: 0830b8391 c821f277f
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-01-12 03:16:45 +0000

    Merge branch '153-is-pthread_t-check-for-non-integers-still-neccesary' into 'master'

    Resolve "Is pthread_t check for non-integers still necessary?"

    Closes #153

    See merge request sane-project/backends!289

commit 0830b83915900bb1f936372adaafd00f814a5eae
Merge: aedebecef c4a88e6bf
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-01-11 15:50:06 +0000

    Merge branch '188-hp-scanjet-3670-fails-to-scan-at-75dpi' into 'master'

    Resolve "HP ScanJet 3670 fails to scan at 75dpi"

    Closes #188

    See merge request sane-project/backends!298

commit d40a8ff90da71193762dc46518f2eba58799707b
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-01-11 09:15:51 +0100

    Delete unused file.

commit d8f983bbd9cd1e02ecf5a80b9250cd314ae4b541
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-01-11 08:56:46 +0100

    Log message improvements.

commit aedebecef790867c390e97e05741965f53a8e3e0
Merge: 28264dcfd 913be9367
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-01-09 12:27:11 +0000

    Merge branch 'escl-integration-fixes' into 'master'

    Escl integration fixes

    See merge request sane-project/backends!299

commit 913be9367248966c2f346244d8968fa71787a73c
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-01-09 21:09:47 +0900

    escl: Mark backend as new for upcoming release

commit e5e601379cef583a5541c9eeaa43cbbe5438f071
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-01-09 21:09:06 +0900

    dll: Enable loading of escl backend

commit 28264dcfd825d7c2f84e3cd7e117ee7e831ba11d
Merge: 8b611a252 74131ede6
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-01-08 11:29:40 +0000

    Merge branch 'escl-Securing-libcurl' into 'master'

    Escl securing libcurl

    See merge request sane-project/backends!297

commit 8b611a252d40b5bdab3c6b3135fe3300b63088b7
Merge: bc804f564 66ec4dda2
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-01-08 11:28:08 +0000

    Merge branch 'escl-Memory-and-file-handle-leak' into 'master'

    Escl memory and file handle leak

    See merge request sane-project/backends!296

commit c4a88e6bf4a2e153ec667f811dfdeb35ef2e9464
Author: Ralph Little <skelband@gmail.com>
Date:   2020-01-07 22:52:14 -0800

    genesys: renamed HP ScanJet 3670C to 3670. Model has no C suffix

commit 88ea0d48e7357799e33a7352e73694967857e502
Author: Ralph Little <skelband@gmail.com>
Date:   2020-01-07 22:36:09 -0800

    genesys: added 50dpi to HP ScanJet 3670 backend

    Windows driver supports 50dpi as the lowest mode.

commit bc804f56410c2eb4347650733eda8a3c415d6b32
Merge: dad063068 bd2d5f5e7
Author: Louis Lagendijk <louis@fazant.net>
Date:   2020-01-07 16:07:46 +0000

    Merge branch 'pixma_bjnp_model_not_found' into 'master'

    pixma_bjnp: Report that scanner model is not supported as suggested in issue #69

    See merge request sane-project/backends!293

commit bd2d5f5e7d6dc2047448e5e027d94d753dc7baef
Author: Louis Lagendijk <louis@fazant.net>
Date:   2020-01-07 16:07:46 +0000

    pixma_bjnp: Report that scanner model is not supported as suggested in issue #69

    pixma: Improved logging for search for scanner model
      Moved lookup_scanner from pixma_io_sanei.c to pixma_bjnp.c

    pixma_io_sanei.c: fix whitespace

commit 74131ede6c6438d215b324a5ee23c09a0efc0a6a
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-01-07 14:14:19 +0000

    Add header curl.

commit 94daddc6bd15c1975dc66dcd97d5fb2ca4567c92
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-01-07 15:01:47 +0100

    cURL global init/cleanup issues.

commit 66ec4dda26016457d145f1438e8494c5f872f7c1
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-01-07 14:07:29 +0100

    Buffer overflow.

commit 7e192f8ba7f99fddb33862efad6d7ac8790f6296
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-01-07 14:06:11 +0100

    Memory and file handle leak.

commit dad063068dc9738143d417223e8780f7b6a480ba
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-01-05 12:49:20 +0100

    pixma: backend version 0.27.0

commit 4a0d222e88b6dd0699d7d98b660a3c6672d0a382
Merge: ba2f14fde b7e0d9afa
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-01-05 11:45:51 +0000

    Merge branch 'pixma/move-to-subfolder' into 'master'

    move pixma source files to subfolder

    See merge request sane-project/backends!290

commit b7e0d9afae230a8ae6b552297a58bc8b7efdf44b
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-01-02 13:56:05 +0100

    pixma: fix comment

commit 7b228be5e7dad536640abb91ec6db605c956e1f5
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-01-02 12:36:49 +0100

    pixma: move source files to subfolder

commit ba2f14fde17ebff30261551d1fad1aa8c311ca40
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-01-04 12:39:59 +0100

    pixma: backend version 0.26.1

commit c2e512db8b438f40627c7d2de2b5fdbf9cb64729
Merge: b30784a73 d910d52da
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-01-04 11:23:36 +0000

    Merge branch '183-add-support-for-canon-mf743c' into 'master'

    Resolve "Add support for Canon MF743C"

    Closes #183

    See merge request sane-project/backends!258

commit d910d52dabb983fa190ac92864a1069895572ed8
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-12-19 20:07:16 +0100

    pixma: restrict ADFDUP scans to 300dpi for i-SENSYS MF741C/743C

commit cf506daab35626c10c690ee36ad0935f8da0d658
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-12-15 11:56:47 +0100

    pixma: new scanner Canon i-SENSYS MF741/743

commit 3e49c3af0b3a4034dd62df4ee46f7c959c1f929f
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-01-04 15:37:51 +0900

    sane.man: Drop outdated link for coolscan2 backend

commit 70cfd20c206e0b248d08b8cc9ebd666fe620d7c7
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-01-03 18:32:01 +0100

    update last edited date

commit 59bd48ea7275c94b1d0590af7a72f334dad204c2
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-01-03 18:31:31 +0100

    update pixma backend description

commit b30784a73015fd00a5edf95628188f577158666a
Author: Jakub Benda <jakub.benda@open.ac.uk>
Date:   2020-01-03 19:48:37 +0300

    xerox_mfp: Fix Samsung CLX-3175FW color scan "Not a JPEG file"

    Exclude "Samsung CLX-3170 Series" from JPEG mode. Closes #200.

    Reference: https://gitlab.com/sane-project/backends/issues/200

commit 8d022c29b25f9529d0c090070f37e37b66aa9e10
Merge: 3a1d6dbb9 5927ecfa2
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-01-02 10:57:08 +0000

    Merge branch 'escl-png' into 'master'

    Added PNG and TIFF decoder.

    See merge request sane-project/backends!283

commit 5927ecfa2a5212eb71731926fea7e57d10e3a5e3
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-01-02 09:39:16 +0100

    Using strcmp instead of strncmp, strncmp is not justified.

commit 3a1d6dbb96def4e7be4058a19ee29f0d0256a425
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-12-31 12:49:40 +0900

    .gitignore: .dirstamp files and *-s.cpp files

    [skip CI]

commit c821f277f3149a0ab57940e2512e893c6f886a20
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-12-31 12:33:13 +0900

    build: Rename *THREAD_LIBS parameters

    This aims to clarify the purpose of each parameter: SANEI_THREAD_LIBS
    for any code that uses sanei/sanei_thread.c and a plain PTHREAD_LIBS
    for code that uses the pthread library directly.

commit 9050ae3b6a3489a78c791ca0c3aa71d13e68d966
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-12-31 12:14:46 +0900

    mustek_usb2: Remove unneeded linking arguments

commit 378a85fe0960e7969e552325f9cf774fdfc45852
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-12-31 11:55:31 +0900

    Don't disable backends using pthreads directly.  Fixes #153

    The use of pthreads was disabled in case of a non-integral pthread_t
    type in 756d286f3605143b26471eb7e1e7a45bc7ba356a as the sanei_thread
    implementation assumes an integral type.  This also disabled building
    of the kvs40xx and mustek_usb2 backends which use pthreads directly.

    This re-enables the build of these backends.

commit fa882855be117ae74e49e72ac7d483209e414788
Merge: 75310001f adaef0435
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-12-30 07:06:02 +0000

    Merge branch '120-fix-all-compiler-warnings-on-the-debian-10-builds' into 'master'

    CI: Turn compiler warnings into errors on Debian 10.  Fixes #120

    Closes #120

    See merge request sane-project/backends!288

commit adaef0435a77b48c777f720036f288611762cb5f
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-12-30 15:48:56 +0900

    CI: Turn compiler warnings into errors on Debian 10.  Fixes #120

commit 75310001f1765f6e9c083c89c3b894e6f97abf3a
Merge: b2c83de8a b4ce71997
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-12-30 06:19:39 +0000

    Merge branch 'fix-kvs40xx-cast-function-type-warning' into 'master'

    kvs40xx: Fix [-Wcast-function-type] compiler warning.  Re #120

    See merge request sane-project/backends!229

commit b2c83de8a41286faee798b1300aa48de6f43a203
Merge: a9ab9df99 4c8e4dd93
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-12-30 03:11:15 +0000

    Merge branch '196-fix-compiler-warning-for-pieusb-backend' into 'master'

    pieusb: fix compiler warnings

    Closes #196

    See merge request sane-project/backends!287

commit 4c8e4dd934efe3d204c3dd9b0bf15463fb640d4b
Author: Klaus Kämpf <kkaempf@suse.de>
Date:   2019-12-23 19:43:43 +0100

    pieusb: fix compiler warnings

    fixes #196

commit a9ab9df99738d74759a9e8775b3aa2ffa2023f49
Merge: 6f34396ab 7f9771249
Author: Ralph Little <littlesincanada@yahoo.co.uk>
Date:   2019-12-29 19:08:01 +0000

    Merge branch '198-fix-compiler-warning-in-scanimage-frontend' into 'master'

    Resolve "Fix compiler warning in scanimage frontend"

    Closes #198

    See merge request sane-project/backends!286

commit 160b63a9c2c5fee2703c1e14fc8d5a77904cb055
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2019-12-29 10:52:11 +0100

    Using strcmp instead of strncmp, strncmp is not justified.

commit 925bf77419967cbd1fa667214cee31f7675dc76f
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2019-12-29 10:50:43 +0100

    Removing the png and tiff test from the header.

commit 7f977124917b4b9d65ce0e8ececd93777fbe07a1
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-12-29 17:37:17 +0900

    scanimage: Combine conditions to reduce nesting

commit 6f34396ab4938bfabfbe3b7db1e24eb1b45706ab
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-12-28 13:58:11 +0100

    pixma: backend version 0.26.0

commit eae4137ae1ee19fc2743ae62558f9a62cf8be7b5
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-12-28 13:55:26 +0100

    pixma: update date of man page

commit a7c78f41d6ba81d746384b3b43a15286b14ae578
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-12-28 13:45:02 +0100

    pixma: reorder scanner defines

commit c83b1a17d23512cd43fd1425f81923f0666c51e9
Merge: b1ad53fff 18670166a
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-12-28 12:53:52 +0000

    Merge branch 'master' into 'master'

    Add model 2019: G6000, G6080, TS5300, TS5380, TS6300, TS6380, TS7330, TS8300,...

    See merge request sane-project/backends!226

commit 18670166a68c90394de1366e3d7fffcf69ed5136
Author: Ordissimo <thierry@ordissimo.com>
Date:   2019-12-28 12:53:52 +0000

    pixma: Add model 2019: G6000, G6080, TS5300, TS5380, TS6300, TS6380, TS7330, TS8300, TS8380, TS8330, XK60, TS6330, TS3300 and E3300

commit b1ad53fff5687df439b0cc2a3f50ffa731226e43
Merge: bac0c4abc a297073bc
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-12-28 13:34:47 +0100

    Merge branch 'perillamint/backends-add-canon-pixma-g2010-support'

    pixma: Add support for Canon PIXMA G2010 Series

    see merge request sane-project/backends!223

commit a297073bc9d91aea9ebbfff721c6dd27dd415c0d
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-12-28 13:26:54 +0100

    pixma: Canon PIXMA G2010 Series is working

commit aa76967917e5118362f21f4fa9c67f4da2b8473d
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-12-28 13:26:11 +0100

    pixma: fix device define for Canon PIXMA G2010 Series

commit 4fbb5d2f1b7068ed8b312c43d72e88f69356a757
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-12-28 18:52:59 +0900

    scanimage: Use destination size to limit strncpy()

commit df114df05f8fdb8b3086608ed2d0bf5012b236b5
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-12-28 18:46:02 +0900

    scanimage: Replace string length computations by temporary strings

    This creates temporary strings that correspond to the colon-delimited
    username and password that are read from file in `auth_callback()`.
    The null-terminated strings are used directly to determine lengths.

commit 6682223b260f00ebe936307997e90e79712cd94a
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-12-28 18:26:43 +0900

    scanimage: Improve readability of auth_callback implementation

    Rather than repeatedly calling `strchr`, use descriptive variables to
    hold the result.

commit 5e6a111ffa3c8bd1218dd36284ddcb3537ecfe97
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-12-28 18:03:00 +0900

    scanimage: Un-word-wrap auth_callback to improve readability

    This is one of those cases where word-wrapping to less than 80 or so
    characters isn't helpful in understanding the code.

commit bac0c4abcef14bb6e777cf2a5294cc5ec0838593
Merge: e80034a6e 5275b3bbd
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-12-28 05:55:59 +0000

    Merge branch 'escl-discovery' into 'master'

    Solves the problem of HP device discovery.

    See merge request sane-project/backends!285

commit d527110a52569beddb5a631756bccf807a0ebf4e
Merge: f956fd00b 5275b3bbd
Author: thierry1970 <thierry@ordissimo.com>
Date:   2019-12-27 15:23:02 +0100

    Merge commit '5275b3bb' into escl-png

commit f956fd00ba42da9202225aa1622d923a8a980033
Merge: 5372f2181 45c670255
Author: thierry1970 <thierry@ordissimo.com>
Date:   2019-12-27 15:22:38 +0100

    Merge commit '45c67025' into escl-png

commit 5275b3bbd65a56eaf0e5e27f48f7d44b7dd28620
Author: thierry1970 <thierry@ordissimo.com>
Date:   2019-12-27 15:07:10 +0100

    Solves the problem of HP device discovery.

commit 45c6702552733e04a3b2439172c842cdbf160b94
Author: thierry1970 <thierry@ordissimo.com>
Date:   2019-12-27 15:04:57 +0100

    Formatting of the code to not exceed 80 characters.

commit e80034a6e0d5f4cf5efccc64c9a986cfe15d5d8d
Merge: 7a76f21cc adf9bb837
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-12-27 11:22:05 +0000

    Merge branch '199-hpsj5s-backend-generates-compiler-warnings-in-debian-10' into 'master'

    Resolve "hpsj5s backend generates compiler warnings in Debian 10"

    Closes #199

    See merge request sane-project/backends!281

commit adf9bb837fc85016ee8e83e8c300910fa43ac400
Author: Ralph Little <littlesincanada@yahoo.co.uk>
Date:   2019-12-27 11:22:05 +0000

    Resolve "hpsj5s backend generates compiler warnings in Debian 10"

commit 7a76f21ccdaa27ca493dfdbb88c04d02c6bd7e5a
Merge: d190c559c 53efe5822
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-26 15:31:53 +0000

    Merge branch 'genesys-lide-fixes' into 'master'

    genesys: Various fixes affecting LiDE 100,110,120,200,210,220

    See merge request sane-project/backends!284

commit 53efe5822dcc47d77e418d17218914ef8ac0c6ab
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-26 17:13:34 +0200

    genesys: Remove excessive debug logs during data read

commit 2b00ef39950e32447080687c4373bda1fae0e955
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-26 17:13:33 +0200

    genesys: Improve calibration speed by making convergence faster

commit fd13c10b5cebb6a2375a4ba40fd17748b97e66c4
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-26 17:13:32 +0200

    genesys: Fix invalid memory access in ImagePipelineNodeDesegment

commit cacc68a6d45ccd656a71ca6b0593a9eeefda22ae
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-26 17:13:31 +0200

    genesys: Fix initial register values on gl124

commit 66ac8c62032829da854ff5a5b29957ee94c25160
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-26 17:13:30 +0200

    genesys: Fix sensor table for LiDE 120

commit 2661115251be1bb7dd53382773ce2db0066a59d9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-26 17:13:29 +0200

    genesys: Fix sensor table for LiDE 110

commit d7d227a3f7b58bd6cbae4a019042c3ea9230d798
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-26 17:13:28 +0200

    genesys: Fix sensor table for LiDE 200

commit 09a84d11d80b0b7cd18c440701ce15f2640c9526
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-26 17:13:27 +0200

    genesys: Fix sensor table for LiDE 100

commit 01bdc63d7d3c73465340c19075d5af5b3981d7f3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-26 17:13:26 +0200

    genesys: Fix step selector masks on gl124

commit 40a2a0d55491fae4b592b596ac2088b594eecfd3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-26 17:13:25 +0200

    genesys: Remove unnecessary model check in calibration init

commit 47431a8776881613a993e198c5a1b6330b2eae81
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-26 17:13:24 +0200

    genesys: Fix exception on LiDE 210 when going back from unknown position

commit e2bb81ef01e37cad50a4fde4cf11e24ab0476180
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-26 17:13:23 +0200

    genesys: Add extra sleep during scan stop for gl646

commit 5372f21810ce6251b8753c694c25c579f3233f50
Author: Ordissimo <thierry@ordissimo.com>
Date:   2019-12-26 14:11:09 +0000

    Fix typo.

commit 1a95f30210c15f03e9fc54a4bd6ae5af492a98c2
Author: Ordissimo <thierry@ordissimo.com>
Date:   2019-12-26 14:08:15 +0000

    Fixing the comparison.

commit 2ea6552ed3220c0ff9495863c79bb0e366375a51
Author: thierry1970 <thierry@ordissimo.com>
Date:   2019-12-26 14:03:33 +0100

    Fix style.

commit 65470e95aad9ed66d8344343ac7619d964aa794b
Author: thierry1970 <thierry@ordissimo.com>
Date:   2019-12-26 14:01:00 +0100

    Addition of the TIFF decoder.

commit a23dfbfff569da2a02fa0d48f4b87f112a974c29
Author: thierry1970 <thierry@ordissimo.com>
Date:   2019-12-26 11:55:00 +0100

    Standardization of method signatures.

commit d190c559c24f0d984a4fba7394a60e2801572722
Merge: 0ae128d1a d1940cf9b
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-12-26 10:27:47 +0000

    Merge branch 'epjitsu-backend-generates-compiler-warning-in-debian-10' into 'master'

    Resolve "epjitsu backend generates compiler warning in Debian 10"

    Closes #193

    See merge request sane-project/backends!267

commit df59815895846505c5fccb84dd309405395dbccb
Author: Ordissimo <thierry@ordissimo.com>
Date:   2019-12-25 18:43:56 +0000

    Remove unused function.

commit 296a4b68f907013ddf43eed89ea5e06a5af73612
Author: Ordissimo <thierry@ordissimo.com>
Date:   2019-12-25 18:34:57 +0000

    Fix syntaxe.

commit d3efc20a0bf5815ccf0393d57bb7a766d4f92bcd
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2019-12-25 18:36:23 +0100

    Decoding files in one phase.

commit c6e8d381e070cfc8775401a7f35a0dcae23ed01c
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2019-12-25 00:49:52 +0100

    Fix syntax.

commit 5c15d372488bc4e5d6f08f232433ae3cbfde4bd4
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2019-12-25 00:39:04 +0100

    Adding png support. The decompressors (Jpeg and Png) are in separate files.

commit 0ae128d1ab64bfacead805ab5f8177b672ad9f9d
Merge: 6d9cb35b1 3d1242496
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-12-24 12:03:09 +0000

    Merge branch 'gt68xx-backend-generates-compiler-warnings-on-debian-10' into 'master'

    Resolve "gt68xx backend generates compiler warnings on Debian 10"

    Closes #194

    See merge request sane-project/backends!268

commit 6d9cb35b1faf808f8da602617d0cc739e6deba49
Merge: c77f89de6 b02a208a9
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-12-24 09:05:30 +0000

    Merge branch 'as6e-generates-compiler-warnings-in-debian-10' into 'master'

    Resolve "as6e generates compiler warnings in Debian 10"

    Closes #192

    See merge request sane-project/backends!266

commit c77f89de62502c4e4b86afb68729226d8787723d
Merge: f506aceb3 3bb5e94d6
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-12-24 09:01:13 +0000

    Merge branch 'artec-backend-produces-compiler-warnings-on-debian-10' into 'master'

    Resolve "artec backend produces compiler warnings on Debian 10"

    Closes #191

    See merge request sane-project/backends!265

commit f506aceb33d348b6cfca3149bc3deee19696e1d0
Merge: 92308130f 821efb262
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-12-24 08:59:27 +0000

    Merge branch 'ibm-backend-produces-compiler-warnings-in-debian-10' into 'master'

    Resolve "IBM & Ricoh backends produces compiler warnings in Debian 10"

    Closes #190

    See merge request sane-project/backends!264

commit 92308130f4ec5d978f629a6b78b13184c9407884
Merge: 9527e72a5 328a5d654
Author: Ralph Little <littlesincanada@yahoo.co.uk>
Date:   2019-12-23 17:04:19 +0000

    Merge branch '197-fix-hp3900-backend-compiler-warning' into 'master'

    hp3900: Fix [-Wtautological-compare] compiler warning

    Closes #197

    See merge request sane-project/backends!280

commit 9527e72a53cdef9f1922c588f4e4213876132efc
Merge: 37f96cc80 70ef8db5d
Author: Ralph Little <littlesincanada@yahoo.co.uk>
Date:   2019-12-23 16:49:11 +0000

    Merge branch '195-fix-hp-backend-compiler-warning' into 'master'

    hp: Fix [-Wstringop-truncation] compiler warning

    Closes #195

    See merge request sane-project/backends!279

commit 37f96cc800f2705acf5ca1a6fad3ff059f455cc4
Merge: 74f601188 fd407cc58
Author: Ralph Little <littlesincanada@yahoo.co.uk>
Date:   2019-12-23 16:39:34 +0000

    Merge branch 'fix-dll-compiler-warnings' into 'master'

    Address dll compiler warnings

    See merge request sane-project/backends!269

commit 328a5d654bef3b8367eb696e3f5e0a9f169d88e0
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-12-23 21:57:36 +0900

    hp3900: Fix [-Wtautological-compare] compiler warning

    Although the fix changes the backend's logic, it probably matches what
    was the original code's intent.

commit 70ef8db5d6f5a640093a06d733c82fd56c6df429
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-12-23 21:36:13 +0900

    hp: Fix [-Wstringop-truncation] compiler warning

commit 74f601188b4ee0dc0737dfbc1418c36f748448e2
Merge: 4bf176c73 2788328e1
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-12-23 11:57:10 +0000

    Merge branch 'escl-force-formatext' into 'master'

    indicator of the presence of the DocumentFormatExt field

    See merge request sane-project/backends!261

commit 4bf176c73efc4f01a519e74d18800ef894b7f0bb
Merge: a0e978d4a 538b34f41
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-23 00:42:01 +0000

    Merge branch 'genesys-fix-gl646-scanning' into 'master'

    genesys: Work around invalid acceleration curves on certain gl646 scanners

    See merge request sane-project/backends!278

commit 538b34f418f9bf2a2b6f603a715ab9b30f5520a4
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-23 02:27:20 +0200

    genesys: Fix testing mode in gl646

commit 5d83753b07871fd6e204c44eb74011f06795e0c6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-23 02:27:05 +0200

    genesys: Work around bad acceleration curves on certain gl646 scanners

commit a0e978d4aee319578aee0e2f8a393836d1ed089b
Merge: e8f6a508c fb1dea325
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-22 23:59:05 +0000

    Merge branch 'genesys-fix-gl646-scanning' into 'master'

    genesys: Fix completely broken scanning on GL646

    See merge request sane-project/backends!277

commit fb1dea325cdbdb8e1f72ee85a31f817d59395408
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-23 01:43:39 +0200

    genesys: Fix crash when moving back hove on gl646

commit 9f4cabb55c778446a3220e7bdf51128860f70afe
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-23 01:43:38 +0200

    genesys: Fix random lock ups when waiting for motor to stop on gl646

commit fffcb6254410c9da9841447d50e1d7c58528702e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-23 01:43:37 +0200

    genesys: Fix completely broken backtracing calculation on gl646

commit e8f6a508ca2a022512d5f1a55f058928158606ce
Merge: b10c15595 e437f17b4
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-22 21:37:51 +0000

    Merge branch 'genesys-8600f-enable-ir-resolutions' into 'master'

    genesys: Enable additional IR resolutions on CanoScan 8600F

    See merge request sane-project/backends!276

commit e437f17b40ece55bd34b242d638057b21f444c05
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-22 23:23:18 +0200

    genesys: Enable more infrared resolutions on 8600F

commit d1a0c1589a5c22a5e0c36a18123bed3e6c797744
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-22 23:23:17 +0200

    genesys: Sort 8600F sensor tables

commit 216250361fd9639a6938c297c36a265545bc0dc6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-22 23:23:16 +0200

    genesys: Fix uninitialized variable warning

commit b10c15595b26d5cd49ff67f25cfefc7f7c240b31
Merge: 408329e8c 6fb588648
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-22 15:55:53 +0000

    Merge branch 'genesys-use-fast-moving-home' into 'master'

    genesys: Use fast moving when returning home

    See merge request sane-project/backends!275

commit 6fb588648c9bf57f7c03e2d19759671b00a1ec3d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-14 10:20:27 +0200

    genesys: Fix infinite loop when we overestimate distance to home sensor

commit 01ca9c9030cb1af5303c5d98ecb5ff044c5bd210
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-14 10:20:20 +0200

    genesys: Use fast moving for most of the distance when moving back home

commit 2397d8879a8208c00ad87b1becd8d0a730e53ef1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-14 10:20:18 +0200

    genesys: Fix collection of scanhead movement information

commit 29166d9b3b2b22b6f812192dae95bdcac112d014
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-14 10:20:16 +0200

    genesys: Remove rewind() function due to unreliability

commit 408329e8cfc7d7025c0798d78aafb5b615887e54
Merge: 01bae1305 fd29cae64
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-22 15:24:48 +0000

    Merge branch 'genesys-fix-motor-acceleration-calculations' into 'master'

    genesys: Fix calculations of scan head acceleration tables

    See merge request sane-project/backends!274

commit fd29cae64aad017b09c3bc9e19e2a9b0988d6c1f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-14 10:20:26 +0200

    genesys: Correctly set LINESEL on 4400F

commit 69067f2f7f0f48cf2ae7c20277c18b166f7babce
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-14 10:20:25 +0200

    genesys: Remove no longer used final_exposure

commit 35385625deaa0b07c849ce536de4d4be88fb9223
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-14 10:20:24 +0200

    genesys: Delete unused code

commit 38f988dc39afa95d673f3db8caa8bcf28a036467
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-14 10:20:23 +0200

    genesys: Use correct SHDAREA setting on 4400F

commit 67638f55b21f6551252079dd853d21291a3dac29
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-14 10:20:22 +0200

    genesys: Use a more reasonable backtract distance on gl843

commit 2a6081affe9e8b84d648dd6c1b4079351783b5d0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-14 10:20:21 +0200

    genesys: Fix scanning table length calculation on gl843

commit 33bfa923d5dfc5c3ec2a9c8520a146eb0ec74ac5
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-14 10:20:19 +0200

    genesys: Add a way to create fastest motor acceleration table

commit 83fa276b907cfbfbf65ef6bafa4e16fdd963dea6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-14 10:20:17 +0200

    genesys: Fix bug in setting up motor tables 3,4,5 on gl843

commit 01bae1305f656794f82b58a78751220efde4fec6
Merge: e0679c316 5cfb44366
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-22 14:48:28 +0000

    Merge branch 'genesys-remove-broken-resolutions' into 'master'

    genesys: Disable broken resolutions on LiDE 50 and 80

    See merge request sane-project/backends!273

commit e0679c316e85c001c15a2afc0fb13bfa6dec8c18
Merge: 053a2c10d 49934f067
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-22 14:44:01 +0000

    Merge branch 'genesys-fix-4850c' into 'master'

    genesys: Fix black scans on HP 4850C

    See merge request sane-project/backends!272

commit 053a2c10d33aac78f863fb24dfa882b354bac576
Merge: 42070a606 8c99dc481
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-22 14:38:58 +0000

    Merge branch 'genesys-fix-stagger-config' into 'master'

    genesys: Fix staggerred CCD configuration on OpticFilm 7200i/7300/7500i and Canon 8400F/8600F scanners

    See merge request sane-project/backends!271

commit 49934f0678843df5c4b1543fade1b60902682c10
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-14 10:11:37 +0200

    genesys: Fix black side calibration on HP 4850c

commit 8d8157b96edee51392084b56480000d5dc0cb5bd
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-14 10:11:36 +0200

    genesys: Fix scan area Y position on HP 4850c

commit 355f2ddd4db6c51168f20111ffdafd0d836152ad
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-14 10:11:35 +0200

    genesys: Fix black scans on HP 4850c

commit 8c99dc4819d6ef68330a043e8617519df3a938cc
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-14 09:42:58 +0200

    genesys: Fix stagger configuration on 8600F

commit a8df8201e9d8c083fcc65c5836d231d8eb95e4f3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-14 09:42:57 +0200

    genesys: Fix stagger configuration on 8400F

commit 8a2af6d4b2458a155e1bacc932f0b66bfed6710b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-14 09:42:56 +0200

    genesys: Fix stagger configuration on OpticFilm scanners

commit 42070a606cd5c5df73ac1d5d095d6a7c8716c676
Merge: e0d669acf 02b0f0d47
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-22 14:23:17 +0000

    Merge branch 'genesys-stagger-convert' into 'master'

    genesys: Convert old broken stagger configuration to a per-sensor configuration

    See merge request sane-project/backends!270

commit 2788328e1926da293261c0410321565baf1cfe1b
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2019-12-22 13:48:55 +0100

    Fix: better readability.

commit fd407cc58bce4162a8329fb4ec587837f50c1fd0
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-12-22 18:34:45 +0900

    dll: Make previous change backwardly compatible

    Older GCC do not know the cast-function-pragma and flag that as a
    warning.  That results in an error on our Debian 9 build.

commit e7f6c6e864200fc51a05c8eb5963a78b3251adbd
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-12-22 17:58:39 +0900

    dll: Ignore [-Wcast-function-type] compiler warnings

commit afc9b62c7e43b99c0e951da9b2aec9484afd7471
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2019-12-22 09:50:04 +0100

    Fix: better readability.

commit a993e6438eff1e5b71f1dcc97df478ca954aae9f
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-12-22 16:05:51 +0900

    dll: Fix [-Wformat-truncation=] compiler warning

    Per POSIX, `readdir` returns filenames that are at most `NAME_MAX` long.

commit 3d1242496118536af32cd1865ffd177be26ffe83
Author: Ralph Little <skelband@gmail.com>
Date:   2019-12-21 22:53:16 -0800

    gt68xx: suppressed strncpy compiler warnings.

commit a4360b0a75fe730e78bf6722d7630eba4941a94a
Author: Ralph Little <skelband@gmail.com>
Date:   2019-12-21 22:07:39 -0800

    gt68xx: suppress snprintf warning with return length check.

commit b02a208a943a1a128d3b27bd9a63e33f316ef4a9
Author: Ralph Little <skelband@gmail.com>
Date:   2019-12-21 22:02:50 -0800

    as6e: data type correction.

    size_t is unsigned so -1 error from snprintf would not be properly detected.

commit d1940cf9b843d871a8eae32a44d2967d9b2c92da
Author: Ralph Little <skelband@gmail.com>
Date:   2019-12-21 21:44:39 -0800

    epjitsu: strncpy() compiler warning suppressed.

commit 2230614edec80c81868d1c0335b914e2fcd1d75c
Author: Ralph Little <skelband@gmail.com>
Date:   2019-12-21 21:24:19 -0800

    as6e: compiler warnings suppressed for problematic use of strncat.

    Replaced with snprintf which simplifies the code and suppresses the warning.

commit 3bb5e94d654acae88aef0efef908459a054cd45a
Author: Ralph Little <skelband@gmail.com>
Date:   2019-12-21 20:57:48 -0800

    artec: strncpy replaced with memcpy()

    This was a cheeky strncpy hiding what is really the job of memcpy().

commit 821efb262692b3782a948f8ad7cafdc744c1c502
Author: Ralph Little <skelband@gmail.com>
Date:   2019-12-21 20:21:52 -0800

    ibm/ricoh: suppress warning by using snprintf instead of strncat

commit e0d669acfe01e26c619cbbdf342b6ad475c0b9b3
Merge: 3b0ab4f09 809ccfe69
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-12-22 03:49:59 +0000

    Merge branch 'bump-alpine-to-3.11' into 'master'

    CI: Bump Alpine from 3.10 to 3.11

    See merge request sane-project/backends!263

commit 809ccfe695ccad9607207140829f86a4626fb4aa
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-12-22 12:33:27 +0900

    CI: Bump Alpine from 3.10 to 3.11

commit 3b0ab4f097166725ff1f2f718a9a9437371453ca
Merge: 3a4d5a002 790bdd822
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-12-22 02:05:53 +0000

    Merge branch 'plustek-silence_compiler_warning' into 'master'

    Resolve "Plustek backend generates compiler warnings on Debian 10"

    Closes #189

    See merge request sane-project/backends!262

commit 790bdd822a29779a90e7f903b5daf655bc5258cf
Author: Ralph Little <littlesincanada@yahoo.co.uk>
Date:   2019-12-22 02:05:53 +0000

    plustek: Fix [-Wformat-overflow=] compiler warnings on Debian 10

    Also fixes a format truncation warning observed elsewhere.

commit 6506cd9595843d6a2eab0628dfd4b39c9dc4db3f
Author: thierry1970 <thierry@ordissimo.com>
Date:   2019-12-19 14:30:35 +0100

    indicator of the presence of the DocumentFormatExt field, forces for certain printer the output format.

commit 3a4d5a002c1c5db5055974bed11b6f8edffb3a76
Merge: 02251c648 97dea9495
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-12-19 12:14:16 +0000

    Merge branch '120-fix-all-compiler-warnings-on-the-debian-10-builds' into 'master'

    Fix umax_pp compiler warnings

    See merge request sane-project/backends!259

commit 97dea949598220dba43fd1dcadf0f8930f81260f
Author: Ralph Little <littlesincanada@yahoo.co.uk>
Date:   2019-12-19 12:14:16 +0000

    Revert "plustex: suppressed format truncated compiler warning."

    This reverts commit cc7fbd35e535e22cd13cd58979921e0c01fb38b4

commit 02251c6489f9923a9492bf0eedbce402bf342789
Merge: 277194d53 8de208c24
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-12-19 11:57:25 +0000

    Merge branch 'add_sp112' into 'master'

    Add SP-112SU model

    See merge request sane-project/backends!260

commit 8de208c24c5618009e99dc5cb44b7a98a17649ed
Author: Stanislav Yuzvinsky <yu-stas@yandex.ru>
Date:   2019-12-19 11:57:25 +0000

    Add SP-112SU model

commit 277194d5347ddc978ad76f10f76156126a2deab9
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2019-12-17 20:00:19 +0100

    Revert "uniformise signature."

    This reverts commit 2eff3e82bad5b03dd5af6cf491fe206c48b6e928.

commit 2eff3e82bad5b03dd5af6cf491fe206c48b6e928
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2019-12-17 19:58:14 +0100

    uniformise signature.

commit f95fcf9d56e44869e4185a595c0a2ad08d13a2be
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-12-15 11:37:41 +0100

    pixma: Canon imageCLASS D570 is working

    See issue sane-project/backends#182

commit 48fd80d20829f36b2db43a6c9d5a5749be18b514
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-14 10:20:15 +0200

    genesys: Simplify handling of motor step multiplier

commit 1d7adfcfc19aaf64f8c192941f18b4b4fc219060
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-14 10:20:14 +0200

    genesys: Fix naming of step multiplier

commit 194920159d299c3450e335f378e7993823d62bc4
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-14 10:20:13 +0200

    genesys: Remove support for legacy curves

commit 3d9113997f30de42066727e81d0cd24c51335b65
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-14 10:20:12 +0200

    genesys: Switch remaining legacy curve uses to physical curves

commit 9a245a1325a16da6a483d17f12905d3c55ebc71e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-14 10:20:11 +0200

    genesys: Switch unused motor curves to physical format

commit 7d477da4047886526e8a69f25ff8e22059ca3cb5
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-14 10:20:10 +0200

    genesys: Use MotorSlope in gl646 code

commit dec996277331dbed6dfa6cb6e2267129a6c0e759
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-14 10:20:09 +0200

    genesys: Make the size of slope tables configurable by asic type

commit c685ac075be5cdc9771a8e36bb5a65ff54742b6f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-14 10:20:08 +0200

    genesys: Return MotorSlopeTable out of *_generate_slope_table()

commit 8731a6cc5d0f025ba3800872eb8bc3c83f595d2c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-14 10:20:07 +0200

    genesys: Return MotorSlopeTable out of *_create_slope_table3()

commit 7c6229f272bace0d022f08842afeffb9ef28e958
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-14 10:20:06 +0200

    genesys: Rename MotorSlopeTable::{scan_steps -> steps_count}

commit 54034c3fae484974898ec162cc9825b608c5983a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-14 10:20:05 +0200

    genesys: Fix Opticfilm 7200i and 7500i motor curves

commit 868c4378962f1dade54a6ef2ea1fe97dd97348da
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-14 10:20:04 +0200

    genesys: Convert hardcoded motor slopes to physical slope config

commit 465077c6cb6c832708f1da28563864d910e64fac
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-14 10:20:03 +0200

    genesys: Remove manual override of the first value in motor tables

commit f605e7c2297e6d26c8d3521301206b25c3ae40a8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-14 10:20:02 +0200

    genesys: Fix testing mode recording of scanner_slow_back_home_ta()

commit c1d791f11cdbfbf2090570b68be17bf3749204a2
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-14 10:20:01 +0200

    genesys: Raise error when TA scan head takes too long to return home

commit 8270a82bc0423df7739813c734307e3a2ac87052
Merge: fdcb2fa5e 7c34046a3
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-12-14 08:13:54 +0000

    Merge branch 'escl-2019' into 'master'

    See merge request sane-project/backends!242

commit 7c34046a396045c8e042d80674c6ef1ea880d97d
Author: Touboul Nathane <nathane.touboul@gmail.com>
Date:   2019-12-14 08:13:54 +0000

    Add escl backend

commit 5cfb44366bb6e2405a573c03c980bd85445fe3bd
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-14 10:13:09 +0200

    genesys: Disable broken resolutions on LiDE 50 and 80

commit 02b0f0d474fddffa0097a549336f8e389d6bd50c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-14 09:12:29 +0200

    genesys: Convert old broken stagger configuration to per-sensor config

commit 4c0f63052b6c91b51c9ef2d57ffccb62ec6c6fa7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-14 09:12:28 +0200

    genesys: Add a way to configure per-sensor stagger config

commit fdcb2fa5e8d6a1a4856c88fbf8787ecc4cfc768c
Author: m. allan noah <kitno455@gmail.com>
Date:   2019-12-11 21:10:07 -0500

    Update fujitsu.desc status for iX1500

commit 58b4371bb50ee68c5eafcf4757a9d25d525e4e4f
Merge: ae732126b 4ef2e3987
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-10 23:39:25 +0000

    Merge branch 'genesys-remove-sensor-profile' into 'master'

    genesys: Remove sensor profile struct

    See merge request sane-project/backends!257

commit ae732126b94a867ba59d7e55e67c4d4d48722bd1
Merge: 037f06712 3d068a9ee
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-09 17:33:39 +0000

    Merge branch 'genesys-motors-refactor' into 'master'

    genesys: Extract move chip-specific motor handling code to the common area

    See merge request sane-project/backends!256

commit 037f06712ecbba2033ae514b18f54b32e529a02e
Merge: 4156fae15 5b7c19a7d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-09 17:06:05 +0000

    Merge branch 'genesys-reduce-duplication' into 'master'

    genesys: Reduce duplication in scan head movement routines

    See merge request sane-project/backends!255

commit 4ef2e3987234f03e765a5290c34823dcb9aef693
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-08 11:42:32 +0200

    genesys: Remove remaining uses of SensorProfile

commit 7971ee56934e300ebd564fdf0045eaaeaf232193
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-08 11:42:31 +0200

    genesys: Use sensor profile information directly from profiles

commit 524c9de1fa0cc953fc3b441db22ca141cf2d52d4
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-08 11:42:30 +0200

    genesys: Fix calibration exposure in testing mode

commit 791433c895a0ed67aebd0696bf857cdbf0cfd938
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-08 11:42:29 +0200

    genesys: Duplicate SensorProfile information into Genesys_Sensor struct

commit 716689161dd3013b093c75e3a18dea95efc03f0d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-08 11:42:28 +0200

    genesys: Use correct sensor for scanning on gl124

commit 1f33bafe5d561660d0a414a45b6788e5e9e32f88
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-08 11:42:27 +0200

    genesys: Remove unused fallback sensor profile code

commit a7fd1d6ae1fc499605cba9bea5bb8aad0b5113dd
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-08 11:42:26 +0200

    genesys: Simplify sensor profile definition

commit 99101d43194999dfe032e473351aea46dd9a833b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-08 11:42:25 +0200

    genesys: Move ResolutionFilter definition above SensorProfile

commit 7a2d3df0e3c9f0c2a9a99d08a4c90d44ba4fde77
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-08 11:42:24 +0200

    genesys: Use correct sensor for calibration on gl847

commit 6c8c4bb74f48f01a46d5f80ac94abf035164ca91
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-08 11:42:23 +0200

    genesys: Use correct sensor for calibration on gl846

commit 4dfa7d25a327ea84225700545ec81556c3c16115
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-08 11:42:22 +0200

    genesys: Use correct sensor for calibration on gl124

commit 059da17ac06a880c329af6ab16713c83689bc092
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-08 11:42:21 +0200

    genesys: Simplify register definitions on gl846

commit cb64243e5dcf4132abb24238104735eea2fbee3b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-08 11:42:20 +0200

    genesys: Simplify register definitions on gl847

commit 06742ab7d44a8764a4f760da806e20a1c71405d9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-08 11:42:19 +0200

    genesys: Simplify register definitions on gl124

commit 4156fae159d707a145ac9728f21d7adb7a7573f0
Merge: 560af93a3 738444cd1
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-12-04 16:10:27 +0000

    Merge branch 'debug_add_timestamp' into 'master'

    add timestamp to debug outputs

    See merge request sane-project/backends!228

commit 560af93a391f94bf57b202f5f95b88b00659e638
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-12-04 17:07:20 +0100

    pixma: update manpage

commit 34922d957413688469627fb9d9761fe2df4bd8bc
Author: Louis Lagendijk <louis.lagendijk@gmail.com>
Date:   2019-12-04 00:56:37 +0100

    pixma: fixed MB5400 ADF scan. MB5400 works upto 1200DPI and with ADF or ADF-duplex

commit 0bbb7ef3ba837162929f946595aa177963c3de19
Author: Louis Lagendijk <louis.lagendijk@gmail.com>
Date:   2019-12-03 22:05:13 +0100

    tstbackend: make it compile again

commit 46eacadc78a3aa34aaa68a4ecd9e2b9316a2399a
Author: Louis Lagendijk <louis.lagendijk@gmail.com>
Date:   2019-12-03 22:01:08 +0100

    pixma_bjnp.c: fix parsing of mfnp in pixma config file

commit 22c1bceda2c4bd1992a279ebc35f3f1c93567a10
Merge: fa75eff7b 3a1c1bad3
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-12-03 11:02:34 +0000

    Merge branch 'update_uk' into 'master'

    Update Ukrainian translation

    See merge request sane-project/backends!254

commit 3a1c1bad32f983037bc537d10007c691b61a7558
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   2019-12-03 11:02:34 +0000

    Update Ukrainian translation

commit fa75eff7b4df9bf98f64567697487b9a9a9e902b
Merge: f41bd003d 311b9ff5b
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-12-02 11:59:50 +0000

    Merge branch '178-ci-requires-remote-resources-to-succeed-in-tools-update-upstreams-sh' into 'master'

    Resolve "CI requires remote resources to succeed in ./tools/update-upstreams.sh"

    Closes #178

    See merge request sane-project/backends!253

commit 311b9ff5bfb3ca2a14d48c5c00a08597b65fb40a
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-12-02 20:40:20 +0900

    Remove dependency on external resources during CI.  Fixes #178

    The update-upstreams.sh script is kept for the convenience of those who
    want or need to use it.  It has been slightly modified to provide more
    feedback in case of error conditions.

commit f41bd003d06505c4d4cf6b10f103a143b1fdfa58
Merge: 1c4cff200 f98bec2af
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-01 13:22:45 +0000

    Merge branch 'genesys-use-full-scan-ta' into 'master'

    genesys: Use full scan initialization in slow_back_home_ta()

    See merge request sane-project/backends!251

commit 3d068a9eee49cae318aa9b14e7d69f26d219e896
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-01 10:43:12 +0200

    genesys: Fix TA support in scanner_move()

commit 6a5fd2d36c288c396be576612c00e4db0c5d6e17
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-01 10:43:11 +0200

    genesys: Support multiple scan methods in scanner_move()

commit 27aea235b47c7ba6c98f6788f57d1d87c104e330
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-01 10:43:10 +0200

    genesys: Rename slow_back_home() to move_back_home()

commit 35c8cb84f81102dc8c9483a9f7175291c500d0b1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-01 10:43:09 +0200

    genesys: Extract slow_back_home_ta() to common code

commit 1c4cff20050fcfe9238a32b9ad4fdd2d919e081d
Merge: 6b4be81e9 c24a95668
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-12-01 08:11:28 +0000

    Merge branch 'pixma-fix-usbid-case-warning' into 'master'

    canon_pixma: Use lowercase in usbid description to avoid warning

    See merge request sane-project/backends!249

commit 5b7c19a7d58f5fac6752fd2b53b1cf376db1e003
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-01 10:08:59 +0200

    genesys: Reduce duplication of *_stop_action() across the ASICs

commit 9e092f9d67651b5db82500098b1b5c7f96d1547a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-01 10:08:58 +0200

    genesys: Extract scanner_is_motor_stopped() to use across the asics

commit c2863d6ba14cccd615eb43a371c22d3d2cac23f3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-01 10:08:57 +0200

    genesys: Fix inconsistent check of scanner status in *_stop_action()

commit a90ab552a9e78b6b0aec318998865b0659483eb5
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-01 10:08:56 +0200

    genesys: Extract scanner_stop_action_no_move() to use across the asics

commit 6913513dc26c98a0965429086831f306d3279c91
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-01 10:08:55 +0200

    genesys: Extract regs_set_optical_off() to use across the ASICs

commit 052aa0162608fdb435f6f90733ca6d34911a2df9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-01 10:08:54 +0200

    genesys: Reduce duplication of *_feed() across different ASICs

commit e435036b97fb0876804b06be7b043e280f2c8caf
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-12-01 10:08:53 +0200

    genesys: Use single function to set exposure on all ASICs

commit 6b4be81e9002006b9c675bfa40f73e0490b183ce
Merge: 072487ee7 97ae3fc94
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-30 23:40:52 +0000

    Merge branch 'genesys-motors-refactor' into 'master'

    genesys: Motors refactor

    See merge request sane-project/backends!250

commit 072487ee7bcd0489e722d59df8e09a2a7410f144
Author: Louis Lagendijk <louis.lagendijk@gmail.com>
Date:   2019-11-30 23:51:03 +0100

    pixma: made backend obey local_only setting in sane_get_devices

commit f98bec2afb2a093cfbc5b86cabcea478e907cb3e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-30 19:19:21 +0200

    genesys: Use full scan initialization in slow_back_home_ta()

commit 66a95875d402ef27ef49771f663f06a5a8cc4d60
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-30 19:19:20 +0200

    genesys: Remove duplicate operation a register

    The same value is set just several lines above.

commit 4743a0235359ef9f5749aa9a38850b199a437368
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-30 19:19:19 +0200

    genesys: Remove duplicate operation on a register

    init_regs_for_scan_session() already sets the value of the register to
    what we expect.

commit 8aee1f0982dbca641b5553766d692c0626b3d8f8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-30 19:19:18 +0200

    genesys: Expose slow_back_home_ta() to the cmd set

commit 97ae3fc94621ecbf6e01d0ddbefcf2bc176155fa
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-30 19:06:52 +0200

    genesys: Reduce duplication of slow_back_home() across different asics

commit cba6086ce79fcc0debce0a47925b8b73c61ed29b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-30 19:06:51 +0200

    genesys: Expose init_regs_for_scan_session() to the cmd set

commit 79b4d1560ad0121dcd58edb4273fa5a05b502839
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-30 19:06:50 +0200

    genesys: Remove no longer needed global settings modification

commit a355df168a6f0990559dd6eb574f89c5fa451257
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-30 19:06:49 +0200

    genesys: Expose update_home_sensor_gpio() in the cmd set

commit 326733a479888716a4d690b04cc6f288e8570a95
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-30 19:06:48 +0200

    genesys: Simplify slow_back_home() on gl646

commit 98dbd206eebda52f704b06b032f9cd8032c682a9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-30 19:06:47 +0200

    genesys: Reduce duplication of slope upload on gl646

commit 66264538048e89679cc17bc0cea0b37b1f1f39ce
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-30 19:06:46 +0200

    genesys: Reduce duplication of scanner status printing

commit df8a411de386ed632b6cda98ec8e9bef0fce121f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-30 19:06:45 +0200

    genesys: Extract reliable reading of home sensor to separate function

commit 2ca325c63854c3287800d82bc9abdab9cd2d4e50
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-30 19:06:44 +0200

    genesys: Simplify scanner status handling

commit 7385e0d305ecac52e5fff85079d2e60928d0488c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-30 19:06:43 +0200

    genesys: Simplify get_gain4_bit() implementation

commit 3ada79c35ab6fcb5cea56595573510bc5781ec6c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-30 19:06:42 +0200

    genesys: Move motor direction register adjustment to low level functions

commit 50149e90642d6ba99e04af04eccc68888e2cc630
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-30 19:06:41 +0200

    genesys: Use enum class for motor flags

commit 6c0282e06f190ffcc023f6ba145d54c052853bf4
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-11-30 17:52:19 +0100

    INSTALL.linux: add missing dev package "libusb-1.0.0-dev"

commit c24a956685cc13b17a435514f25d5651722d162a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-30 17:51:12 +0200

    canon_pixma: Use lowercase in usbid description to avoid warning

commit 0b4165b27f43b646063ca89c956b8dbefd1a266c
Merge: 3dff8085e 837ec33c7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-30 15:04:14 +0000

    Merge branch 'genesys-motors-refactor' into 'master'

    genesys: Motors refactor

    See merge request sane-project/backends!248

commit 738444cd1ca29d0bfe4633f17f1183d5c8e3f1ad
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-11-26 17:33:07 +0100

    add µsec to timestamp

commit d9f35d1b5e582b99a1e286cff80d6d22906fd885
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-10-19 22:00:35 +0200

    add timestamp to debug outputs

commit 3dff8085e771ca945fc46fd93cdf2eb8454e8470
Merge: 9bee993c3 acc5fd318
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-24 12:19:20 +0000

    Merge branch 'genesys-remove-macros' into 'master'

    genesys: Use enums instead of macro constants

    See merge request sane-project/backends!246

commit 9bee993c3cd25dac13481a2d641838df77e1b1e7
Merge: f1cf1ff1d 9472dce5f
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-11-24 01:59:29 +0000

    Merge branch 'fix-scanimage-overflow' into 'master'

    scanimage: Fix 32-bit overflow when calculating total bytes to transfer

    See merge request sane-project/backends!234

commit acc5fd318c3d3010f001cf72a16e4f3cc6c99370
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-18 22:10:29 +0200

    genesys: Replace unneeded uses of macros with enums

commit 10662d297336c712ac7499cf293e723ab268d550
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-18 22:10:28 +0200

    genesys: Remove uses of SETREG and INITREG macros

commit 185fdcc9ce0b45e93fff54df24ce35b61c9ccc97
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-18 22:10:27 +0200

    genesys: Replace defines with constants in register lists

commit 6d9259bd4853fa1299816910a7bbaad89cc66604
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-18 22:10:26 +0200

    genesys: Put chip-specific functionality into namespaces

commit f1cf1ff1d97ac7387c4fac22c6e27406b7741e6c
Merge: 5cd65e6e1 f366073b0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-23 13:10:15 +0000

    Merge branch 'genesys-canon-4400f' into 'master'

    genesys: Add initial support for flatbed mode on Canon 4400F

    See merge request sane-project/backends!245

commit 5cd65e6e19544d4421bee51336eb61d7841347fe
Merge: 7e7f02773 e46b6927d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-23 13:09:27 +0000

    Merge branch 'correct-man' into 'master'

    Mention correct man file for ricoh2

    See merge request sane-project/backends!243

commit f366073b0835c4005f4f4fc891f407cc4c25a6c3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-23 14:54:10 +0200

    genesys: Add initial support for flatbed mode on Canon 4400F

commit 837ec33c7fe0babb020c1b56aa7029fa310ccf89
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-23 12:38:51 +0200

    genesys: Make scan flags an enum

commit 05e3091d5fb12a853c71e9eb189a4203ea284554
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-23 12:38:50 +0200

    genesys: Remove duplication of motor startup

commit 9cd373fe6c5e4b9d1aa68e54ba72aa1bddf3bc2c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-23 12:38:49 +0200

    genesys: Return MotorSlopeTable out of sanei_genesys_slope_table()

commit 63b0366b43cb256b9e7b83df29fe8884c335dce7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-23 12:38:48 +0200

    genesys: Store motor profile tables in std::vector

commit cbe45396feb3796e3d9e7a0aac34490832fff9e0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-23 12:38:47 +0200

    genesys: Move static initialization functionality to a separate file

commit f6f27e053953661c7bbf3261a91ca71553772945
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-23 12:38:46 +0200

    genesys: Implement building of motor tables based on physical slope

commit 34bba237b5c0ed6b29fd93150b4be6d3f341aaf6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-23 12:38:45 +0200

    genesys: Don't select motor profile twice during setup of same scan

commit b43a21d25a4ae4d4fdeb37d7f5156e90a6cdf17d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-23 12:38:44 +0200

    genesys: Add new motor slope type

commit 15819a7d12eef1e10921b0f4b1f1d10746786bcb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-23 12:38:43 +0200

    genesys: Add tests for sanei_genesys_create_slope_table3()

commit ddcce5295faa5cfdc822f308391d917d496a3656
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-23 12:38:42 +0200

    genesys: Use StepType enum more

commit c6784d2f1db40a65721766b6fc6442a93bc6eab8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-23 12:38:41 +0200

    genesys: Simplify API of sanei_genesys_create_slope_table3()

commit ce59a69224cb24a07f27f6f8ccd4a38f54476e9e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-23 12:38:40 +0200

    genesys: Record motor slope tables in the config test

commit d8e8899a760fc24e175f2641f69af7ba3eb674af
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-23 12:38:39 +0200

    genesys: Remove unused code

commit e46b6927dd344c8b0aa1ab4d5021c2b7163885a5
Author: Stanislav Yuzvinsky <yu-stas@yandex.ru>
Date:   2019-11-17 17:08:42 +0300

    Mention correct man file for ricoh2

commit 7e7f02773e1e62ef3ae16229863fa8561e78d3e2
Author: Alex Belkin <abc@telekom.ru>
Date:   2019-11-05 22:01:53 +0300

    xerox_mfp: Fix crash in test mode

    Do not decode JPEG into output buffer if it's NULL.
    Also, I add assert() for `dev->decData` size, which is never
    checked anywhere. Thanks to Michal Nowak for report and
    testing. Fixes #128.

    References:
      https://gitlab.com/sane-project/backends/issues/128

    Tested-by: Michal Nowak <Mno-hime@gitlab>

commit 3c863c2bd9a2f06b3a92b93bc1031fe03c44c0a0
Author: Louis Lagendijk <louis.lagendijk@gmail.com>
Date:   2019-11-11 13:22:59 +0100

    sane-pixma.man: fixed typos

commit 2cffe0e7a6a836091b47d301f3018f42d6678b69
Merge: aeadb8ef1 e2e72535b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-10 20:36:01 +0000

    Merge branch 'genesys-smoke-tests' into 'master'

    genesys: Add smoke tests

    See merge request sane-project/backends!241

commit aeadb8ef1eaf9853d9a40dc2dc0dc692633ef5c8
Merge: fa01471c9 391d47212
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-10 19:45:16 +0000

    Merge branch 'genesys-scanner-interface' into 'master'

    genesys: Low-level scanner interface

    See merge request sane-project/backends!240

commit 391d4721273eeeb94b5b111d396c5f085c1c1fde
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-26 11:38:48 +0200

    genesys: Rename record_{test => progress}_message

commit e2e3ea094770b888b6cdad8866fae622b403b66b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-26 11:38:47 +0200

    genesys: Route sleep calls through low level scanner interface

commit 521c0428892fd001a4db9e00c5e8c5e836422cdd
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-26 11:38:46 +0200

    genesys: Route low-level status debug messages through scanner interface

commit 779725ab55cebb0a9f3c2800f2ce411c91ba4584
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-26 11:38:45 +0200

    genesys: Extract attach_usb_device()

commit 908053751f32faf162d44dd4dc098f94ad1ad091
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-26 11:38:44 +0200

    genesys: Use generic USB device interface througout the backend

commit 978ad5e52bdafbf4c713e005b86c4174efa06b7e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-26 11:38:43 +0200

    genesys: Add interface for USB devices to allow mocking of them

commit 4e9b47de56a8ce97e069ea9cbbf9c7eaa4c672e0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-26 11:38:42 +0200

    genesys: Move low level data writing API to scanner interface

commit 0fed92b0ff541ccccad04bd8afbe133cd303181c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-26 11:38:41 +0200

    genesys: Remove unneeded wrapper for scanner interface functions

commit 0582b5448c1943ea73ba51f7c2e8a9b19c3f566c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-26 11:38:40 +0200

    genesys: Move low-level protocol implementation to ScannerInterfaceUsb

commit c6e60013eff280689e44f3febde0fce622784a17
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-26 11:38:39 +0200

    genesys: Add low level scanner test interface

commit 0ea8ec115cf69dce5735700dfd4b68726f78f436
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-26 11:38:38 +0200

    genesys: Add low level interface for interaction with the scanner

commit fa01471c9287663bba02225e2b9c0c300271ec67
Author: m. allan noah <kitno455@gmail.com>
Date:   2019-11-10 10:46:50 -0500

    fujitsu backend v135

    - set has_MS_lamp=0 for fi-72x0, bug #134

commit 8c4879c835256a5d02f15f0fbdabd3b3d73304de
Merge: 99d1abe1e 9d9552575
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-10 14:56:00 +0000

    Merge branch 'genesys-misc-cleanup' into 'master'

    genesys: Miscellaneous cleanup

    See merge request sane-project/backends!239

commit 99d1abe1e7fd210570e3b55503114efe87f6d678
Author: m. allan noah <kitno455@gmail.com>
Date:   2019-11-10 09:40:47 -0500

    fujitsu backend: add iX1500 IDs

    - updated per bug #131

commit 9d9552575d6c578cda0a3892403158db33d0e00e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-02 17:13:20 +0200

    genesys: Extract MethodResolutions::get_resolutions()

commit 42a58387b6847ab820dbd80ab1a54597eb04db96
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-02 17:13:19 +0200

    genesys: Extract conversion of ScanColorMode to separate functions

commit 3ad5a9241486b8fa785d37c92892919d1cda8ec0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-02 17:13:18 +0200

    genesys: Move conversion of ScanMethod to option strings to enums.cpp

commit 5c0838e42383d37256dc775c246d3f476234b95a
Merge: 779d09a0b 721373835
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-10 14:32:41 +0000

    Merge branch 'genesys-fix-calibration' into 'master'

    genesys: Fix calibration issues

    See merge request sane-project/backends!238

commit 779d09a0b56c65cfdd776c16b46d4efec0fe256b
Author: m. allan noah <kitno455@gmail.com>
Date:   2019-11-10 09:01:06 -0500

    canon_dr backend v58

    - adjust wait_scanner to set runRS only as a last resort, bug #154

commit a15d960228c028154766a0018a4dcffa304da95d
Merge: e4a908d88 d2aaa822f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-10 12:12:41 +0000

    Merge branch 'genesys-logging-improvements' into 'master'

    genesys: Miscellaneous logging improvements

    See merge request sane-project/backends!237

commit e4a908d88b1736902c30f23caa6a3ace032a71aa
Merge: 05f313cc5 a1bc0d33c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-10 12:04:51 +0000

    Merge branch 'genesys-session-cleanup' into 'master'

    genesys: More cleanup for ScanSession

    See merge request sane-project/backends!236

commit 9472dce5f7cbd4446fc1bc2bc4a580f3e0a981a4
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-09 22:58:30 +0200

    scanimage: Fix 32-bit overflow when calculating total bytes to transfer

commit 05f313cc53106de0a284f157aac646bf4ce9205d
Merge: fae608063 c2479ed0e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-10 11:22:41 +0000

    Merge branch 'genesys-improve-8400f' into 'master'

    genesys: Add support for 3200 dpi resolution on 8400F

    See merge request sane-project/backends!235

commit 7213738359a7b54018711f2300ae4f2bf128a9a9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-10 10:32:11 +0200

    genesys: Make sure correct session data is used for saving calibration

commit 68f388eb6a9427d340a21a7aeb6bb6082d054aeb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-10 10:32:10 +0200

    genesys: Remove is_compatible_calibration() wrappers

commit ced1ee03066edcc4513ff8364940e238c20ce930
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-10 10:32:09 +0200

    genesys: Use common impl of is_compatible_calibration() on gl646

commit 8659536e1b8b820e281a5a8f8fc264fa6bbffb9d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-10 10:32:08 +0200

    genesys: Implement calculate_scan_session() on gl646

commit 84e4ababa517063514cfc4395fe8d35df787f5f0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-10 10:32:07 +0200

    genesys: Correctly serialize GenesysFrontendLayout

commit 8557e0c2204e4d1ffae17b05341e3e0a60fb31ca
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-10 10:32:06 +0200

    genesys: Don't modify global state in *_is_compatible_calibration()

commit f4f58f6c185123f907e0fd71d067ae009e61a816
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-10 10:32:05 +0200

    genesys: Remove no longer used Genesys_Current_Setup

commit 8c6987e5a1002bbe40a5b52b1bd761e090cd3947
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-10 10:32:04 +0200

    genesys: Rewrite is_compatible_calculation() to use session data

commit 9662a501a9bc5347884644a9aa746c9ee3192678
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-10 10:32:03 +0200

    genesys: Use data from session directly when possible

commit fae6080630ee1c03186e5fb1e36e74d7e3778b65
Merge: 71b817cef 448129812
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-09 21:09:17 +0000

    Merge branch 'genesys-misc-fixes' into 'master'

    genesys: Miscellaneous fixes

    See merge request sane-project/backends!233

commit 44812981295b0300b65aadd9e7958c0c6cd81a6f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-09 22:51:42 +0200

    genesys: Fix invalid memory access on DSMobile 600 and DocketPort 467

commit c6b85390323fa357573ef0f604494bfcd1c4bfe1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-09 22:51:41 +0200

    genesys: Disable support for Canon Image Formula 101

commit 3632d4ec3795ce498be0285991285c92d57a6573
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-09 22:51:40 +0200

    genesys: Fix out of bounds write during initialization of shading data

commit e967d98aabe326bb1d6d043edd55adf8f5b7e060
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-09 22:51:39 +0200

    genesys: Disable broken support for 4800 dpi on LiDE 210 and 220

commit cb7521e7c11e63abcc4c72ff580987805541b568
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-09 22:51:38 +0200

    genesys: Remove currently unsupported resolutions on 8600F

commit 18206d845d92ea036384cc8b20140cf6012ae541
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-09 22:51:37 +0200

    genesys: Fix crash on startup on Canon 4400F

commit a5a03dfce2dc1e7237180ff17b710de65ad4385b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-09 22:51:36 +0200

    genesys: Remove incorrect assert on gl841

commit a7be52a5a11aaa602fdd782af11b4e98156fff4d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-09 22:51:35 +0200

    genesys: Fix crash on gl646 when sensor matches any resolution

commit ddb8685755783b59053ae072c68755abfeb6cce3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-09 22:51:34 +0200

    genesys: Fix null name of the "extras group" option leading to crashes

commit 54edeaf69d187c5301204b8ac40152a4023af8f6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-09 22:51:33 +0200

    genesys: Inherit from std::exception publicly

commit ecb1d899b936f83638adbf704ef4b8f91435c799
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-09 22:51:32 +0200

    genesys: Fix typo which prevented calibration data from being used

commit cac57c3e9fa1f38ec8e6b886639c08005d69c535
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-09 22:51:31 +0200

    genesys: Remove duplicate handling of document end

    This duplicates work done in genesys_fill_read_buffer()

commit 71b817cef8e28c3c4a8aa1a7cbc23478e66ce783
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-11-07 20:24:31 +0900

    hpaio.desc: Sync with hplip-3.19.11

    Re #166

commit ee3f9b47ece844262f4614ebedfd9f21bebc3f24
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-11-06 18:08:41 +0100

    pixma: backend version 0.25.1

commit eca978c258fb4e6e1f24dd47ff77dbaa36b80230
Author: Louis Lagendijk <louis.lagendijk@gmail.com>
Date:   2019-11-05 23:03:27 +0100

    pixma_bjnp: added options to completely disable networking or skip auto detection.

commit 0f493e155aae4b3411fef89f7cdc98eb373c7a7f
Author: Louis Lagendijk <louis.lagendijk@gmail.com>
Date:   2019-11-05 20:09:42 +0100

    Fixed pixma_bjnp.c

commit a1ecd8c15887c62c052f02952f4f90e32b38f197
Author: Louis Lagendijk <louis.lagendijk@gmail.com>
Date:   2019-11-05 19:45:30 +0100

    Fixed completely messed up pixma_bjnp.c

commit bda9ae39bad41b32992a84ddec8fddc24ce7ee74
Author: Louis Lagendijk <louis.lagendijk@gmail.com>
Date:   2019-11-05 19:22:11 +0100

    pixma_bjnp.c sane-pixma.doc Fix trailing spaces

commit 462df7d6ad72b1c35e155987ec9f173f45a1ee91
Author: Louis Lagendijk <louis.lagendijk@gmail.com>
Date:   2019-11-05 18:31:39 +0100

    usane-pixma:
    - Document that Canon seems to be remving the supported MFNP and BJNP
    protocols  in new printers/scanners
    - Added an mfnp example in the pixma.conf file

commit 739cfc8d83f6b1903c6694a7e5d24e081dd12a18
Author: Louis Lagendijk <louis.lagendijk@gmail.com>
Date:   2019-11-05 17:16:09 +0100

    pixma_bjnp.c: redsign of timeout code

commit 5dd50be523375c888ac0c16a32bb046c256e43ca
Author: Louis Lagendijk <louis.lagendijk@gmail.com>
Date:   2019-11-05 14:35:11 +0100

    xma_bjnp.c: fixed parsing of model in parse_IEEE1284_to_model

commit 766b4937c3bad766c422951b07125e424bdf5efb
Author: Louis Lagendijk <louis.lagendijk@gmail.com>
Date:   2019-11-05 13:56:23 +0100

    pixma_bjnp.c Retry TCP connect in case the scanner is not yet ready

commit c9a2b3bd23cbe6496aca2f0d977c60341cb4c056
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-11-04 11:17:44 +0900

    utsushi.desc: Sync with upstream

commit 6fe1db1c734b9df8afe3c7a5c46203a7c858ece4
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-02 17:13:17 +0200

    genesys: Use std where needed

commit 429d8e4d5b811fa70383ab5d3f8d414733181158
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-02 17:13:16 +0200

    genesys: Remove unused code

commit a7ca16a415e526bae47d9e98eae282408875c001
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-02 17:13:15 +0200

    genesys: Add file with class forward declarations

commit f5410b7738e46689a64e95279ea17b5178356785
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-11-02 17:13:14 +0200

    genesys: Add an easy way to override SANE API linkage

commit 66c17ebf846406ee68ba9dcd202c197fcdd086ff
Author: perillamint <perillamint@quendi.moe>
Date:   2019-10-22 15:34:04 +0900

    pixma: Add support for Canon PIXMA G2010 Series

    This commit adds support for Canon PIXMA G2010 Series.

commit 572c5e6e6100da229dfcc6aef0a10d5551703298
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-11-01 19:53:41 +0100

    pixma: backend version 0.25.0

commit 27cac478e72ca6dbdd035f33d2eefb4574d284c5
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-11-01 19:52:57 +0100

    pixma: CanoScan LiDE 300 & 400 support all scan resolutions

commit 053e5fd7526b08795e9a4e20bc9b03d887e532db
Merge: 69e40e9a6 e16a2b05b
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-11-01 19:30:53 +0000

    Merge branch 'pixma/lide400_low_dpi' into 'master'

    CanoScan LiDE400 scans below 300dpi

    See merge request sane-project/backends!231

commit e16a2b05b1a6584b3ef9fd0506f0645accb70a2d
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-11-01 19:46:16 +0100

    pixma_mp150: activate image down-scaling for LiDE300 & 400

    we don't need to force >=300 dpi scans anymore

commit cffeb11ee63905ae44fb1f4454081674cd21cbb3
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-11-01 19:44:27 +0100

    pixma_mp150: special image format handling only needed for existing sub-images

commit 95e208527a1eadc5c4e11e2c083990fe1cde11ea
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-11-01 19:42:16 +0100

    pixma_mp150: new function shrink_image()

    call shrink_image() from post processing image data

commit 452b28a81fba249d4afd2071ad7e79b849c37e17
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-11-01 19:21:50 +0100

    pixma_mp150: use mp->scale to calculate scan parameters for down-scaling images

    the values for xdpi, ydpi, x, xs, y and wx must be expanded to minimum image size

commit b4cf3343bd0b253ad5df00772983e390336fcfda
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-11-01 19:16:14 +0100

    pixma_mp150: add comments and some debug outputs

commit 5d64760f0f61092c2f18b04414bd41a75d163e63
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-11-01 19:06:53 +0100

    pixma_mp150: new sub-driver parameter scale

commit bd811cb0b0b7d4e41910193608a8a7c3b02c178c
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-11-01 19:02:01 +0100

    pixma: new device option: min_xdpi

    used for scaling scanned images

commit 69e40e9a62a4157165c9865dc3653f293ccaeaab
Merge: e97112fa9 1bd2dcc9c
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-10-31 12:03:33 +0000

    Merge branch 'ci-fedora-31' into 'master'

    CI: Bump Fedora from 30 to 31

    See merge request sane-project/backends!230

commit 1bd2dcc9c81c9d930cf943a4024deb3716d18817
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-10-31 18:23:15 +0900

    CI: Bump Fedora from 30 to 31

commit b4ce719973a45aeaf55d732c5847d5e460943bb5
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-10-30 20:28:33 +0900

    kvs40xx: Fix [-Wcast-function-type] compiler warning.  Re #120

    The changes are meant to make explicit what the run-time or compiler
    is thought to be doing anyway.

commit e97112fa9649a4a7f9f5fda57ca9eac94d564447
Merge: fe30fbe89 ffcc232b6
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-10-29 11:28:57 +0000

    Merge branch 'patch-1' into 'master'

    Added the list of devices supported by scangearmp2.

    See merge request sane-project/backends!227

commit ffcc232b6cc2ec5e4fd4079742ece7558cd8c48b
Author: Ordissimo <thierry@ordissimo.com>
Date:   2019-10-29 11:28:57 +0000

    Add list of devices supported by scangearmp2

commit d2aaa822f36c0643323eb6abe6f2c7c04591c990
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-27 11:48:36 +0200

    genesys: Allow use of TIE() macro outside the genesys namespace

commit 87b5a78e377b5febc2acb79974e30029586bb974
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-27 11:48:35 +0200

    genesys: Add more logging

commit 1faa3223089cad06d99061cc8c9706079aa08e24
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-27 11:48:34 +0200

    genesys: Add a way to log messages using DBG_HELPER

commit 9ca0a109381ebe7d9a4d737bee8cd3b5020811d3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-27 11:48:33 +0200

    genesys: Improve class method identifiers in debug messages

commit 6d7365ba897890ec75eaa83c9981393677239fac
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-27 11:48:32 +0200

    genesys: Return errors as exceptions

commit 46876064d7ccff723d422a8c42fb2da94f61f3fe
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-27 11:48:31 +0200

    genesys: Improve error logging

commit a1bc0d33cd0283f015fd5663f5fe6764b028803e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-27 10:42:01 +0200

    genesys: Move line-distance correction data to session

commit 0fa25a233b4306a9d8f3e78a80f900974179fd6c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-27 10:42:00 +0200

    genesys: Merge chip-specific compute_session functions

commit c2479ed0e938b54b115b84679f81132ab417acd7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-27 10:29:56 +0200

    genesys: Add support for 3200dpi flatbed resolution on 8400F

commit 7f49bd2a2ef39c09a2a75db7fb7dbc0f2513d3b5
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-27 10:29:55 +0200

    genesys: Enable all transparency resolutions for infrared scans on 8400F

commit 7336ec8969015fb77ad2e8e5a25217af82473335
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-27 10:29:54 +0200

    genesys: Fix 1600 dpi flatbed / 3200 dpi TA support on 8400F

commit e2e72535b5caa86707fa0ff37e929a45a44a41c5
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-26 12:42:50 +0200

    genesys: Record data that is important for shading data upload

commit 67588e46ef343839795933d22bf6e1299d0cbd6a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-26 12:42:49 +0200

    genesys: Add checkpoints to record internal state

commit eadfdb57a460f7197cf6cc9aef7e50d3e799ebac
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-26 12:42:48 +0200

    genesys: Add a way to record backend internals using test scanner iface

commit 95366b1f1b7d640e1a512546b4a622dfe4a5cc13
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-26 12:42:47 +0200

    genesys: Add a way to record arbitrary data for debugging

commit 3ac009abe207873627b709544c63a775982ab7b3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-26 12:42:46 +0200

    genesys: Add more debug printers

commit 38c32ff7029553aadf0e17689a27fe605fe4635a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-26 12:42:45 +0200

    genesys: Extract formatting functionality out of debug_dump()

commit 105f7fbfaddd762455430bb787b2283d9b13899a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-26 12:42:44 +0200

    genesys: Add utility to restore stream state

commit 655c6b14b654585bb65d43bb2bbdf2256a3018c7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-26 11:38:37 +0200

    genesys: Extract low level register set functionality to separate class

commit 309ee441de2875f7e6d498dcad7c3d78262b1166
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-26 11:38:36 +0200

    genesys: Remove trivial bulk_{read,write}_data() wrapper

commit fe30fbe893a9842470768bfbc3fd204bacb74e97
Merge: 99ae5490a 82e971a78
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-25 20:22:38 +0000

    Merge branch 'glibcxx-assertions-abort' into 'master'

    genesys: Fix #156 - [Fedora] Abort due out-of-bound access

    Closes #156

    See merge request sane-project/backends!224

commit 82e971a7862a9c87c3f49e62e39a34da67d0b069
Author: Zdenek Dohnal <zdohnal@redhat.com>
Date:   2019-10-25 13:06:15 +0200

    Fix #156 - [Fedora] Abort due out-of-bound access

commit 99ae5490a677c3210e23c770b2032dc235bcd8b7
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-10-24 15:10:23 +0200

    pixma: backend version 0.24.1

commit 7b388d14da4ef9cf76cd987c575494fe6256fdc5
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-10-24 15:04:09 +0200

    pixma_mp150: fix scan height calculation

    this fixes: pixma_mp150: remove (ccd) color shifting (fc300be)

commit 63ce5153760cddfc6b15a1f2fc20bfa69d80fc82
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-10-22 20:09:00 +0200

    pixma_mp800: remove double PIXMA_CAP_CCD settings

commit 2f2bce2ae9f259646512ce7b1be3791001e08245
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-10-22 19:41:49 +0200

    pixma: backend version 0.24.0

commit 7db4449fa044e8ee06b7c7f83a54a7725f861da4
Merge: 2b1ce918a ab0314399
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-10-22 19:40:06 +0200

    Merge branch 'pixma/separate_ccd_from_cis'

commit ab0314399a26b470d7f601a69649f7ce7975d1c0
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-10-22 19:32:07 +0200

    pixma_mp810: rename => pixma_mp800

    1st ccd scanner in pixma_mp810 is MP800

commit fc300be715eeee3b719824b694a660672de99d78
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-10-22 19:23:18 +0200

    pixma_mp150: remove (ccd) color shifting

commit 1b8fe029a256d6ef4202838a1c69fc2e9307daa7
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-10-22 19:10:53 +0200

    pixma_mp150: remove unused code

    unused scanner functions: ccd, tpu

commit 83a0a1c55f973db2d4fb7ce9d664477e46516651
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-10-22 18:03:33 +0200

    pixma_mp150: move ccd scanners => pixma_mp810

commit 657f1d8e26f0259f380c11aa16cdcfc00249648a
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-10-22 17:46:19 +0200

    pixma_mp810: all scanners have ccd

commit 97cd2e10bb6149cbdaab8fc306ea2761aa83f972
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-10-22 17:46:01 +0200

    pixma_mp750: all scanners have ccd

commit 2b1ce918aef19061bf5f0cc3cba625314bb6f1c3
Author: Louis Lagendijk <louis.lagendijk@gmail.com>
Date:   2019-10-18 19:45:37 +0200

    pixma_bjnp.c: Fixed compile warnings on My Fedora build

commit 6b0f3ca124fc3e31db1d4750f9e6e006f135976d
Merge: 9ee689c6f 0b4a5f941
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-17 19:44:38 +0000

    Merge branch 'genesys-misc-fixes' into 'master'

    genesys: Miscellaneous fixes for numerous scanners

    See merge request sane-project/backends!222

commit 0b4a5f941ad2550e90d06ff1c6ba7f7e909312d5
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-17 22:30:27 +0300

    genesys: Use correct min resolution for feeding

commit abec99006c78353a300747e34ae39f9be7d5673d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-17 22:30:26 +0300

    genesys: Add missing <cmath> includes

commit 2d0a1a34709670d2e7946e8f0695af4b73b75847
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-17 22:30:25 +0300

    genesys: Enable 1200 Y resolution on HP ScanJet 2300

commit 2a8be5e191550dadc44ca8eaf9fafe45171bb76d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-17 22:30:24 +0300

    genesys: Use motor base dpi for shading calibration on gl847

commit 87969174bd9d68983f6b4b47aae51f813e64054e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-17 22:30:23 +0300

    genesys: Fix shading target for Canon LiDE 110, 120, 210, 220

commit 36f0685d0a5db1c2b361ad250b8235b5e07aaafd
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-17 22:30:22 +0300

    genesys: Improve robustness of calibration on gl847

commit 67d6a194e588fffdea15e5f3c0e2279de519f5f8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-17 22:30:21 +0300

    genesys: Fix geometry for Canon LiDE 110

commit 0096d56cb61dbeb7426c6699cea4c0bf0eb7f2de
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-17 22:30:20 +0300

    genesys: Fix X resolution list for Canon LiDE 100 and 120

commit dab38144a03cd1da055cc9ab06defb6d0a79872e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-17 22:30:19 +0300

    genesys: Fix geometry of HP G4050

commit 661fa1d590c5ab7ef1d8f85513c55aa63d3c78a5
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-17 22:30:18 +0300

    genesys: Add missing resolutions for Canon 5600F

commit 2c7f7fcac283c1f3e073908601f5da0444fc3819
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-17 22:30:17 +0300

    genesys: Fix sensor gamma of LiDE 100, 110, 120, 200, 210, 220 scanners

commit b391b35fd9180af4222ed0c9ff71e7aa62baca4b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-17 22:30:16 +0300

    genesys: Fix uninitialized variable warning in SaneException c-tor

commit 1ac04c6266dd1bf721b9b950ebe3540112af0beb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-17 22:30:15 +0300

    genesys: Don't enable gamma when not needed

commit 9ee689c6f67e48b3e94a2ff0d129c28476ff855b
Merge: 680ebd9f3 93e980d0c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-17 19:20:11 +0000

    Merge branch 'genesys-median-shading' into 'master'

    genesys: Use median filter during to average columns during shading calculations

    See merge request sane-project/backends!221

commit 93e980d0c1d3b03bea1d2db45ea588f2272c94ab
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-17 22:07:01 +0300

    genesys: Use median instead of mean when computing shading calib data

commit f9d36d1a1b5150866d2a714380c7e7579e4e1189
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-17 22:07:00 +0300

    genesys: Add utility to compute percentille of columns in image

commit 051ff59e0c21e512823093a125e1a1da4a70a79a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-17 22:06:59 +0300

    testsuite: Add a way to test exception throwing

commit 680ebd9f3f6576686a25e721138f01c5ae8d9c72
Merge: efb693e0b bc2f40b27
Author: ABC <abc@telekom.ru>
Date:   2019-10-16 15:48:10 +0000

    Merge branch 'samsungc460-no-jpeg-support' into 'master'

    xerox_mfp: Samsung C460 does not have the JPEG mode
    So blacklist it from jpeg parser.

    See merge request sane-project/backends!218
    https://gitlab.com/sane-project/backends/merge_requests/218

    Downstream references:
    https://bugzilla.redhat.com/show_bug.cgi?id=1760916

commit bc2f40b274ceb9292c3665ea55755e43d0b99487
Author: Zdenek Dohnal <zdohnal@redhat.com>
Date:   2019-10-15 12:49:48 +0200

    Samsung C460 does not have the JPEG mode

commit efb693e0b7fa1ad020bf7e0c0d1cf06b7a9dd61e
Merge: 82b1a8922 885eb8280
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-13 15:49:07 +0000

    Merge branch 'genesys-per-scan-method-resolutions' into 'master'

    genesys: Support different resolutions depending on scan method

    See merge request sane-project/backends!217

commit 885eb8280120fc9e41c151d15ee01973125df515
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-13 18:30:28 +0300

    genesys: Update resolutions specific to scan method in model list

commit a5fe12a37fbc200475a03c7644ec429e213107da
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-13 18:30:27 +0300

    genesys: Allow supported resolutions to vary depending on scan method

commit 24230aea7d1865b0a1fac649f53c7fdcac0aee51
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-13 18:30:26 +0300

    genesys: Simplify option setup

commit b716c1a45760a79ea8a31d4296270d0605f669b7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-13 18:30:25 +0300

    genesys: Remove duplicate definitions of SCAN_FLAG_*

commit 82b1a8922ef981ae03126d492389bdc897fc7243
Merge: f04ab61ea 3037ba1ea
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-13 10:41:13 +0000

    Merge branch 'genesys-searchable-register-names' into 'master'

    genesys: Use a searchable name for register enums

    See merge request sane-project/backends!216

commit f04ab61eaab8335866cce7c48796c080b2729db2
Merge: 9fe2026ac 0ab82e9f8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-13 10:15:12 +0000

    Merge branch 'genesys-fix-warnings' into 'master'

    genesys: Fix floating-point conversion warnings

    See merge request sane-project/backends!215

commit 0ab82e9f86d4b1d94e6e1eb1e501498570c89cb2
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-13 06:18:51 +0300

    genesys: Resolve various floating-point conversion warnings

commit f4a295754159acb6d4df0868f02b69531667cd92
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-13 06:18:50 +0300

    genesys: Use unsigned for resolution in various places

commit 59e356ac1340c930bd8a2f2ffc79ac36cd3d837d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-13 06:18:49 +0300

    genesys: Don't use variants of M_PI that aren't guaranteed to be present

commit a694002364761f179db8d0694b46afe5a3509750
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-13 06:18:48 +0300

    genesys: Switch session startx and starty to unsigned

    The sources and destinations are integer in most cases for these
    variables.

commit 0840c6e9d9e1a878b625ba6547958e5bc41645d8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-13 06:18:47 +0300

    genesys: Fix float conversion warnings in the tables

commit 9fe2026accee3bdfcfd81fbb158934d2a2f5d37c
Merge: 41ce1eb20 68e5f8a91
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-12 20:06:18 +0000

    Merge branch 'genesys-misc-cleanup' into 'master'

    genesys: Miscellaneous cleanup

    See merge request sane-project/backends!214

commit 68e5f8a912067731af262c7218d9eaf88e032721
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-02 12:01:28 +0300

    genesys: Put the backend code into a separate namespace

commit 41ce1eb204130a974e15c63cec418b6197cf41c4
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-10-12 18:49:10 +0200

    pixma: backend version 0.23.5

commit a89ffe8f2c02d45cbd7a26608c02535b972d1dfa
Merge: d5c0240f4 eb2f83648
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-12 16:09:29 +0000

    Merge branch 'genesys-remove-1bit-support' into 'master'

    genesys: Remove support for scanning 1 bit output

    See merge request sane-project/backends!212

commit d5c0240f43a9186f3149fc57b8c2ebcd30725208
Merge: f6c9b83dc 6638f00b8
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-10-12 18:07:03 +0200

    Merge remote-tracking branch 'origin/master'

commit 6638f00b8496977d02ceda8f90208e029a6616f2
Merge: 9581f29f1 09336e028
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-12 16:05:18 +0000

    Merge branch 'genesys-fix-warnings' into 'master'

    genesys: Fix warnings

    See merge request sane-project/backends!211

commit f6c9b83dcd7b6d9afcfcf337ec30d2ba5d8966e9
Merge: 6959c2d14 ba9bc24fd
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-10-12 18:00:51 +0200

    Merge branch 'pixma/fix-debian10-compiler-warning_format-truncation'

    See issue sane-project/backends#120

commit ba9bc24fd2040351f5d00b9a6d4624bab57b0d4c
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-10-12 17:59:13 +0200

    pixma: replace snprintf() by strftime()

    strftime() uses format specifiers with fixed lengths.

commit 9581f29f135db2e4c23056d37997fe35416a3d5f
Merge: 5ca0acd19 42cace02c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-12 15:43:04 +0000

    Merge branch 'genesys-fix-warnings' into 'master'

    genesys: Fix warnings not enabled in regular build

    See merge request sane-project/backends!209

commit 5ca0acd19a2a8958c4de78eb0ccffe520ca7d1b1
Merge: ebfb93964 f8623e8f5
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-12 15:41:59 +0000

    Merge branch 'genesys-plustek-7300-7500i' into 'master'

    genesys: Implement support for Plustek OpticFilm 7300 and 7500i scanners

    See merge request sane-project/backends!210

commit ebfb939647c301bf2b4d9af87321c3e57596fa7d
Merge: 6959c2d14 d3d86a457
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-12 15:39:20 +0000

    Merge branch 'genesys-move-to-dir' into 'master'

    genesys: Move the backend to a separate directory

    See merge request sane-project/backends!207

commit f8623e8f538063ba209b8b5fd235e3a5f9f866c3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-12 18:23:56 +0300

    genesys: Add support for Plustek OpticFilm 7500i

commit 20da3df5014abfc6b380a65853d5b522f02ded7e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-12 18:23:55 +0300

    genesys: Add support for Plustek Opticfilm 7300

commit d3d86a457ed71884eb42efd2003599ea9beceec8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-12 17:43:32 +0300

    po: Sync with latest source

commit b5e4d86eb2699ef61c79e81835db0d0598267735
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-01 08:42:09 +0300

    genesys: Use separate translation unit for conversion functions

commit 9f44bab6e094527a323d4c4bf057fd65d399d39b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-01 08:42:08 +0300

    genesys: Move backend files to a separate directory

commit 6959c2d14e7fff2c61bee5972304782dc84e07ea
Merge: 9ce4cb089 497c9aeba
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-12 15:06:44 +0000

    Merge branch 'genesys-misc-cleanup' into 'master'

    genesys: Miscellaneous cleanup

    See merge request sane-project/backends!208

commit 9ce4cb089f1ad10e91a5ce5d9bd222a06f764c41
Merge: 9ccf58657 61e1f1bf0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-12 14:13:44 +0000

    Merge branch 'genesys-misc-cleanup' into 'master'

    genesys: Miscellaneous cleanup

    See merge request sane-project/backends!206

commit 9ccf586575ed274fa9a11084dd831709e8b1fd08
Merge: 0e4a2d107 0781f3fd3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-12 00:13:59 +0000

    Merge branch 'genesys-fix-gl841-init-crash' into 'master'

    genesys: Make sure calib_reg are available before writing into them

    Closes #136

    See merge request sane-project/backends!205

commit 0781f3fd3960ae30d1b1f8ecfd842b82bc7df2bb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-12 02:59:11 +0300

    genesys: Make sure calib_reg are available before writing into them

commit 0e4a2d107a957e7476cee994c3373cdc7e1d7354
Merge: 6933315e1 fc699d2bf
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-10-06 02:47:36 +0000

    Merge branch 'hh' into 'master'

    uClibc-ng fixes

    See merge request sane-project/backends!198

commit 6933315e16a04ba2a5170aeccc29e5de694d8889
Merge: f8131fd6f eb7d17391
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-10-05 21:29:57 +0200

    Merge remote-tracking branch 'origin/master'

commit f8131fd6fe3652ce8930275898578ba56fc3ddc6
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-10-05 21:29:14 +0200

    pixma: i-SENSYS MF640 Series networking tested

commit eb7d173916b6dc56139d10f56f243eff75a8dbe1
Merge: 9e8f78057 ec8dadc0a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-05 08:14:36 +0000

    Merge branch 'genesys-use-consistent-enum-names' into 'master'

    genesys: Use consistent enum names

    See merge request sane-project/backends!204

commit ec8dadc0a065e038821ba27cd079e5eb504fd6a0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-30 13:52:07 +0300

    genesys: Use consistent names for enums of Canon scanners

commit 6a1055143f32bd0bef1cef3ae91594f496894bf1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-30 13:52:06 +0300

    genesys: Use consistent names for enums of Plustek scanners

commit 9e8f7805742db9318125ce77838cb61109a8632b
Merge: 290d19a09 a42a177a7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-05 07:06:51 +0000

    Merge branch 'genesys-strongly-typed-enums' into 'master'

    genesys: Convert weakly typed enums to strongly typed enums

    See merge request sane-project/backends!203

commit 290d19a0974f68a5037fb6a17e44af8f95fe9793
Merge: 7a7009a79 7fb658215
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-05 06:27:44 +0000

    Merge branch 'genesys-model-flag-inverted-output' into 'master'

    genesys: Introduce a model flag for inverted 16-bit output

    See merge request sane-project/backends!202

commit 7a7009a79d86b772de70113b305ce9595537fe07
Merge: 303cc7ded 32dea7695
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-05 06:21:12 +0000

    Merge branch 'genesys-virtual-functions-for-cmdset' into 'master'

    genesys: Use virtual functions for command set actions

    See merge request sane-project/backends!201

commit 7fb6582157ae2b55f38936e58b1ed8bf174b6055
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-05 09:01:32 +0300

    genesys: Introduce a model flag for inverted 16-bit output

commit 32dea7695672d89245dff98448b0e697e83086f9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-05 09:01:31 +0300

    genesys: Use virtual functions for command set actions

commit 303cc7dedd3d1fb8b4cd64b53c1a40065f931835
Merge: 65d9497ff 1face9299
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-05 05:30:18 +0000

    Merge branch 'fix-memory-errors' into 'master'

    Fix memory errors in various places

    See merge request sane-project/backends!200

commit 1face9299d866996e0d30d8692e7345c2388b254
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-05 01:01:32 +0300

    genesys: Fix uninitialized option group names

commit 6b3ba8af8a62545c90051b0dbf30b955d2462841
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-05 01:01:31 +0300

    sanei_usb: Fix memory leak in USB testing mode

commit 643ac8eab272cf1fe528bf79a94c873227d84614
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-05 01:01:30 +0300

    genesys: Fix memory leaks in global data

commit 65d9497ff30dcc4748a9a5940d1c73b2a8a47c5c
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-10-04 21:29:13 +0200

    pixma: fix network scanner model for Canon i-SENSYS MF640 Series

commit 67c732f2f03fa6528099990065a073c02d404f27
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-10-04 15:46:30 +0200

    pixma: PIXMA MG3000 Series is working

commit 8841b4e593141f70532379ec83c64c62855b7cce
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-10-04 12:32:56 +0200

    pixma: i-SENSYS MF640 Series is working

commit d78dc1a30be2fb8ac740f9f19a348ae134f5627d
Merge: 4239428c8 3c449a751
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-10-04 11:22:09 +0200

    Merge remote-tracking branch 'origin/master'

commit 4239428c87d021825f554ca5a9c376df5a03136c
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-10-04 11:21:43 +0200

    pixma: backend version 0.23.4

commit 14851d780d9c4743e8d5df55ebcc668a603b1a22
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-10-04 11:21:14 +0200

    pixma: CanoScan LiDE 300 supports max. 2400 dpi

commit 3c449a75154e9f7cdd2c599b2c2c81ec8300c1fe
Merge: 899d6968f 0146888d7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-04 04:16:07 +0000

    Merge branch 'genesys-plustek-opticfilm-7200i' into 'master'

    genesys: Implement infrared scanning support on OpticFilm 7200i

    See merge request sane-project/backends!199

commit fc699d2bf573444a55ada47ad2317dc47b67c6d7
Author: Rosen Penev <rosenp@gmail.com>
Date:   2019-10-02 18:41:07 -0700

    treewide: Replace bzero with memset

    bzero was removed in POSIX 2008. It is optionally unavailable with
    uClibc-ng.

    Signed-off-by: Rosen Penev <rosenp@gmail.com>

commit 428bec49bfda8bf6502b97bb02e1eb292aa6e4e6
Author: Rosen Penev <rosenp@gmail.com>
Date:   2019-10-02 18:27:36 -0700

    sanei_scsi: Replace bcopy with memcpy

    bcopy was deprecated in POSIX 2008 and is optionally unavailable with
    uClibc-ng.

    Signed-off-by: Rosen Penev <rosenp@gmail.com>

commit 5c0f0eb12896b26553de88401605391aefc84d02
Author: Rosen Penev <rosenp@gmail.com>
Date:   2019-10-02 18:25:02 -0700

    pieusb_buffer: Define L_tmpnam if not available

    uClibc-ng does not make it available for some reason.

    Signed-off-by: Rosen Penev <rosenp@gmail.com>

commit c320a72e32eb6651bd6f1918b83a7a44ca6fcc87
Author: Rosen Penev <rosenp@gmail.com>
Date:   2019-10-02 18:21:59 -0700

    treewide: Replace mktemp by mkstemp

    mktemp has been removed in POSIX 2008. uClibc-ng optionally does not make
    it available.

    Signed-off-by: Rosen Penev <rosenp@gmail.com>

commit 3037ba1eafb551524b30865323900bc5afa1dd6a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-02 14:28:59 +0300

    genesys: Use a searchable name for register enums

commit e32a45fef814c36756bedb259c2baa692da25c39
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-02 12:01:27 +0300

    genesys: Retrieve depth from session in genesys_warmup_lamp()

commit 17740df924c692d8585bc24258a357cc5f3d17b2
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-02 12:01:26 +0300

    genesys: Remove support for binary logging

commit 899d6968fada5caabde4f4c81a701354f6fbe666
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-10-01 22:58:54 +0200

    pixma: backend version 0.23.3

commit af09cf3ac8e33ca17875d6f3f6b5f05cf8c8e9f5
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-10-01 22:57:18 +0200

    pixma: add document feeder support for i-SENSYS MF260 Series

commit cc6afc02ea9095204f364ad5231dcb922824dcfb
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-10-01 22:41:19 +0200

    pixma: uncomment and edit experimental scanners list in sane-pixma.man

    We have no experimental scanners yet. But environment variable PIXMA_EXPERIMENT
    is specified and may be used again in future.

commit 607eacaa7104c62cd6082c02f4fcf83c4523ddd9
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-10-01 22:37:15 +0200

    pixma: reorder scanners in pixma.desc

commit eb2f8364818d5fbd30e06e7a2b296699a1ad5af8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-01 18:11:52 +0300

    genesys: Remove low-level support for 1-bit depth scans

commit 0180c4c5d871c55ecd38c8ad9891c4a51dc70c1a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-01 18:11:51 +0300

    genesys: Remove SCAN_FLAG_DYNAMIC_LINEART

commit 8be96ecd6072a9199ab2cb6f105b79efab97b9e2
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-01 18:11:50 +0300

    genesys: Simplify code as dynamic_lineart is always enabled for lineart

commit 3263b986ce7afc802c96276d4b876632bcdf3146
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-01 18:11:49 +0300

    genesys: Remove support of --disable-dynamic-lineart option

commit bff9f2fdc4a31f1f498223144814168f64aaf802
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-01 18:11:48 +0300

    genesys: Fix crash during sane_exit() on high debug level

commit 158cc81e206a03f4c25a66b2e3147c1c4c31abf8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-01 18:11:47 +0300

    genesys: Simplify setup of session depth parameter

commit 09336e0286ce828c5288ac361ae3bd83e671cffb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-01 15:41:27 +0300

    genesys: Remove code that has no effect

commit cccd1e949ab53f6463bb8f97431dde9a0bc5e632
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-01 15:41:26 +0300

    genesys: Fix unused exception warning

commit 60b6465115eb391b93e84a237cabdfa7e88e2cb4
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-01 15:41:25 +0300

    genesys: Emit single vtable of ImagePipelineNodeCallableSource

commit c8f2a815c03478bd61b16ad35f34cab7edf7ed30
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-01 15:41:24 +0300

    genesys: Don't use std types from global namespace

commit 1423db661858e566dbf17430c82e5471a69c0b2a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-01 15:41:23 +0300

    genesys: Include missing includes

commit 42cace02c52e19a9520dcafaf56dfeb442eb7c50
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-01 12:09:51 +0300

    genesys: Simplify version logging

commit 4c90bfcaeea4c470c96cf7bc6c4b0f277742ec17
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-01 12:09:50 +0300

    genesys: Remove uses of old-style casts where possible

commit 8537ba21b7fa9dfca25068735d11916b1b8869e2
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-01 12:09:49 +0300

    genesys: Don't emit symbols of internal objects

commit 9c7199c09ec88832b285add6178272e158f6101d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-01 12:09:48 +0300

    genesys: Don't use std identifiers from global scope

commit bb84d6d9e4b7c6de55cb432892af26ed89750354
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-01 12:09:47 +0300

    genesys: Remove unused code

commit e20e73f43465e79336a30792c16adb0dffc6084b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-01 12:09:46 +0300

    genesys: Don't use C-style casts where possible

commit 497c9aeba2f4dc2a7a472b643b884fd4a7b3753c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-01 10:52:44 +0300

    genesys: Wrap SANE_Fixed into class which automatically converts values

commit b176366dcf375499868eb54057e5f4c8cbbf4924
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-01 10:52:43 +0300

    genesys: Increase wait for home timeout to 200 seconds

commit 8a1bc90521e205f7747cf2f12e0849ca7c0772aa
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-01 10:52:42 +0300

    genesys: Simplify sanei_genesys_wait_for_home()

commit 61e1f1bf08f6483608f876ffb085eb6c2d2a7317
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-01 08:18:47 +0300

    genesys: Simplify usage of sanei_genesys_get_status()

commit 26e418537ff694e1b92074d7032fa93aeaa6dc72
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-01 08:18:46 +0300

    genesys: Reduce duplication of waiting for non-empty buffer state

commit bf9d69d20df3c0b80a683cada2c23999699e6d5d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-01 08:18:45 +0300

    genesys: Replace uses of SANE_Bool with bool

commit 6da4e69d95f47db0afe8f020d4fc0dd926281069
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-01 08:18:44 +0300

    genesys: Mark overridden functions consistently

commit 44ac90d309e68d447026e375b02996fa54800219
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-01 08:18:43 +0300

    genesys: Fix misuses of comma operator

commit 7ac53bce10264644fe70b55af2a5fd13d4b16f82
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-10-01 08:18:42 +0300

    genesys: Replace uses of nullptr

commit a42a177a7ad54eb26e079b80f61a9bc7739212c0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-30 13:52:05 +0300

    genesys: Bump calibration version

commit 98b4742aab09eaa58c232b434fdd3f46a3c02b35
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-30 13:52:04 +0300

    genesys: Use strong enum for motor step type

commit 719a0cf55ce7ad84d2fc561fb9859c823113b783
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-30 13:52:03 +0300

    genesys: Use strong enum for motor id

commit 45aec261047cdb7a68e85bba93ced441cfb434ce
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-30 13:52:02 +0300

    genesys: Use strong enum for gpio type

commit d4ca0177a13cf21fce320a876ddcfa66c2490acb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-30 13:52:01 +0300

    genesys: Use strong enum for ADC id

commit df14234297f969ccab005227760bfb2bedc168ec
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-30 13:52:00 +0300

    genesys: Use strong enum for sensor id

commit 66937f646827fe558a96828980552f94fe6edde9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-30 13:51:59 +0300

    genesys: Remove invalid comment

commit 6971301590e5cbd7c8932ea9b2246c0df8253c33
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-30 13:51:58 +0300

    genesys: Rename Genesys_Sensor::{CCD -> ccd}_start_xoffset

commit 591309a29e4667ea9e5bb27b6535b0400e8738da
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-30 13:51:57 +0300

    genesys: Use strongly typed enum for model id

commit 9824dfe8b027de2aa8d09ad11eb05e5a3f14922f
Merge: 1dc1da594 ef29ed60c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-29 22:15:02 +0000

    Merge branch 'genesys-opticfilm-7200i' into 'master'

    genesys: Implement support for Plustek Opticfilm 7200i

    See merge request sane-project/backends!197

commit ef29ed60c2a5928d6be916fc7e85efc692cb8a2f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-19 00:30:23 +0300

    genesys: Implement support for Plustek Opticfilm 7200i

commit 1dc1da59428ec6715dae67f0bc8a99f150fc73b3
Merge: 4c9f9f084 1bab4037f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-29 19:18:59 +0000

    Merge branch 'genesys-misc-cleanup' into 'master'

    genesys: Miscellaneous cleanup

    See merge request sane-project/backends!196

commit 4c9f9f0847ee6d2e9ebc406a28f63889473068c4
Merge: 7df7acbaf 323f37753
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-29 18:44:12 +0000

    Merge branch 'genesys-host-side-calibration' into 'master'

    genesys: Implement support for host-side calibration

    See merge request sane-project/backends!195

commit 7df7acbafd584bb041d0ef73220edcedafd4cc31
Merge: cf5f30dec 5e2a0f572
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-29 18:31:46 +0000

    Merge branch 'genesys-gl843-image-calibration' into 'master'

    genesys: Use image pipeline for calibration on gl843

    See merge request sane-project/backends!194

commit cf5f30dec30902be8172721eb8130ec299080346
Merge: b3445a180 3c99d405e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-29 18:23:12 +0000

    Merge branch 'genesys-fix-depth-option' into 'master'

    genesys: Fix handling of the `--depth` option

    See merge request sane-project/backends!193

commit b3445a1803ef372240485b0de8a7c14bbe02fb19
Merge: a30daa96d b09aa6584
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-29 18:09:59 +0000

    Merge branch 'genesys-move-register-lists-to-separate-files' into 'master'

    genesys: Move register address lists to separate files

    See merge request sane-project/backends!192

commit a30daa96d150b1c79fac765a7f01be5bc45407d6
Merge: 7bd4a1db4 11c80b129
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-29 18:00:13 +0000

    Merge branch 'genesys-misc-cleanup' into 'master'

    genesys: Miscellaneous cleanup

    See merge request sane-project/backends!191

commit 7bd4a1db49b94ed4c72aa445626cadda0d7ef30d
Merge: 32c49e5ec 599443bf7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-29 17:49:38 +0000

    Merge branch 'genesys-image-limit-output-sheetfed-scanners' into 'master'

    genesys: Fix output limiting for sheetfed scanners

    See merge request sane-project/backends!190

commit 32c49e5ec1e4b204f1da2320b6323abb9c6293f1
Merge: b6eef0861 e53058e8b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-29 17:25:50 +0000

    Merge branch 'genesys-image-full-ownership' into 'master'

    genesys: Add class that handles full ownership of image data

    See merge request sane-project/backends!188

commit e53058e8b085351ac907fe72897f32483cd77126
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-15 15:27:11 +0300

    genesys: Add class that handles data ownership for full image

commit 6ced865d53570f04a66855fb324817fa24e5fb50
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-15 15:27:10 +0300

    genesys: Move pixel-related functionality to separate file

commit b6eef08610810a9b38f98fc5c233f4138c230358
Merge: 28b216513 ab62a1448
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-29 04:33:06 +0000

    Merge branch 'genesys-session-calib-pixel-offsets' into 'master'

    genesys: Use session for pixel coordinates during calibration

    See merge request sane-project/backends!189

commit 28b216513e86ae57f9baea5bce464e825245313a
Merge: 7b66a8f73 050b0c1d8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-28 18:22:42 +0000

    Merge branch 'genesys-misc-cleanup' into 'master'

    genesys: Miscellaneous cleanup

    See merge request sane-project/backends!185

commit 7b66a8f732b01f6366694c941180dab7bd2e6735
Merge: f2019befd b9346f0f7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-28 18:19:58 +0000

    Merge branch 'genesys-override-dpi' into 'master'

    genesys: Add a way to override logical dpi and physical pixel counts

    See merge request sane-project/backends!187

commit f2019befd7558421ae13022d0e92798fd032f145
Merge: 345be52f9 db36dd810
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-28 18:02:33 +0000

    Merge branch 'genesys-session-pixel-offsets' into 'master'

    genesys: Move pixel coordinate calculation to a single place

    See merge request sane-project/backends!186

commit 345be52f9e322b30a28910238492a9ea30631096
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-09-28 20:33:26 +0900

    nec: Fix [-Werror=implicit-fallthrough] warning

    The fallthrough would log a message that is probably misleading.

commit b0b8e8f980692c67ba8aff760344c9305ea02013
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-09-28 18:07:27 +0900

    Revert "CI: Speed up compile stage jobs"

    The additional variables: section in the template hides any variables
    set for each job that uses the template!

    This reverts commit 14e7ba47dda2ee7389e8db21268cd49e80ea968a.

commit e00d5462dee98bd6fa7d8672fba730af9874db87
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-09-28 17:43:06 +0900

    Fix libusb related [-Werror=deprecated-declarations] warnings

    See http://libusb.sourceforge.net/api-1.0/group__libusb__lib.html

commit 29580b08b55a60209c03ce4bf17a834f0904ead3
Merge: bf3e170db be4c3c1f6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-28 05:49:11 +0000

    Merge branch 'genesys-deduplicate-shading-calibration' into 'master'

    genesys: Deduplicate shading calibration

    See merge request sane-project/backends!184

commit bf3e170dba7a1c0a01ae8e207247a368f75fa00c
Merge: f3d0a7c17 bee1179e0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-28 05:48:28 +0000

    Merge branch 'genesys-use-image-pipeline' into 'master'

    genesys: Use new image operations pipeline for image data reading and conversion

    See merge request sane-project/backends!183

commit f3d0a7c17cc2244059773116091e481ed5ee116b
Merge: d1badffa8 8cf573527
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-28 05:34:34 +0000

    Merge branch 'genesys-fix-pow-ambiguity' into 'master'

    genesys: Fix ambiguity of std::pow() on old compilers

    See merge request sane-project/backends!182

commit bee1179e0efa7a00d45bddaedd74f5819ee1ad74
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-13 17:04:05 +0300

    genesys: Print debug images of intermediate pipeline output

commit 41addb973065b0b8e68f975ae060df49ebe57ded
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-13 17:04:04 +0300

    genesys: Fix debug identifiers

commit 9cd1de5c5268a89b20c21e2777229bde08f8e3d6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-13 17:04:03 +0300

    genesys: Add a way to debug image pipelines

commit cd712f9f9942c424ee1c554f81ba8fa038ed41c7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-13 17:04:02 +0300

    genesys: Use new image pipeline for row scaling

commit bf7e890fa4d6c17d2313d3eaf0f90d68c9ae98cd
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-13 17:04:01 +0300

    genesys: Use new image pipeline for CCD line shifts and unstagger

commit 0b1bfa3f1201b5cfa9e93ecbc4fcf00a57d6b63d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-13 17:04:00 +0300

    genesys: Swap 16-bit pixel endian on big endian machines

commit cae3015b66ab340cf585fb224745e73ae6c53ae6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-13 17:03:59 +0300

    genesys: Use new image pipeline for format and CIS reordering

commit 8cf5735278af26afd6c0b563915f3be879ad14c4
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-28 06:56:03 +0300

    genesys: Fix ambiguity of std::pow() on old compilers

commit d1badffa886b1065322978a8ea8e5b94d88abde5
Merge: 9eefac82c 802a62ee2
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-28 03:54:56 +0000

    Merge branch 'genesys-fix-output-line-bytes-raw' into 'master'

    genesys: Fix calculation of session output_line_bytes_raw

    See merge request sane-project/backends!181

commit 9eefac82ca98faf28bb56271b8526331413a2c75
Merge: a500f577c 97387e208
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-09-28 03:09:07 +0000

    Merge branch '103-add-old-changelogs-to-source-tarball' into 'master'

    Resolve "Source tarball does not include older ChangeLogs"

    Closes #103

    See merge request sane-project/backends!127

commit a500f577c04a300cddcacccffd52de59c3f80909
Merge: c9e95999f efbfcb0a7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-27 22:43:07 +0000

    Merge branch 'genesys-calibration-variable-names' into 'master'

    genesys: Improve clarity of calibration offset variable names

    See merge request sane-project/backends!180

commit c9e95999f350a2145797954adcc770da91d4ffd7
Merge: da745b2f3 661aa3bcd
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-27 22:38:55 +0000

    Merge branch 'genesys-generic-register-set' into 'master'

    genesys: Make GenesysRegisterSettingSet generic

    See merge request sane-project/backends!179

commit da745b2f3007d3450845af1fde87265f23366aa3
Merge: dc52dc84f d4e4bf35c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-27 22:35:42 +0000

    Merge branch 'genesys-image-pipeline-segmented-sensors' into 'master'

    genesys: Use the new image pipeline for segmented sensor desegmentation

    See merge request sane-project/backends!178

commit dc52dc84f047749abf5e226f2d4c23c0c8fa131c
Merge: 7a8da5c40 9a844e1ed
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-27 21:56:17 +0000

    Merge branch 'genesys-misc-cleanup' into 'master'

    genesys: Miscellaneous cleanup

    See merge request sane-project/backends!177

commit 7a8da5c40bf4c4e08f7da21a4a4f33e0ac2bd228
Merge: 0440123bd d73915ba1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-27 21:32:02 +0000

    Merge branch 'genesys-analog-devices-adc-calibration' into 'master'

    genesys: Implement gain calibration for Analog-Devices ADC

    See merge request sane-project/backends!176

commit 0440123bdc5b6104a44098c4d066d8c3404cd413
Merge: 4cd9dbb73 ad1067ad0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-27 21:21:09 +0000

    Merge branch 'genesys-gl843-segmented-sensors' into 'master'

    genesys: Add support for segmented sensors on gl843

    See merge request sane-project/backends!175

commit 4cd9dbb73d745891732f3ba3c2b48268f7b1a713
Merge: c59f9a037 1c7ef4b55
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-27 21:06:44 +0000

    Merge branch 'genesys-image-library' into 'master'

    genesys: Implement a streaming image library

    See merge request sane-project/backends!174

commit c59f9a037bc5a53ad4dfd23f28c602a8e0bac557
Merge: 17dc1aee8 2f3d9e9d7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-27 20:55:51 +0000

    Merge branch 'genesys-default-scan-method' into 'master'

    genesys: Add a way to specify default scan method

    See merge request sane-project/backends!173

commit 17dc1aee81b247c973d82a045e66fec871d5af9b
Merge: 60ce6b5c0 9b7ab9372
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-27 20:44:47 +0000

    Merge branch 'genesys-desegmentation-refactor' into 'master'

    genesys: Simplify desegmentation state (part 6)

    See merge request sane-project/backends!172

commit 60ce6b5c0128676b6d5aed75ee6ddd73e91776c8
Merge: 015252e4a e0974ab74
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-27 20:37:08 +0000

    Merge branch 'stv-werror-fix-constant-redefinition' into 'master'

    stv: Fix macro constant redefinition

    See merge request sane-project/backends!171

commit 015252e4a8285c9b39cb0e8ba9aaf883ef7187e5
Merge: 3618a244a 0290a2639
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-27 20:35:13 +0000

    Merge branch 'sanei-usb-optimize-test-mode-bulk-transfers' into 'master'

    sanei_usb: Optimize bulk USB transfers in testing mode

    See merge request sane-project/backends!170

commit e0974ab74ac90b47975739d69b04ff8e2b86a7cb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-20 17:29:41 +0300

    stv: Fix macro constant redefinition

commit 0290a263946e233c743b4721e56fdc98b1624b1f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-27 23:19:52 +0300

    sanei_usb: Optimize bulk USB transfers in testing mode

commit 3618a244af39ea26cf7c9cbfc914d9ccd2706e69
Merge: 86b9768dd 0267eeeea
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-27 19:44:15 +0000

    Merge branch 'genesys-desegmentation-refactor' into 'master'

    genesys: Simplify desegmentation state (part 5)

    See merge request sane-project/backends!169

commit 86b9768dd3238b9238751e4a969edb476f084b93
Merge: 16b003343 eb0882ecc
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-27 19:22:08 +0000

    Merge branch 'genesys-desegmentation-refactor' into 'master'

    genesys: Simplify desegmentation state (part 4)

    See merge request sane-project/backends!168

commit 16b0033439fd56280abd124a4d94852f3e033b0e
Merge: 4f1890f19 693ff3e77
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-27 00:32:05 +0000

    Merge branch 'genesys-fix-cxx11-build' into 'master'

    genesys: Remove accidental use of C++14 features

    See merge request sane-project/backends!166

commit 693ff3e77a46ed2318b4528e94c595fddf1b537f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-27 03:10:53 +0300

    genesys: Remove accidental use of C++14 features

commit 4f1890f19536637f0b697dcb21a3998171cb2e04
Merge: a4729cff1 b856c2cb6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-24 22:46:08 +0000

    Merge branch 'genesys-desegmentation-refactor' into 'master'

    genesys: Simplify desegmentation state (part 3)

    See merge request sane-project/backends!165

commit a4729cff19aa736fa5c0fb1c2941774bfee2e3e2
Merge: e4e1a0273 a830fca94
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-24 21:11:09 +0000

    Merge branch 'genesys-misc-cleanup' into 'master'

    genesys: Miscellaneous cleanup

    See merge request sane-project/backends!164

commit e4e1a02733dd3c7733e747bb6e2f7b30db7c9fcf
Merge: 37b60ada8 52baae02d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-24 15:08:50 +0000

    Merge branch 'genesys-session-hwdpi-divisor' into 'master'

    genesys: Use common code path to compute session hwdpi divisor

    See merge request sane-project/backends!163

commit 37b60ada834d707618e494d6b94f4f7b5d0217f9
Merge: 8539f350f 676831dc7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-24 14:41:17 +0000

    Merge branch 'genesys-desegmetation-refactor' into 'master'

    genesys: Simplify desegmentation state (part 2)

    See merge request sane-project/backends!162

commit 8539f350fd3bfe654a5fd680428fa97cea352034
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-09-24 21:22:13 +0900

    sanei_wire: Fix sanei_w_void function signature

    This function needs to have the same number of arguments as any other
    functions passed to sanei_w_array() via its w_element argument, i.e.
    sanei_w_char and sanei_w_word, in the w_option_value() implementation
    in sanei/sanei_net.c.

    Fixes [-Werror=cast-function-type] compiler warning.

commit cad4085565437579884698e42c38eb0a685ad4a7
Merge: ce2d9840a cbb7e9535
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-22 20:47:19 +0000

    Merge branch 'genesys-session-buffer-sizes' into 'master'

    genesys: Use common code path for computing session buffer sizes

    See merge request sane-project/backends!161

commit ce2d9840a741906844de36e5cf96575e33d02f4d
Merge: f44c0bb68 88d6cdcc3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-22 18:29:02 +0000

    Merge branch 'genesys-desegmentation-refactor' into 'master'

    genesys: Simplify desegmentation state (part 1)

    See merge request sane-project/backends!160

commit f44c0bb6802a6263ff692d0bcdebef21f2c64ea8
Merge: 37734c880 ed4419e73
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-22 17:39:15 +0000

    Merge branch 'genesys-session-line-sizes' into 'master'

    genesys: Use common code path to compute session line sizes

    See merge request sane-project/backends!159

commit 37734c880d467cc14c143a43e963e746ab36ca09
Merge: 0cf4c1d55 991eec63d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-22 17:17:29 +0000

    Merge branch 'genesys-session-output-line-count' into 'master'

    genesys: Use common code path to compute session output_line_count

    See merge request sane-project/backends!158

commit 0cf4c1d555671058ef9e3a77167891822199b56e
Merge: 6f51393bd 605fcf976
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-22 16:58:14 +0000

    Merge branch 'genesys-misc-cleanup' into 'master'

    genesys: Miscellaneous cleanup in gl646 motor code

    See merge request sane-project/backends!157

commit 6f51393bd7a935086989f1c10a012d4fccd91141
Merge: d0365bd7e ce144ed46
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-21 15:59:41 +0000

    Merge branch 'genesys-session-max-color-shift-lines' into 'master'

    genesys: Use common code path to compute session max_color_shift_lines

    See merge request sane-project/backends!155

commit d0365bd7e4d37c45668c7aa7da3c11da5fbabd8a
Merge: 9afaf9a2c c69e22eb7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-21 15:56:34 +0000

    Merge branch 'sanei-fix--usb-testing-mode-in-release' into 'master'

    sanei_usb: Fix uninitialized device struct in USB testing code

    See merge request sane-project/backends!156

commit c69e22eb766d9cb1505099f5075c44a24dd412c8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-21 18:42:56 +0300

    sanei_usb: Fix uninitialized device struct in USB testing code

commit 9afaf9a2cf373f40fafd26b3c69414ec15294076
Merge: da9307c7a 77e0acde2
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-20 14:37:24 +0000

    Merge branch 'genesys-fix-total-bytes-to-read' into 'master'

    genesys: Fix computation of total_bytes_to_read

    See merge request sane-project/backends!154

commit da9307c7a63b8c05c5275e3768de2760325f2f29
Merge: bd35742b7 0961c5d32
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-19 22:51:01 +0000

    Merge branch 'genesys-session-output-pixels' into 'master'

    genesys: Use common code path to compute session output_pixels

    See merge request sane-project/backends!153

commit bd35742b789ac1ea1b528880afca75b0489020bc
Merge: c1b8cb5c3 50e5c8043
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-19 22:32:54 +0000

    Merge branch 'genesys-handle-non-uniform-scans-at-high-level' into 'master'

    genesys: handle non-uniform scans at high level

    See merge request sane-project/backends!152

commit c1b8cb5c31b39f375881f12f73d91a61a610d50f
Merge: 1e2f64dc3 453a6b75b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-19 22:17:43 +0000

    Merge branch 'genesys-session-num-staggered-lines' into 'master'

    genesys: Use common code path to compute session num_staggered_lines

    See merge request sane-project/backends!151

commit 0146888d79e7abfb81d977df1dd6a75e65bb0e11
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-19 01:28:17 +0300

    genesys: Implement infrared scanning support on OpticFilm 7200i

commit 1bab4037f56fa36c59a32b809cbe8407890db2fb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-18 23:31:47 +0300

    genesys: Remove unused command set name property

commit 60534b89ae5217e55ea23eaf1b56d025d9764173
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-18 23:31:46 +0300

    genesys: Store the calibration session into device struct

commit 17fe9d8393147f4af94463c6212bba299724f0b1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-18 23:31:45 +0300

    genesys: Print debug image of raw data coming from the scanner

commit 323f37753a66a8f1ebe35fff8a12fd6e3c6a6963
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-18 03:54:52 +0300

    genesys: Implement support for host-side calibration

commit 5e2a0f5724070d8813657812c54c82c2f5e2292c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-17 17:21:06 +0300

    genesys: Use Image in gl843_search_strip()

commit 08a4d8455f8248577324e2441f29db83589c3d9e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-17 17:21:05 +0300

    genesys: Use Image in gl843_coarse_gain_calibration()

commit 074603598085a1850005076dde3b8793772aae3d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-17 17:21:04 +0300

    genesys: Use Image in gl843_offset_calibration()

commit ac54f7f9bd511c1dd545037d49390f5046384014
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-17 17:21:03 +0300

    genesys: Use Image in gl843_led_calibration()

commit 4a6216501416bd8b1d84e90c5072b91be0329f1e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-17 17:21:02 +0300

    genesys: Use Image in gl843_search_start_position

commit 93395bd24e21d9555fbe69d7bae89f9e22c49d33
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-17 17:21:01 +0300

    genesys: Add wrapper to retrieve raw channel value from image

commit 4f74dceaba9e02e967c0b94390642ace399b16e3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-17 17:21:00 +0300

    genesys: Add wrapper that reads Image from the scanner

commit a5006703a33c4a14a6a65bcdda608175cdc7d096
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-17 17:20:59 +0300

    genesys: Implement wrapper that writes Image to pnm file

commit 093439153e553d10824598ba935097307ef4c807
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-17 17:20:58 +0300

    genesys: Add a way to retrieve full output of pipeline as an image

commit 3c99d405e0ced32f9cca9fb5de0f6362ec48ccbf
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-16 12:44:01 +0300

    genesys: Fix the default value of the depth option

commit a93d80651f5bf2658a412eb31013f7052140972d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-16 12:44:00 +0300

    genesys: Don't disable depth option even if one value is possible

commit b09aa6584d8e52a3565b7c775cad37842c039885
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-16 11:36:02 +0300

    genesys: Add include guards to headers where missing

commit dc1350781f7874cb580b25397dceb4e779f58b7e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-16 11:36:01 +0300

    genesys: Move register address lists to separate files

commit 11c80b129ee92b2d80dab4e895cc4e9463075b8c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-16 09:50:12 +0300

    genesys: Extract wait_until_has_valid_words()

commit b58192493e33a54ae53a209f8a8d181795e17b44
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-16 09:50:11 +0300

    genesys: Properly use 16-bit data when calibrating

commit 599443bf72aac832d4602c56556d996b5127651e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-16 09:34:15 +0300

    genesys: Remove uses of dev->read_bytes_left_after_deseg

commit 5e60cc3636b85d01f26a731194c9ec443149e98a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-16 09:34:14 +0300

    genesys: Simplify calculations when on early document end

commit 20ad0c8c2efa34d65fc5da887892ffc6c12dcc96
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-16 09:34:13 +0300

    genesys: Add output_line_bytes_requested to the session struct

commit 88adea9cd6697674bace583a48e05019bd4a4c90
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-16 09:34:12 +0300

    genesys: Add the number of total bytes to the session struct

commit c3e7411aca85515ae6c0f20e7e372a764f272788
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-16 09:34:11 +0300

    genesys: Allow limiting the amount of data read from pipeline sources

commit 663e3a99ed9008cd1eb8650f15b6211104d558c9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-16 09:34:10 +0300

    genesys: Add a way to report persistent eof() status from pipeline

commit 2e10f4ac172b3431dbf852668589533bfda8a8f8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-16 09:34:09 +0300

    genesys: Report failures to produce full lines in pipeline

commit f2b1b4449e5d4af6b852877fcf7a22afd76e420f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-16 09:34:08 +0300

    genesys: Add a way to use an image as a source for a pipeline

commit ab62a1448cb11a2dfb6fd9b3393850f087acc202
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-15 15:40:31 +0300

    genesys: Use session for pixel coordinates during calibration

commit b9346f0f79b87a25a58814dddfc9b6331feda5b4
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-15 15:14:18 +0300

    genesys: Add a way to multiply the pixel counts sent to the scanner

commit 00b8441dfab058e01d5b9168755f241d16e3deeb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-15 15:14:17 +0300

    genesys: Add a way to override logical HW dpi

commit 34c7a4cb2910848da5beeace0ceefe165f274d6c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-15 15:14:16 +0300

    genesys: Rename {dpihw => register_dpihw}_override

commit 050b0c1d8af5930b9f3faa64b7de1f15abfaeb1e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-15 14:46:48 +0300

    genesys: Invert meaning of GENESYS_FLAG_LAZY_INIT

commit c7bb34c998a08802e5eba1e2d5a87686d1e0e8e5
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-15 14:46:47 +0300

    genesys: Simplify calibration calculations on GL843

commit 079fa25b0d6e864124fe2bb8c198cebab202836f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-15 14:46:46 +0300

    genesys: Allow full value range of the frontend registers to be set

commit 2bb31ed5d8c2f107bb32235d7d2442f30a30a92f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-15 14:46:45 +0300

    genesys: Remove duplicate logs of information included into session

commit db36dd81036ac7ee9d5c15efc7f117805546f81d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-15 10:36:58 +0300

    genesys: Move pixel coordinate calculation to a single place

commit be4c3c1f699cef1aa1f169fba9a736f4c51467cb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-14 13:49:23 +0300

    genesys: Reduce duplication of shading calculations

commit 580b9db56238ee8f98a9d6e1b4cbc7c7cad1ce04
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-14 13:49:22 +0300

    genesys: Don't duplicate actions when DARK_CALIBRATION flag is off

commit 8790940cc343b892a1a4c4912da6ed09e22bd8df
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-14 13:49:21 +0300

    genesys: Remove code that has no effects

commit 154ab4578b1f87d9791e359473f2003caa4ba5e6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-14 13:49:20 +0300

    genesys: Extract calculation of dummy dark shading

commit 6f29caef0d7125c91e488b13e826c115a6ab8998
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-14 13:49:19 +0300

    genesys: Extract post-shading repark out of white calibration function

commit 802a62ee2cd13336ef0889281aa2da1a7bf2bbe7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-13 16:40:42 +0300

    genesys: Fix incorrect calculation of output_line_bytes_raw on gl646

commit 40b2d8928f22e5885dedc8eb424bd5590ce57647
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-13 16:40:41 +0300

    genesys: Fix definition of output_line_bytes_raw on gl841 CIS scanners

commit 434b03d4986febf22bd65c06521540a0296fe2c9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-13 16:40:40 +0300

    genesys: Fix definition of output_line_bytes_raw on gl124

commit efbfcb0a7fc88fdfda0aeb13d0b32379d7e9100d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-13 16:03:21 +0300

    genesys: Improve clarity of calibration offset variable names

commit 661aa3bcdb42a30ff02ffbe7d3f74ad09573a4a6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-13 15:56:44 +0300

    genesys: Make GenesysRegisterSettingSet generic

commit d4e4bf35c1275448bb212e33ee5eebe9afa505cf
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-13 15:37:33 +0300

    genesys: Fix a bug in segmented sensors when scanning 16-bit data

commit af17797d3ce91aad2b7ff9cb604955716a1195ad
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-13 15:37:32 +0300

    genesys: Use new image pipeline for handling segmented sensors

commit 7f852e0417a7524b6abb7bc6e428cee87dbef20d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-13 15:37:31 +0300

    genesys: Fix depth calculation for segmented sensors in lineart mode

commit e89c6a0aab188938b77c885946ab163ba1cbfa64
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-13 15:37:30 +0300

    genesys: Remove accidental uses of C++14 APIs

commit 9a844e1eded54687aa4094359fdabe5f233f24d2
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-13 11:36:56 +0300

    genesys: Compute what image processing will be needed in session

commit a5efb969789f1ea8f663267ed5e1012ac7c35831
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-13 11:36:55 +0300

    genesys: Replace uses of Genesys_Color_Order with ColorOrder

commit 05ed63fa34edd1e3c842b996f85d554bee8d8df1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-13 11:36:54 +0300

    genesys: Move setup of read buffer to a single function

commit 28d15784e4e3ee5750203f7bb401d716037df436
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-13 11:36:53 +0300

    genesys: Remove unused code

commit 8ed2cd991b24f64ff6945ee67adaa93e40dcd43a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-13 11:36:52 +0300

    genesys: Initialize frontend state from the outset

commit d73915ba197a9d33dc9e3e8131660c01d2c6b833
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-13 11:01:48 +0300

    genesys: Implement gain calibration for Analog-Devices ADC

commit e45e668326a4499a8586ab94b6a7bb2a2380efa3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-13 11:01:47 +0300

    genesys: Extract gain computation into a separate function

commit 94c1cf1d5a640aa6a40b93d3f37dba3a60816477
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-13 11:01:46 +0300

    genesys: Add clamp() utility function

commit ad1067ad03b4a043372ce6c2ec6408448e65e4ff
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-13 10:52:35 +0300

    genesys: Add support for segmented sensors on gl843

commit 1c7ef4b55ee998af7612a68e50de97a5fbc5a0e8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-13 10:38:05 +0300

    genesys: Implement image data source that mimics current reading from USB

commit 7d7a3952773258027c92d331f9d7e6e9d6ba6f69
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-13 10:38:04 +0300

    genesys: Implement library for image manipulation

commit 2f3d9e9d7682bce0cd87bdf3e7322943a27742ab
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 23:48:16 +0300

    genesys: Don't crash when default scan method is not supported

commit 4c18ef27a247c4a1d04ee34d2d7f00c7063683e7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 23:48:15 +0300

    genesys: Raise exception when device structs are not found

commit c2115543db126832450bbf4d2a66b82d53ce4a85
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 23:48:14 +0300

    genesys: Implement a way to set default scan method used internally

commit c0010fcd9f26f9af34de7b49f3aef90dc938896e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 23:48:13 +0300

    genesys: Fix incorrect scan method in move function on gl646

commit 1e2f64dc3dee2f53cf9a8eb5f9201660cff5cd6c
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-09-12 22:09:22 +0200

    pixma: backend version 0.23.2

commit aacdd88a274e2ebaf702ce161292529f41946a35
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-09-12 22:08:49 +0200

    pixma: update doc files

commit fd94a7e60c24d7564cbf1bf49c99fedda377f036
Merge: 7e3a68c9e 7f491519d
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-09-12 19:42:12 +0000

    Merge branch 'MF633_635_645' into 'master'

    pixma: new scanners Canon i-SENSYS MF633C/MF635C, MF645C

    See merge request sane-project/backends!126

commit a830fca943fcf6c2a30669392b8dea3ab68e65ca
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 22:40:57 +0300

    genesys: Remove GL123 enum

commit 322a9a6810f18a45055eae2c90e73c457ee02880
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 22:40:56 +0300

    genesys: Don't modify session in *_init_scan_regs()

commit 80d0129f4415a55325f53f3622802f05d4e8f6e5
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 22:40:55 +0300

    genesys: Pass start pixel to *_init_optical_regs_scan() via session

commit c0e465784e7fd85ce811b15159ee8b849b68f158
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 22:40:54 +0300

    genesys: Deduplicate different get_sensor_profile implementations

commit 9b7ab9372786c63a90c01817f25ad17dbb12808e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 22:39:22 +0300

    genesys: Add unit test for genesys_fill_segmented_buffer()

commit 502478a40d66030895abcc351250fc040bfe41a9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 22:39:21 +0300

    genesys: Reindent genesys_fill_segmented_buffer()

commit c2c65f29c9a2fa6695141532f104f00d1d7bfd17
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 22:39:20 +0300

    genesys: Simplify genesys_fill_segmented_buffer()

commit 0267eeeeae4be4b2dbf45d8be3e1d0be5efb0e12
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 22:22:00 +0300

    genesys: Remove the desegmentation state struct

commit 3d023060a35fb8b1cf2311746340f83d1118c59e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 22:21:59 +0300

    genesys: Move desegmentation skip_bytes to session struct

commit 192dd886cd9e7fd368c339f4ef3526b082a18c83
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 22:21:58 +0300

    genesys: Use common code path to compute ..._segment_pixel_group_count

commit 4870a9f97529b09fa9cf013c76b3e40329078024
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 22:21:57 +0300

    genesys: Properly set conseq_pixel_dist_bytes on gl124

commit 95eb6a72ddf52a1d95b5427a6d441d9992bd9ce1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 22:21:56 +0300

    genesys: Use single code path to compute session output_line_bytes_raw

commit 1f4a5311d74b518b25411bc12da4e7d5974b7d20
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 22:21:55 +0300

    genesys: Rename DesegmentationState::raw_{channel => line}_bytes

commit 61d4779402c7c79852187f7e8916ff661d8963f2
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 22:21:54 +0300

    genesys: Remove erroneously named raw_line_bytes

    The raw_channel_bytes is what we store the line information to. Turns
    out raw_line_bytes is unnecessary and only ever used by error.

commit 4df8872ab3559e7162f99fab4d1078f5db1827e4
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 22:21:53 +0300

    genesys: Simplify raw_channel_bytes computation more

    On the chipsets in question, session.hwdpi_divisor == sensor.optical_res
    / sensor.get_register_hwdpi(...), so the divisor cancels out with the
    rest of the expression.

commit 95a3836f1a08252d5d7f32748389d1175bf93d1c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 22:21:52 +0300

    genesys: Simplify raw_channel_bytes calculation

commit 98320f5b8126e638e0e0064d43555b63b80f9515
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 22:21:51 +0300

    genesys: Don't overflow in multiply_by_depth_ceil

commit eb0882ecc4459d6e8982e97446b34f1f9357b517
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 22:11:20 +0300

    genesys: Use common code path to compute session optical_pixels_raw

commit 3a323a751a60e1091d8bde2a569a7daadd072db1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 22:11:19 +0300

    genesys: Use common code path to compute session conseq_pixel_dist_bytes

commit 52baae02dca2f0bd346d9f9453b6afeff03874da
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 21:55:30 +0300

    genesys: Use common code path to compute session hwdpi_divisor

commit f480521a231596f5c3ce35dbc7466b6913aa34af
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 21:55:29 +0300

    genesys: Pass sensor profile directly to *_setup_sensor() where possible

commit 676831dc7bf9cab36fe72786e8a89d935ea8da0b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 21:26:58 +0300

    genesys: Move Genesys_Device::curr to DesegmentationState

commit f92253adc86b425abc228ddbed6de1dac67f40c3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 21:26:57 +0300

    genesys: Move Genesys_Device::segnb to DesegmentationState

commit 15996983ba34868927750665dd49b3d13b76a2c8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 21:26:56 +0300

    genesys: Rename SensorProfile::segment_{count => size}

commit 31820384de76a71e83b6fa003b2d2c95d2a85272
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 21:26:55 +0300

    genesys: Move Genesys_Device::skip to DesegmentationState

commit 9bd14f535059e674016a96b1f04a38533bc15a4b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 21:26:54 +0300

    genesys: Move Genesys_Device::len to DesegmentationState

commit 07d8db5423cae48cbe247f3a3b6f42a1c33aa6ca
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 21:26:53 +0300

    genesys: Move Genesys_Device::dist to DesegmentationState

commit dd702968279b4328d0650853a15cc4bf96542494
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 21:26:52 +0300

    genesys: Move desegmentation line width data to a separate struct

commit 827c3a049db4391501dda81f2999df8e4d011403
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 21:26:51 +0300

    genesys: Rename ScanSession::output_{line_channel => channel}_bytes

commit b856c2cb6f8946a2560959783d6c85bbbb766fed
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 21:24:32 +0300

    genesys: Remove used_pixels to simplify segment setup

commit 0a10bcef59bc1cd021cc6b97fb561e551f468845
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 21:24:31 +0300

    genesys: Refactor the segment setup code to expose chip similarities

commit 41b5e5f5ff3932758348e2d673fa9ab492617dda
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 21:24:30 +0300

    genesys: Use common code path to compute session segment_count

commit ae784d9927b9c0c5395d3eb7b7189971a146fdc2
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 21:24:29 +0300

    genesys: Simplify segment count calculation

commit cbb7e953505e09f049e142f8cf30d903fb1d1d50
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 20:28:46 +0300

    genesys: Use common code path to compute session buffer sizes

commit a0cead1cd5d43bba44fc400676ee52b86fc8c186
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 20:28:45 +0300

    genesys: Pass asic type to sanei_genesys_get_bulk_max_size()

commit 88d6cdcc32c13114531b9879ece1410b56e3de09
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 20:06:38 +0300

    genesys: Rename read_bytes_left -> read_bytes_left_after_deseg

commit 96a893bb0d9c46ae2ce0a4824d7fc63f863e8c0d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 20:06:37 +0300

    genesys: Simplify words_per_line calculations

commit 463f5f4364b8e702369af10f28fb78bc7b253633
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 20:06:36 +0300

    genesys: Don't duplicate data passed to *_init_optical_regs_scan()

commit ed4419e73d631f04e9f6b2da07ea1adc2429f3fc
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 19:49:51 +0300

    genesys: Use common code path to calculate session line sizes

commit 9915608309a803c4cc306158c896117cb64ccf76
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 19:49:50 +0300

    genesys: Extract multiplication by depth to a separate function

commit 991eec63d57ef58a6c67af7e18f182edf13aaf7c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 19:34:43 +0300

    genesys: Use common code path to compute session output_line_count

commit 605fcf97626fcc66fd3f7b0c9e2e1aa9e29afa1a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 19:11:07 +0300

    genesys: Assume correct resolution is passed from high-level

commit 73951b4bf80a498ec238a6a9ef951fc598b3b7ae
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 19:11:06 +0300

    genesys: Simplify motor code on gl646 by retining real motor dpi prop

commit ce144ed46fe7b28b4e1753753651796af70fc47d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 18:27:45 +0300

    genesys: Use common code path to compute session max_color_shift_lines

commit 0961c5d32fc173bb55a30cdd55d7b28ac6c5a1ab
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 18:23:32 +0300

    genesys: Use common code path to compute session output_pixels

commit 77e0acde229f89efaf3fbea1e990b90ae1d9f932
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 18:22:57 +0300

    genesys: Fix computation of total_bytes_to_read

commit 50e5c804346bf92528b7aad384dbc4749dec0f98
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 18:21:18 +0300

    genesys: Remove low-level handling of xdpi < ydpi case

    The high-level code ensures that the xdpi is always natively supported
    by the scanner.

commit 548eff4a329b9ee0ff860cc0edb332f20b3ab201
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 18:21:17 +0300

    genesys: Fix support for scans when xdpi<ydpi on gl646

commit 21254ad9297faca43a0ae5a083edd97a9da8ba08
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 18:21:16 +0300

    genesys: Use Sensor::optical_res directly where possible

commit 453a6b75be86522aa03d666ceddd77c0950880dd
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-12 17:59:47 +0300

    genesys: Use common code path to compute session num_staggered_lines

commit 7e3a68c9e7ceee244ad7cbe1ed0842ae5dd7cf2e
Merge: 489a80088 f2ce27f44
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-09 21:54:13 +0000

    Merge branch 'sanei-usb-fix-build-without-usb' into 'master'

    sanei_usb: Fix build when USB support is disabled

    Closes #123

    See merge request sane-project/backends!150

commit f2ce27f441307ae42c888a033328c8007e62bc36
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-09-10 00:39:08 +0300

    sanei_usb: Fix build when USB support is disabled

commit 489a80088abc289be23c2ab6f44840030b8f8293
Merge: 6b7052c4c 8f1615f33
Author: Stanislav Yuzvinsky <yu-stas@yandex.ru>
Date:   2019-09-07 18:20:19 +0000

    Merge branch 'ricoh2' into 'master'

    ricoh2: Add support for Aficio SG3110SFNw

    See merge request sane-project/backends!149

commit 8f1615f3337d401961094cd707d2271c5b281f12
Author: Vladislav Bogdanov <bubble@hoster-ok.com>
Date:   2019-09-04 11:07:26 +0300

    ricoh2: Add support for Aficio SG3110SFNw

commit 6b7052c4cf24c3a01d1871bdeb90c6627c083e51
Merge: fc85e7d15 2757475dd
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-31 18:19:57 +0000

    Merge branch 'genesys-misc-cleanup' into 'master'

    genesys: Miscellaneous cleanup

    See merge request sane-project/backends!148

commit fc85e7d15d4a8631e9777cf7704d3115fdc8058a
Merge: 3db2278be 5226a163a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-31 18:02:54 +0000

    Merge branch 'genesys-session-optical-pixels' into 'master'

    genesys: Use common code path to compute session optical_pixels

    See merge request sane-project/backends!147

commit 3db2278bea1af5d74923ff6b746ed390a16f769a
Merge: 66c804a7e ec5225e1f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-31 17:44:21 +0000

    Merge branch 'genesys-misc-simplify' into 'master'

    genesys: Miscellaneous simplifications

    See merge request sane-project/backends!146

commit 66c804a7ea40f30fe771421a9eab4ccac90ac8be
Merge: 6fcfab3fd a2ade5087
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-31 17:18:37 +0000

    Merge branch 'genesys-ensure-correct-resolution-high-level' into 'master'

    genesys: Ensure that correct resolution is passed from high level

    See merge request sane-project/backends!145

commit 6fcfab3fdad1783765fa48c280d586bce03ac3ca
Merge: dc7c1f81f f48239419
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-31 17:02:03 +0000

    Merge branch 'genesys-session-optical-resolution' into 'master'

    genesys: Use common code path to compute session optical_resolution

    See merge request sane-project/backends!144

commit dc7c1f81f384bf23b8275d56229d689258eb42c6
Merge: da5d0bc91 687b549f0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-31 16:45:04 +0000

    Merge branch 'genesys-session-ccd-size-divisor' into 'master'

    genesys: Use ScanSession to compute ccd_size_divisor on all chips

    See merge request sane-project/backends!143

commit da5d0bc91698dd4f923398b1b1fad7534201283a
Merge: 1a02dfc8c 510b6d0d8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-31 16:22:45 +0000

    Merge branch 'genesys-gl646-simplify-setup-registers' into 'master'

    genesys: Simplify gl646 register setup

    See merge request sane-project/backends!142

commit 510b6d0d86be7892e284ddb7a0e592faa5a8bc12
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-26 00:29:18 +0300

    genesys: Remove gl646-specific get_ccd_size_divisor

commit e0efbd37b80022f1451b19aa558775d22300bdf5
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-25 23:40:39 +0300

    genesys: Use sensor functionality instead of compute_ccd_size_divisor()

commit a6a785e28d95d644c48a03f201519712f5cc7c1c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-25 23:34:38 +0300

    genesys: Use common path to compute ccd_size_divisor on gl646

commit e2e1efae804fb3f1e2fb2a2c083e332fd6878048
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-25 23:24:19 +0300

    genesys: Use the sensor passed to gl646_setup_registers()

commit 1a02dfc8cb072bde4cde5f46ff297da0cacd623f
Merge: ab9f5531c ceb56a8b3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-31 15:44:23 +0000

    Merge branch 'genesys-gl646-common-sensor-table' into 'master'

    genesys: Use common sensor table on gl646

    See merge request sane-project/backends!141

commit ab9f5531c1f23e36bd891c90b32f5be442079b2c
Merge: 0c6d7cd4a 5532f2f27
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-31 15:23:06 +0000

    Merge branch 'genesys-identify-sensor-channel-count' into 'master'

    genesys: Identify sensor by supported channel count

    See merge request sane-project/backends!140

commit 0c6d7cd4a40d29dfb9139cf0739cf6149dd739ef
Merge: 3e2b6cead eb4fb4404
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-31 14:56:23 +0000

    Merge branch 'genesys-fix-missing-return-after-refactor' into 'master'

    genesys: Fix missing return from a previous refactor

    See merge request sane-project/backends!138

commit 3e2b6cead083f441ec68e32e62e31c1bd1acf80d
Merge: 6216ada2e d9fab3a7d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-31 14:55:57 +0000

    Merge branch 'genesys-gl646-simplify-sensor' into 'master'

    genesys: Simplify sensor setup on GL646

    See merge request sane-project/backends!139

commit 6216ada2e7cabb2620aa947980152476f224ffa8
Merge: 5b99a428d 86ac877d8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-31 14:43:05 +0000

    Merge branch 'genesys-fix-sensor-write' into 'master'

    genesys: Fix writing to sensors

    See merge request sane-project/backends!137

commit 5b99a428d2cdf45b35daa5ecbeb9eaddb30f2f0f
Merge: 6e950209b 0cd26a8ad
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-31 14:39:01 +0000

    Merge branch 'genesys-resolution-filter-class' into 'master'

    genesys: Extract resolution filtering to separate class

    See merge request sane-project/backends!136

commit 6e950209b688cd82dd6804d108ad2a4eb8b2b6ad
Merge: c34cd7cd8 107404dcd
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-31 14:09:52 +0000

    Merge branch 'genesys-session-ccd-size-divisor' into 'master'

    genesys: Use common code path for ccd_size_divisor computation

    See merge request sane-project/backends!135

commit c34cd7cd8661e7b046e1974c2f9eda55cadd0f42
Merge: 302932c1d 53d447b6d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-31 13:25:34 +0000

    Merge branch 'genesys-common-sensor-profiles' into 'master'

    genesys: Use the sensor description list for sensor profiles

    See merge request sane-project/backends!134

commit 302932c1dbb592797e15042c61c79eba5f91360c
Merge: 4a9738b71 7872f8747
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-31 13:20:00 +0000

    Merge branch 'genesys-gl843-single-gpio-setting-list' into 'master'

    genesys: Move all gpio settings to a single struct on GL843

    See merge request sane-project/backends!133

commit 4a9738b71958e81704c5f257ef9eb82bc29520d5
Merge: 2896c21ff 759e450b6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-31 13:04:53 +0000

    Merge branch 'genesys-simplify-reg-setting-set' into 'master'

    genesys: Reduce duplication in GenesysRegisterSettingSet

    See merge request sane-project/backends!132

commit 2896c21ffe9d75b0b0a36f25b7de273ef3172986
Merge: 562f90033 8fce6b624
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-31 12:58:50 +0000

    Merge branch 'genesys-frontend-type' into 'master'

    genesys: Add frontend type to the frontend description

    See merge request sane-project/backends!131

commit 562f900337be1a94eb980b960288cba83f7e2185
Merge: e452e869c a76a2a096
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-31 12:54:14 +0000

    Merge branch 'genesys-override-dpiset' into 'master'

    genesys: Implement a way to override dpiset

    See merge request sane-project/backends!130

commit e452e869c267452756c11704adeffb058e371e9c
Merge: c73a7b5b0 503797c24
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-31 12:46:46 +0000

    Merge branch 'genesys-simplify-shading-calibration' into 'master'

    genesys: Simplify shading calibration

    See merge request sane-project/backends!129

commit c73a7b5b0601016ee5b75b1d962879891ad1d4fd
Merge: e6b278638 5e5a1a6fc
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-31 12:24:34 +0000

    Merge branch 'genesys-fix-std-accumulate' into 'master'

    genesys: Use correct type for std::plus

    See merge request sane-project/backends!128

commit 5e5a1a6fc3abe9418090438b235ffa7b2f4f8dc2
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-31 15:11:40 +0300

    genesys: Use correct type for std::plus

commit e6b27863807654e24c0d2c6169bb506be68d4f2d
Merge: b4c95a8ad f18ef0e28
Author: Stanislav Yuzvinsky <yu-stas@yandex.ru>
Date:   2019-08-30 14:16:41 +0000

    Merge branch 'macos-malloc-fix' into 'master'

    ricoh2_buffer: fix malloc header location on macOS

    See merge request sane-project/backends!90

commit 97387e20890035b4685b939415af46b21958903f
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-08-28 21:21:07 +0900

    Install ChangeLogs/ files in $docdir/ChangeLogs/

    This makes the trailing comment in ChangeLog correct for both the
    repository and installed documentation.

    Complements ee2653b02b75e6b99a0ff77745a4a738049d58db.

commit 7f491519d106ecd672e5ef2bb16693056e21ea1d
Author: Mikael Vallerie <mikael.vallerie@gmail.com>
Date:   2019-08-27 15:34:47 +0200

    Removing MF635_PID, using MF630_PID instead

commit d08e4c9000808aba840b7f8e7e5b26f2af2326c1
Author: Mikael Vallerie <mikael.vallerie@gmail.com>
Date:   2019-08-27 15:33:58 +0200

    Removing MF633C/MF635C from docs, as it's just a variant of MF630

commit 13008723cd9f6954ecc86f51fb612171ec183570
Author: Mikael Vallerie <mikael.vallerie@gmail.com>
Date:   2019-08-26 18:41:29 +0200

    Right PIDs for MF633C/MF635C and MF645C

commit f38f0b868117eff208460ba0e77a6270247c71fd
Author: Mikael Vallerie <mikael.vallerie@gmail.com>
Date:   2019-08-26 18:41:06 +0200

    Right pid for MF645C

commit 8f3b84f6f4e166cfbae73220d888eaa9d7d7025d
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-08-26 21:53:09 +0900

    Adjust ChangeLog trailer comment to match Makefile.am comment

commit 2baee4914d0d31aac01e939d91885b6695bcc47d
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-08-26 21:48:52 +0900

    umax_pp: Drop reference to ChangeLog in code comment

commit eb5382c7535caf2deedfe54bc5e455de4dd55b11
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-08-26 21:48:09 +0900

    mustek_pp: Drop unused ChangeLog: references from comments

commit fe6bac727f6c557df01f0385a56b8b5133561ea0
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-08-26 21:43:52 +0900

    doc: Drop moving of ChangeLog files with each release.  See #103

commit 47f0b5dee2af853c6f024edc4d8affd9f225656d
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-08-26 21:43:25 +0900

    doc: Update ChangeLog related documentation

commit 2a9d98be6e9ec22507c13b3c5cceba3bd234ec8a
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-08-24 17:24:23 +0900

    Resurrect ChangeLog-1.0.11

    It was missing in the ChangeLogs/ directory.  Content has been dug up
    from the ChangeLog file for the RELEASE_1_0_11 tag.

commit ee2653b02b75e6b99a0ff77745a4a738049d58db
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-08-24 17:10:27 +0900

    Include ChangeLogs/ directory content in source tarball.  Re #103

    The files are installed next to the ChangeLog file in $docdir.  There
    will be *no* $docdir/ChangeLogs/ directory.

commit 2757475dd99863eeb5e59ea38333c362bfd26604
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-24 10:13:44 +0300

    genesys: Use session.params.xres directly where possible

commit ba3013b1aae35b57e35dc38c4027e182f2fb519f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-24 10:13:43 +0300

    genesys: Handle full sensor scans on gl841 consistently to other chips

commit 48251cf8b22dec638861cd8832bbf1fe0d1e38bc
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-24 10:13:42 +0300

    genesys: Simplify start pixel computation on gl841

commit 6ca11bfd719fdf6e08fd5c8711356af0f9bca97d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-24 10:13:41 +0300

    genesys: Always dump session after computing it

commit 5226a163ab606178474bcbdc12466689a53a2604
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-24 10:05:53 +0300

    genesys: Use common code path to compute session optical_pixels

commit ec5225e1f8a165fd50786459383b16f5c0c39524
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-24 10:00:52 +0300

    genesys: Assume correct resolution is passed from high-level

commit 9a21a8335fadc7f5722b85dc0172ee24f221b3b1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-24 10:00:51 +0300

    genesys: Remove dead code related to SCAN_FLAG_USE_OPTICAL_RES

commit 21f949bd8736ecffe0ed0ad1409bbe01d882d148
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-24 10:00:50 +0300

    genesys: Remove *_compute_exposure() wrappers

commit b4c95a8ade91463a9f2d5c9f51daad9f6548d0e5
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-08-20 13:30:25 +0200

    pixma: backend version 0.23.1

commit f64489bd7179e148f50d9586be2c5f064a4c1804
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-08-20 13:16:32 +0200

    pixma: fix ADF scanning for Canon MAXIFY MB2000 and MB2300 Series

commit 8446baf4f9eb7f11d56b5b0771bc452dca7e6507
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-08-20 13:11:57 +0200

    pixma: fix ADF scanning for Canon MAXIFY MB5000 Series

commit 62284c2ed5739e51accaa4e3c8b96e0047425996
Author: Mikael Vallerie <mikael.vallerie@gmail.com>
Date:   2019-08-19 20:21:23 +0200

    Docs for MF633C/MF635C and MF645C

commit 5e74e1b7940e32b2a6f387410755149d21672a4f
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-08-19 22:06:33 +0900

    genesys: Make std::plus<> template type instantiation explicit

    This fixes compile errors on older versions of gcc and possibly other
    C++ compilers.

commit 5d21800b51f86b7d6e4d8be8c89b7e2186a7daa7
Author: Mikael Vallerie <mikael.vallerie@gmail.com>
Date:   2019-08-18 18:53:08 +0200

    pixma: new scanners Canon i-SENSYS MF633C/MF635C, MF645C

commit a2ade508700adab5ecffca3301170fa0f3ed8ca0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-18 11:13:01 +0300

    genesys: Ensure that resolution is set to a supported one at high-level

    Previously we relied on low-level implementation to detect when the
    requested resolution is higher than one supported by the scanner and
    seamlessly patch around so that the high-level code does not notice.
    This complicates the low level implementation and results to duplicate
    code.

commit 61a055a8cfb8fb8874ba077cb602a9447dd5f128
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-18 11:13:00 +0300

    genesys: Pass the line width requested by the frontend separately

commit 0b2840a3ff61a791f8a19c0f9e5d0343f6d9a229
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-18 11:12:59 +0300

    genesys: Clarify frontend param processing a little

commit ec0ceaebb5fa61390f38655c2e497063aa021608
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-18 11:12:58 +0300

    genesys: Use correct resolution to select sensor during option parsing

commit f48239419ab3756fd84e51e05625d54b142341df
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-18 10:39:36 +0300

    genesys: Use common code path to compute session optical_resolution

commit 687b549f0ad1f25d31d045d9a10098a4001444c9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-18 10:37:49 +0300

    genesys: Use ScanSession to compute ccd_size_divisor on all chips

commit ceb56a8b3b5d4ebf8515a2e2d4d496d9b9264344
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 12:02:45 +0300

    genesys: Move gl646 sensor settings to the common sensor table

commit a31da79e076155b1ea2d743b5f7f06687f4125db
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 12:02:44 +0300

    genesys: Compute cksel from register descriptions on gl646

commit 0cd26a8adf3d4a7190b8565897df236bfd466632
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 11:56:45 +0300

    genesys: Extract resolution filtering to separate class

commit 5532f2f277f5fdaad17b870138555e125c89f415
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 11:51:35 +0300

    genesys: Add channel count to the parameters that identify a sensor

commit f2871ca81dd29512be9af19dcad5ad6e191f788e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 11:51:34 +0300

    genesys: Reduce duplication in channel count and depth calculation

commit d9fab3a7d8fd4b5a9ce196f0125c1e6648eea13f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 11:49:10 +0300

    genesys: Fix incorrect channel count when fetching ccd_size_divisor

    All current scanners use the same divisor on both 1 and 3 channels, so
    this commit does not change behavior.

commit e8d9b6ff5dde80f69e80632ce715e0ad7e9902b6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 11:49:09 +0300

    genesys: Reduce duplication in the Sensor_Master struct list

commit f228e427a958c4aa80d6c9fd4d35cdad20d557d1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 11:49:08 +0300

    genesys: Store sensor settings in std::vector on gl646

commit a8ed3df0fd486400d14927b5ec53684bcacacf1f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 11:49:07 +0300

    genesys: Merge Sensor_Settings struct to Sensor_Master

commit c001662c0506c9e6bc4a0ee94b31e8b515c8b5c8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 11:49:06 +0300

    genesys: Reorder the components on Sensor_Master struct

commit 71a467ddf34d61f8abc9e7edef4898ad222490be
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 11:49:05 +0300

    genesys: Remove unused data from Sensor_Master on gl646

commit b19720cfa17047c2030225e59174dd1bace6eda8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 11:49:04 +0300

    genesys: Simplify sensor register desc by matching ccd_size_divisor

commit e36d6b8fb5ad09ab1b70616b0a79223fb273f099
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 11:49:03 +0300

    genesys: Simplify exposure setting on gl646

commit a4a1003ffc8e5e0133592e0830978597ac9932a7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 11:49:02 +0300

    genesys: Rename Sensor_Master::{exposure->exposure_lperiod}

commit a3a3647006882f8671395d107df791064d9086f4
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 11:49:01 +0300

    genesys: Compute dpiset instead of storing it in tables on gl646

commit d2d43d5ed8e564d74c2529c1fda12cc56c2cbd55
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 11:49:00 +0300

    genesys: Make sensor table initialization more generic on gl646

commit 1330d2289ba081d1ac11e83ef5644332ba1e5884
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 11:48:59 +0300

    genesys: Correctly initialize Sensor_Master struct

commit eb4fb440486846cdca3c14811c12c324f9ddb9ef
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 11:30:33 +0300

    genesys: Fix missing return from a previous refactor

commit 107404dcd05e442068f112e339bc996e8c82be7f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 11:11:15 +0300

    genesys: Move ccd_size_divisor computation to compute_session()

commit 92412a90b25f11a866f6c68c132a47edc7d9e459
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 11:11:14 +0300

    genesys: Create compute_session() for common session computation

commit 86ac877d8225722fa2ec3fc52ad518a9c5f812e4
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 11:05:38 +0300

    genesys: Remove unused code

commit eb1c4fadb9497992691b4407c93cf77fa2a31512
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 11:05:37 +0300

    genesys: Pick correct sensors during option parsing

commit 1902c9fbcbb108e1fe7fa4588fa140ac29acfc84
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 11:05:36 +0300

    genesys: Fix sensor const safety in *_search_start_position()

commit f019f9e7b80f3a7c2aa6f4099e2fda1529b17365
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 11:05:35 +0300

    genesys: Don't modify sensor in *_led_calibration()

commit 53d447b6dcbb8d4fc2cc4653888e4b36febb0b6a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 11:02:39 +0300

    genesys: Move GL846 sensor profiles to a common sensor array

commit 4978eceda330ae361e79d301f591c475fe6cf204
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 11:02:38 +0300

    genesys: Move GL847 sensor profiles to a common sensor array

commit 63cc11bce15428fd76918a6e91ece1d742949d00
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 11:02:37 +0300

    genesys: Move GL124 sensor profiles to a common sensor array

commit 4348451e47fdd1e006b121786e4f065710ef56f3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 11:02:36 +0300

    genesys: Add sensor profile to the sensor struct

    This will allow moving per-chip sensor profile tables to a common
    configuration

commit ba546d5370e4df85dd6cd002c03f67e890b0bef9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 11:02:35 +0300

    genesys: Store segment order as a std::vector

commit 503797c2480b046aefe27043467ab000efd7d34e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 10:53:56 +0300

    genesys: Simplify shading computation by using enum for color order

commit 3a1163480a28214cb2f92c395e6b8a7b5dc96d86
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 10:53:55 +0300

    genesys: Store calibration data using correct type internally

commit 7872f87475c6aeb1e6b7152247f7abf66e7eb802
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 10:38:58 +0300

    genesys: Move all gpio settings to a single struct on GL843

commit 8fce6b624c03db44b8cd5b1c56739f408b0802c3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 10:27:42 +0300

    genesys: Don't perform offset and gain calibration on unknown frontends

commit 5580fc0db1c85902867761db90aeaf5575a194dc
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 10:27:41 +0300

    genesys: Add frontend type to the layout struct

commit a76a2a096e377e887357ddf0754fea9205bc7ff6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 10:21:04 +0300

    genesys: Implement a way to override DPISET on GL124 and GL843

commit db15a755044cdc723ebbd4febd7b2fbcf3d75334
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 10:21:03 +0300

    genesys: Add a way to override dpihw

commit 458e31a0c0918a2a824fb878673a936b3859fe71
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 10:21:02 +0300

    genesys: Extract setting of DPIHW to a separate function

commit 759e450b6b0aaf5d68456ec2397d5d73a426243c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 10:02:40 +0300

    genesys: Reduce logical duplication in GenesysRegisterSettingSet

commit 543ba367bcaeb2e9c28a79d8fabe83f89404319a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-17 10:02:39 +0300

    genesys: Rename GenesysRegisterSettingSet::{regs_->registers_}

commit f37326784dcf71e498383fbe3317e45b1f669caf
Merge: 21bb96d61 740f01329
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-08-12 09:16:37 +0000

    Merge branch 'ci-tweaks' into 'master'

    CI tweaks

    See merge request sane-project/backends!125

commit 740f013292fdda3d45726a6a9595396f2d26c7f5
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-08-12 18:01:35 +0900

    CI: Document the various jobs

commit 5aa84ed9ead0c1d24757ea18a7782bf6ce0a092b
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-08-12 17:39:54 +0900

    CI: Drop Debian 9 mini build

    The "mini" build scenario is sufficiently covered by Debian 10 mini.
    Considering the Debian 9 is now oldstable, there is not much value in
    keeping it around.

commit 69044bdffe6d6ff1b8ce8181abe75b4074eed006
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-08-12 17:38:54 +0900

    CI: Drop Fedora 29 compile job

    It's package version make up is too similar to Debian 10 for it to be
    worth the CPU cycles.

commit 08bff060f8cbf12c4299f46eaf233522956893af
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-08-11 17:20:47 +0900

    CI: Fix make distclean target

    Implicit compile dependencies prevent automake from adding dependency
    tracking files to the list of files to clean up.

commit 1f1b9dcd56e67c9b7dac1164505f60859da7d076
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-08-11 12:59:07 +0900

    CI: Only keep snapshots for 90 days

    The snapshots aren't meant to stay around forever, that's for releases.

commit 8cb53a191ea04f32075a447da26b72a6d3f390a6
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-08-11 12:52:03 +0900

    CI: Move after_script: from stretch to buster

    This follows c90e9674e74f15b0839ea944de47f887566d07ee.

commit 14e7ba47dda2ee7389e8db21268cd49e80ea968a
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-08-11 12:49:19 +0900

    CI: Speed up compile stage jobs

commit 68d70def14542af1862eeb6edbd07c50c2626f95
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-08-11 12:22:19 +0900

    autofoo: Fix ltmain.sh.patch offsets to match new version

commit 041ea5f53c3330b84a9462b42032783ed770b51d
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-08-11 12:10:07 +0900

    japi: Fix BUILT_SOURCES dependency

    Newer automake versions have the dist target depend on BUILT_SOURCES
    so that variable should not heavy build dependencies.  This fixes the
    dist target sufficiently, for CI purposes at least, in that it leads
    to inclusion of the same list of files.  Note that CI does not build
    anything in the japi/ directory.

commit c90e9674e74f15b0839ea944de47f887566d07ee
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-08-11 12:08:50 +0900

    CI: Build our source tarball on Debian's Buster

    This bumps the build distribution's version, up from Stretch.

commit 21bb96d61e5b9f1507f6d973c51230ce7b591d78
Merge: f80cb86a1 5cba3bd46
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-08-11 01:48:16 +0000

    Merge branch 'fix-warnings' into 'master'

    Fix -Wimplicit-fallthrough warnings

    See merge request sane-project/backends!85

commit 5cba3bd465f128784306214f07c9ee334f723518
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-08-11 10:37:10 +0900

    saned: Fix misleading log messages caused by fall through

commit e42e3bc849ab98a45c27b30c4a44fe10cdf462a3
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-08-11 10:23:29 +0900

    scanimage: Fix misleading fall through annotation

    The `scanimage_exit()` call exits the program.

commit 9344a957ed2e67cf1cd285eac66ed7dd159d8d13
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-08-11 10:16:00 +0900

    apple: Fix [-Wimplicit-fallthrough] compiler warning

    It doesn't make sense to log a value as both `Fixed` *and* `Int`.

commit 797cd1fb37ee87185ad79fd4bf87648b33599e83
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-08-10 21:05:48 +0900

    epson2, epsonds, kodakaio, magicolor: Don't set invalid value

    If the value to be set is not valid, it should not change the sval
    structure (even if doing so has no negative side effects).

    This also makes the fallthrough less confusing by removing the first
    cast of two for the br-x and br-y values.

commit f80cb86a1f677f32a9f612db0fbc99d73bf01247
Merge: 7159bbee3 6912400cf
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-10 15:53:39 +0000

    Merge branch 'genesys-split-tables' into 'master'

    genesys: Split tables into separate files

    See merge request sane-project/backends!124

commit 7159bbee3296fbe13e82293e8fd1e3fb61edd31f
Merge: 8a48e8774 8cb6130cf
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-10 15:33:38 +0000

    Merge branch 'genesys-cleanup-gpo' into 'master'

    genesys: Cleanup the gpo setup

    See merge request sane-project/backends!123

commit 8a48e8774109d62642404729ee5917331188e45e
Merge: b5ff3b4f4 ca54462bd
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-10 12:28:50 +0000

    Merge branch 'genesys-simplify-gl843-dpi' into 'master'

    genesys: Simplify GL843 DPI calculation

    See merge request sane-project/backends!122

commit b5ff3b4f43722cf8cee420d824daa5a979ae1071
Merge: 608680f8b ae525fb91
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-10 12:23:20 +0000

    Merge branch 'genesys-cleanup-motors' into 'master'

    genesys: Cleanup motor definitions

    See merge request sane-project/backends!121

commit ae525fb91b69e8956298d9a3b0cc59667f5464b2
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-10 15:10:31 +0300

    genesys: Remove trailing whitespace

commit 608680f8b80fc7b8f684beeac6568da3673be47e
Merge: 7d6897ecb b85a83f6a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-10 12:10:27 +0000

    Merge branch 'genesys-remove-optical-flags' into 'master'

    genesys: Remove optical flags

    See merge request sane-project/backends!120

commit 7d6897ecb4bd23e90bf106aa0d8f945a2157cce3
Merge: 6bf49297c e5a90e800
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-10 11:55:49 +0000

    Merge branch 'genesys-fix-search-reference-point' into 'master'

    genesys: Fix search reference point to update all sensors

    See merge request sane-project/backends!118

commit 6bf49297c21538462323efef2d27c2d68475e1f9
Merge: 8897f7875 e733f6696
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-10 11:55:03 +0000

    Merge branch 'genesys-cleanup' into 'master'

    genesys: Miscellaneous cleanups and refactors

    See merge request sane-project/backends!119

commit fcd537e2077eea1c8e00a1875a7fed56852bfb9b
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-08-10 20:49:09 +0900

    sm3600: Fix [-Wimplicit-fallthrough] warning

    This fixes the warning for both #define SM3600_SUPPORT_EXPOSURE values.

commit 8897f787535bca06de3c9d40cbd07639dba05f06
Merge: a18ec0faa cafb97d29
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-10 11:40:53 +0000

    Merge branch 'genesys-session-settings' into 'master'

    genesys: Use session struct to pass data to the setup functions

    See merge request sane-project/backends!117

commit a18ec0faac2c1cf7fe26d780dacaeb116b87e806
Merge: 0df7e1ab5 38b97f140
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-10 11:19:29 +0000

    Merge branch 'genesys-session-settings' into 'master'

    genesys: Session settings refactor

    See merge request sane-project/backends!116

commit 0df7e1ab5021e5e79ee22d90443dc220763bf0ce
Merge: 6ef288855 408469d94
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-08-10 07:08:56 +0000

    Merge branch 'patch-1' into 'master'

    Update hp3900_rts8822.c

    See merge request sane-project/backends!92

commit 6ef288855ed5e0068902ce9cb2772b8ed6a32158
Merge: 1267a9a5c d2653efbd
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-08-10 06:06:38 +0000

    Merge branch 'sanei-usb-capture-debug-msg' into 'master'

    sanei_usb: Add a way to record debug messages to USB captures

    See merge request sane-project/backends!93

commit 1267a9a5cc09c424cc2f1f95c7d5ffb7a33a8785
Merge: a2085a973 df580b948
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-08-09 20:18:55 +0200

    Merge remote-tracking branch 'origin/master'

commit a2085a973ff1fcdf5e0a3021eb819710d331c9a5
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-08-09 20:16:59 +0200

    po/de.po: add/fix some German translations

commit 97dd074595622948e456a9d8f20fb8457bd39b19
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-08-09 20:11:05 +0200

    po/de.po: recreate German translations file

commit 453b48180d22012b65fa9712be47d24c3e75cf93
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-08-09 19:51:18 +0200

    pixma: Canon PIXMA TS6200 Series is working (#109)

commit df580b9480eaacf02348742df064ab22daebf100
Merge: 908526054 cdb14d9fe
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-09 11:10:43 +0000

    Merge branch 'genesys-simplify-register-set-access' into 'master'

    genesys: Simplify register set access

    See merge request sane-project/backends!115

commit 9085260541c288e765af7183ab2abf3826e66a6a
Merge: 041389e57 598aa9977
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-09 10:51:06 +0000

    Merge branch 'genesys-remove-half-ccd' into 'master'

    genesys: Improve code clarity by retiring half_ccd

    See merge request sane-project/backends!114

commit 041389e57f748ce6e38f11c2db836e3cc12b7f0c
Merge: 035951933 16c55bf33
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-09 10:46:36 +0000

    Merge branch 'genesys-cleanup-cmd-set' into 'master'

    genesys: Cleanup cmd_set implementation

    See merge request sane-project/backends!113

commit 035951933b19472f0f548afed4cd8df113db847b
Merge: a3e492d6d f9a9d3f84
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-09 10:28:10 +0000

    Merge branch 'genesys-physical-register-state' into 'master'

    genesys: Cache physical register state

    See merge request sane-project/backends!111

commit a3e492d6d59a75e869d8f35122a2d1044d4dc579
Merge: ccd40d396 f9b87de44
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-09 10:23:15 +0000

    Merge branch 'genesys-remove-manual-alloc' into 'master'

    genesys: Remove manual allocations

    See merge request sane-project/backends!112

commit ccd40d3969806c67b973a7e7466c76690de395c0
Merge: 5bd9ab494 fc9159b40
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-09 10:15:53 +0000

    Merge branch 'genesys-improve-readability-model-struct' into 'master'

    genesys: Improve readability of model struct setup

    See merge request sane-project/backends!110

commit 5bd9ab4941f749047944e2748f9c711cf047b17d
Merge: 239147d4c 49b94dc09
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-09 09:57:02 +0000

    Merge branch 'genesys-split-genesys-low' into 'master'

    genesys: Split genesys_low.h into several files

    See merge request sane-project/backends!109

commit 239147d4c71ae2d39798172e2752318bf9c228bf
Merge: c4468f998 3c6635559
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-09 08:45:38 +0000

    Merge branch 'genesys-cleanup' into 'master'

    genesys: Cleanups

    See merge request sane-project/backends!106

commit c4468f998acedb2ebf6b80aa37171435c15ce1c5
Merge: ebac8aee7 faa078cd2
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-09 08:26:52 +0000

    Merge branch 'genesys-return-errors-as-exceptions' into 'master'

    genesys: Return errors as exceptions instead of error codes

    See merge request sane-project/backends!105

commit ebac8aee75bc231a9b6975562e1208100ba86fcd
Merge: 153602308 c6dacdf01
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-09 07:51:05 +0000

    Merge branch 'genesys-return-errors-as-exceptions' into 'master'

    genesys: Return errors as exceptions instead of error codes

    See merge request sane-project/backends!104

commit 153602308cd87e99b19c8f2b339c633daa95e4c6
Merge: b30567c27 bd6afe373
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-09 07:33:28 +0000

    Merge branch 'genesys-refactor-model-list' into 'master'

    genesys: Refactor model list

    See merge request sane-project/backends!103

commit b30567c271a4fb3a1f6855fb356f11bec9a7e833
Merge: 326b2a04f 847a3a6e7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-09 07:12:47 +0000

    Merge branch 'genesys-canoscan-8400f-infrared' into 'master'

    genesys: Add infrared channel support for CanoScan 8400F

    See merge request sane-project/backends!102

commit 326b2a04f7c1d5d6bf3d06540e096039bcf3e2c2
Merge: 7d1617e4c 57d8eb565
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-09 06:53:42 +0000

    Merge branch 'genesys-return-errors-as-exceptions' into 'master'

    genesys: Return errors as exceptions instead of error codes

    See merge request sane-project/backends!101

commit 57d8eb565ffbaacb5e23d8b02d659775f21e8650
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-09 09:40:54 +0300

    genesys: Add missing dependencies to the unit tests

commit 7d1617e4c067704704b5b828fc192a534ee09d1d
Merge: 9a8eb90dc 5c32aefd0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-08 20:09:54 +0000

    Merge branch 'genesys-canoscan-8400f' into 'master'

    genesys: Implement regular and transparency scans for Canon CanoScan 8400F

    See merge request sane-project/backends!100

commit 9a8eb90dc3694d259a82853fa82be368457f59ed
Merge: 820ff5293 6d6dbd81d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-08 19:51:06 +0000

    Merge branch 'genesys-canoscan-8600f-infrared' into 'master'

    genesys: Add infrared support to Canon CanoScan 8600F

    See merge request sane-project/backends!99

commit 820ff5293acaafe1ca218c7943d6cdc2a9c258be
Merge: 45646240b ac6ccfc18
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-08 18:51:09 +0000

    Merge branch 'genesys-repark-before-setting-shading-regs' into 'master'

    genesys: Repark before regs are setup in white_shading_calibration()

    See merge request sane-project/backends!98

commit 45646240bf4322702d0f270e44b33f684734ef77
Merge: 8d3369f68 af0f8e7e4
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-08 18:33:41 +0000

    Merge branch 'genesys-fix-gl843-gain-calibration' into 'master'

    genesys: Improve gain calibration on GL843

    See merge request sane-project/backends!97

commit 8d3369f68ecf171c8a4e6dc319b8b5d501206dc5
Merge: 1491a1067 74854a85a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-08 18:13:30 +0000

    Merge branch 'genesys-reinit-regs-before-shading' into 'master'

    genesys: Reinit registers before each shading calibration step

    See merge request sane-project/backends!96

commit d2653efbd9dbe8b8f6611c10209864eeb5c5be58
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-08 20:51:24 +0300

    sanei_usb: Add a way to record debug messages to USB captures

commit 1491a1067e6cdf39d0088ed788fabf66b2216a75
Merge: 0fc4eb80e aa6bdba74
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-08 17:49:06 +0000

    Merge branch 'genesys-usb-capture-debug-msg' into 'master'

    genesys: Add a way to record debug messages to USB captures

    See merge request sane-project/backends!95

commit aa6bdba74d07fa140c60cd354d8cab6faa086edb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-06-28 18:18:28 +0300

    genesys: Add a way to record debug messages to USB captures

commit 0fc4eb80e3665af8aecedcdab2cd5110325f52cf
Merge: eae96342d 34d378347
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-08 16:51:43 +0000

    Merge branch 'genesys-cleanup' into 'master'

    genesys: Various cleanups

    See merge request sane-project/backends!94

commit eae96342d838347479565e8870e0686dca5be2a3
Merge: 1be824f2c fdc23d129
Author: Ralph Little <littlesincanada@yahoo.co.uk>
Date:   2019-08-08 16:44:19 +0000

    Merge branch 'text_corrections' into 'master'

    Some fixes to US messages in source.

    See merge request sane-project/backends!91

commit 408469d94e67725fb3f9a87f4e1a5527fdca49bf
Author: Cor <corphorum@outlook.com>
Date:   2019-08-08 14:58:09 +0000

    Update hp3900_rts8822.c

    After increase the timeout from 10 to 60 seconds, the hp3970 can scan black and white 35mm films using the parameters Gray, 16 bit and 2400 dpi. More information in https://gitlab.com/sane-project/backends/issues/77

commit 1be824f2c5bdf81998dc875cd43c28ce617fc871
Merge: 953ed4c2b f8f90f8b9
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-08-08 14:01:30 +0000

    Merge branch 'sanei-usb-testing-mode' into 'master'

    sanei: Support capture and replay of USB data for testing

    See merge request sane-project/backends!55

commit 953ed4c2b0b2927516382927e1cb1f8f8863ba8d
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-08-08 21:41:22 +0900

    mustek_usb2: Fix sprintf invocation.  Fixes #110

commit 6fdbc95bf3386492f0787e730a2404c222ab08ba
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-08-06 22:36:57 +0900

    CI: Fix broken dependency after job renames

commit 2874d215146924b2cf8aab279c770a41c1aeae76
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-08-06 21:42:08 +0900

    CI: Rename stages and jobs for clarity

    It drops the common `compile:` prefix because the web UI ellipsizes
    job names.  This leads to names that are hard to tell apart when the
    prefix is applied.

    The archive stage has been renamed to snapshot to differentiate it
    more from the release stage.  The prepare moniker did not clearly
    describe the stage's intent and has been renamed to tarball.  The
    job names for these stages now reflect the `make` invocations used
    in an attempt to be more descriptive.

commit fdc23d129ab2746ba19b2c2d405b8d9965cd53cb
Author: Ralph Little <littlesincanada@yahoo.co.uk>
Date:   2019-08-05 20:54:18 -0700

    1) Correct some spelling mistakes
    2) Convert some British spellings to US
    3) Modified some longer sentences to improve readability.
    4) Modified en_GB to suit

commit 6912400cf48ab027dd17569003d9385fd161a5f0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-04 18:21:08 +0300

    genesys: Move motor profile tables to a single file

commit aa4ee9c49e7e603c283ca48d41e75f979550c470
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-04 18:21:07 +0300

    genesys: Split genesys_devices.cc file to separate files for each table

commit 6592692448f8b4f35e2eb8fc9d6e31375a6a4ae3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-04 18:21:06 +0300

    genesys: Compile genesys_devices.cc as a separate translation unit

commit 8cb6130cfe7d08a4c8bea6d6d8cb528aa1039c44
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-04 14:01:50 +0300

    genesys: Cleanup the gpo setup

commit ca54462bd287cbf8b48d04e703cddac18f8ffc37
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-04 13:17:52 +0300

    genesys: Simplify shading upload on gl843

commit 2df86f551f128248550485ec26dbe07f6fdb64dc
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-04 13:17:51 +0300

    genesys: Fix incorrect dpi computation for G4050

commit d365637dfc7687313c39375d4140462875e95ce9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-04 13:17:50 +0300

    genesys: Simplify optical regs setup on gl843

commit 3e09ba18fa4e7e5c7818faeb6e85b9a354548d5f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-04 13:17:49 +0300

    genesys: Move pixel coordinate calculation to gl843_compute_session()

commit 6a0f17cecca0536c5689aafaaee46bf658b2d5b0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-04 13:17:48 +0300

    genesys: Raise an exception if input resolution is out of bounds

commit 1c61d3692a236d3d86903c1d6f00ca72e004d3b6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-04 12:01:52 +0300

    genesys: Rewrap extremely long lines in motor step definitions

commit ea602f7ebc38d84858d18727621af91d6748b667
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-04 12:01:51 +0300

    genesys: Rewrite and document sanei_genesys_calculate_zmod()

commit 6f20e6d341c67fe394c860de716d2771f97e81ca
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-04 12:01:50 +0300

    genesys: Use std::vector for the motor slope tables

commit 510e8123f3826938cfe3fdda68d4eef0a9519976
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-04 12:01:49 +0300

    genesys: Remove support for multiple motor power modes

commit 239eab6ea661654fc7134684b8c8bb07b2478fc6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-04 12:01:48 +0300

    genesys: Simplify motor setup to make it easier to expand

commit b85a83f6af03b5300a1808cef0b68330c70f1d9a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-04 10:52:58 +0300

    genesys: Remove no longer used optical flags variables

commit 306b160f00661f488337b906e5a83eda67f6eeaa
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-04 10:52:57 +0300

    genesys: Pass OPTICAL_FLAG_DISABLE_SHADING flag via session

commit 86d4828ece1db3e42cef876c344bd7d5b91cd010
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-04 10:52:56 +0300

    genesys: Pass OPTICAL_FLAG_DISABLE_GAMMA flag via session

commit d503701fb754c9d152866440f7382aa6f9fd650e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-04 10:52:55 +0300

    genesys: Pass OPTICAL_FLAG_USE_XPA flag via session

commit 773170af094193209992739a07c9f220f25a4290
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-04 10:52:54 +0300

    genesys: Pass OPTICAL_FLAG_DISABLE_LAMP flag via session

commit 8618a49182ea59bd6d25e282f877437d5d3d7f63
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-04 10:52:53 +0300

    genesys: Pass OPTICAL_FLAG_STAGGER flag via session

commit a4b551be0c07f26b54c1cda8c631f920dcc9eac9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-04 10:52:52 +0300

    genesys: Pass OPTICAL_FLAG_ENABLE_LEDADD flag via session

commit e5a90e8005375577fc795f3f71c111e2467c70a8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-04 02:48:29 +0300

    genesys: Update all sensors when searching for reference point

commit 91b20fb268e649249ce062cbca7afc835874a5d0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-04 02:48:28 +0300

    genesys: Make sanei_genesys_search_reference_point() non-destructive

commit d0dbfa6ec33c04e3f1973b478ce912966411deb3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-04 02:48:27 +0300

    genesys: Print traces of more data

commit 824f922e49de40fe4bb4cac263732c6ad09c0ac9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-04 02:48:26 +0300

    genesys: Don't do additional scans in case of debug

commit e733f669601f0ae2184680107e46ec70b3b19d02
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-04 01:11:08 +0300

    genesys: Add a way to customize per-sensor divisor management

commit ea78c00882a1db9322062d4efa271d5ecaedebff
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-04 01:11:07 +0300

    genesys: Fix duplicate hwdpi conversion on gl124

commit 1ba4018a6e71090d5d92c8ba30f0987442b0056d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-04 01:11:06 +0300

    genesys: Pass session directly to gl843_init_optical_regs_scan()

commit cafb97d2935a58d86976cbd7c73d57c1849cc2ff
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-03 22:42:20 +0300

    genesys: Use session struct to pass data to the setup functions

commit 598aa99778fc178fd6dd62f8aa42deca31f0cb66
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-03 01:31:07 +0300

    genesys: Improve code clarity by retiring half_ccd

commit 16c55bf330f80db64f886cd5bc9ceda588e00ba0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-02 22:39:05 +0300

    genesys: Init cmd_set directly instead of going through a function

commit a58b20d2c8663ae75356663b68a1734936f4d0dd
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-02 22:39:04 +0300

    genesys: Move cmd_set from model to device struct

commit f9a9d3f84a45d58b2e4d94901ff74c1b0597787c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-02 22:39:01 +0300

    genesys: Cache physical register state in the device on writes

commit faab7b02e0ee513834d35e313f7186245b2584a1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-02 22:39:00 +0300

    genesys: Cache physical register state in the device on bulk writes

commit 7836ea5778cbaba908a6cdb27014e723fdce8e6c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-02 22:38:59 +0300

    genesys: Remove bulk_write_register from the cmd_set structures

commit 60146456640985f46c8319f8acdc2f535f66e9cb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-02 22:38:58 +0300

    genesys: Cache physical register state in the device on reads

commit f9b87de44a6ab4ae74c10be6eb242798a2b88fc3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-02 22:38:54 +0300

    genesys: Remove manual allocations from calibration functions

commit 6b2919db9a14d6b7ddffb7fe504060a3eec9df65
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-02 22:38:53 +0300

    genesys: Remove manual allocations in device class

commit fc9159b4075ca16ae41090f55ca785757762b65b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-02 22:36:12 +0300

    genesys: Improve readability of model struct setup

commit 49b94dc09e1dd2c9af99e85d88a0a5dacd1b9f2a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-02 22:35:16 +0300

    genesys: Split genesys_low.h into several files

commit 3c6635559f3221b6c839532ceeb18121a76002a0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-02 22:31:58 +0300

    genesys: Remove unused code

commit 13b2d09a42e22e35993cad5e170310d0b81c07ea
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-02 22:31:57 +0300

    genesys: Fix printing of errors on exceptions

commit 025ec317e32dba0b269a5f5e9dea0e056b6d40b1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-08-02 22:31:56 +0300

    genesys: Move logical and register dpi computation to sensor struct

commit f18ef0e282f1a5437adce032b735f47b00f91168
Author: Caleb Xu <calebcenter@live.com>
Date:   2019-08-01 23:51:20 -0400

    ricoh2_buffer: fix malloc header location on macOS

commit 90684c53bb646e6db98b4547cde9aeb2d41cf602
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-08-01 21:14:08 +0900

    doc: Remove :new markers in external backend descriptions

    External backends are per definition not new sane-backends.  Removing
    the commented out info makes for fewer false hits when searching.

commit 85674f12138882ef34f493749cb1731b07f26b9e
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-08-01 21:13:33 +0900

    doc: Update as per post-release instructions

commit 9a16b62e33ac55ecc5c4fdfd9f17f407541ab6ab
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2019-08-01 21:13:19 +0900

    doc: Update post-release instructions

    This reflects the post-release changes that have been taken care of
    and are still considered somewhat meaningful.

    MD5 checksums have been replaced by SHA512 and SHA256 checksum files
    on the Releases page.  The descriptions.db was used by the no longer
    existant Search Engine on the website.

commit faa078cd213a2c27f43a4c52599b65302d1f49f2
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-27 10:12:36 +0300

    genesys: Return errors as exceptions from remaining functions

commit c0360248108e39604a0a0378a62b60e1a5641869
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-27 10:12:35 +0300

    genesys: Return errors as exceptions from genesys_buffer_image()

commit 748acbbb818919ed78b7084c5a287e5fef108442
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-27 10:12:34 +0300

    genesys: Simplify code by removing uses of RIE() macro

commit c6bbc5f7739711100ed6ec3a4a861c14af8fd2ff
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-27 10:12:33 +0300

    genesys: Return errors as exceptions from genesys_read_ordered_data()

commit 1c030da1c29963ad815db4c4a5e2ea6e28092af1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-27 10:12:32 +0300

    genesys: Return errors as exceptions from image manipulation functions

commit 39e5daa7b452b422b5135e7016ea6582fc1950f2
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-27 10:12:31 +0300

    genesys: Remove unused code

commit db2bb793d4a25aa900117d82bb15c9ac2a97b4f0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-27 10:12:30 +0300

    genesys: Remove obsolete comments

commit 107019c5de73d3efc7f23285b4ce3dd2ca32d3bb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-27 10:12:29 +0300

    genesys: Return errors as exceptions from init_options()

commit 1fd16cd16bd61b2d578cb4ccbcaee6b5517e8406
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-27 10:12:28 +0300

    genesys: Return errors as exceptions from calc_parameters()

commit 10947b94f115ccb0016408ba4a28bd2a534d56f2
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-27 10:12:27 +0300

    genesys: Return errors as exceptions from pixel format conv functions

commit f727f1a01ba2d2e630c4f1c878290f712667ec81
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-27 10:12:26 +0300

    genesys: Return errors as exceptions from genesys_fill_read_buffer()

commit a6855efb575e6fb40413d6f36c9c33413f48ac05
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-27 10:12:25 +0300

    genesys: Return errors as exceptions from genesys_fill_segmented_buffer()

commit a18ef2e17ffd0963b12e10caa8f64d70ddb89ef9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-27 10:12:24 +0300

    genesys: Return errors as exceptions from genesys_fill_line_interp_buffer()

commit 38b97f1402e9def3ce0536e187cb439661781e53
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-27 05:12:31 +0300

    genesys: Include full session description into the device struct

commit f4401d501fb28da8045bfa6b3b2d42ff89cf56bd
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-27 05:12:30 +0300

    genesys: Make asic type an enum

commit e34814aef85d11fe09d0fd86745fc1717d86d9ae
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-27 05:12:29 +0300

    genesys: Remove duplicate fields out of settings struct

commit 808cc5737d4abe5d229cf31c767f7f25fd15a7d1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-27 05:12:28 +0300

    genesys: Move ScanSession to genesys_settings.h

commit d0ed3795f625e39f56f2d4ad2e316fe911a62805
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-27 05:12:27 +0300

    genesys: Remove unused code

commit cdb14d9fef9e2f9137c9be6cb210649b516a2760
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-21 18:41:50 +0300

    genesys: Remove uses of sanei_genesys_set_reg_from_set()

commit 36714a781044f431f078fc269ad21a41f2a0b643
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-21 18:41:49 +0300

    genesys: Remove uses of sanei_genesys_read_reg_from_set()

commit e6dbfd64a352e8d7702d73f5be3e1a4465a4b871
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-21 18:41:48 +0300

    genesys: Remove uses of sanei_genesys_set_triple()

commit 08c98e13b2c59bf192f122a8714363bd6a4a2be6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-21 18:41:47 +0300

    genesys: Remove uses of sanei_genesys_set_double()

commit 98546ecff05239ab1c864b246092312d499e09e0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-21 18:41:46 +0300

    genesys: Remove uses of sanei_genesys_get_triple()

commit fa9fcc31a13cc0400cacb5c5cbf01683af6c98da
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-21 18:41:45 +0300

    genesys: Remove uses of sanei_genesys_get_double()

commit 847a3a6e7c8e85bd26f7d3bb67699c6877788910
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 21:17:31 +0300

    genesys: Fix 8400F 2400 dpi scans

commit b29bb66a36481bc906b2ad09403102f08b177a49
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 21:17:30 +0300

    genesys: Add support for infrared scanning on 8400F

commit ce713f95c0470e1afb20148e1c886310bcc09eb4
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 21:17:29 +0300

    genesys: Refactor XPA lamp setup function to be more extensible

commit c6dacdf0149063057dc9446abd9393155d86df4b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:41 +0300

    genesys: Return errors as exceptions from accurate_line_read()

commit 53450b681051b5c71746af5d4bfeb53f7c25d5df
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:40 +0300

    genesys: Return errors as exceptions from genesys_start_scan()

commit 1ad6aca5018dd8c5f204f6db9bafd5ceef701095
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:39 +0300

    genesys: Return errors as exceptions from genesys_load_lut()

commit 7c70d30f63e62f23c69845e2c2a1354bc041c831
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:38 +0300

    genesys: Return errors as exceptions from genesys_*_calibration()

commit b41ad140ad64c878342edb07136b5b6ff88534bf
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:37 +0300

    genesys: Return errors as exceptions from *genesys_warmup_lamp()

commit fa07b4806c08af6f2dfbb5a45bdf4d9fc868b532
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:36 +0300

    genesys: Return errors as exceptions from genesys_save_calibration()

commit e3d4b8fb9138c7c08ad6fade46c79330f0fb399a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:35 +0300

    genesys: Return errors as exceptions from genesys_send_shading_coefficient()

commit 82afcfae2d9e6fd76b904cf06f84ac6f2001a27e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:34 +0300

    genesys: Return errors as exceptions from genesys_*_shading_calibration()

commit edb442afe8b9f2890295c70e772b078b5113b0ae
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:33 +0300

    genesys: Return errors as exceptions from genesys_dummy_dark_shading()

commit cd87e4e6626a33feacaa45cdd389a78301a83539
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:32 +0300

    genesys: Return errors as exceptions from genesys_average_white()

commit 05a9a0837458cf62e38626381b70d1b811344d14
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:31 +0300

    genesys: Return errors as exceptions from *rewind()

commit 579df0d0b75c6519982e19466aa1e55069bf4648
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:30 +0300

    genesys: Return errors as exceptions from *move_to_ta()

commit 92d1817c2454a528c2f5b714f7b0d3193d51f838
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:29 +0300

    genesys: Return errors as exceptions from *search_strip()

commit 4247ced84ae6a3315a9c24a4b19e97de71d2ec3b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:28 +0300

    genesys: Return errors as exceptions from *detect_document_end()

commit 3862f53f24c06988a0be6b60931053b761279085
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:27 +0300

    genesys: Return errors as exceptions from *load_document()

commit 24625dcc2ca173728f89b037d19c8e4393da6c75
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:26 +0300

    genesys: Return errors as exceptions from *update_hardware_sensors()

commit 0db604d4dd2113639eb9a2a82cfc63bbfc6f05fc
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:25 +0300

    genesys: Return errors as exceptions from *led_calibration()

commit dd29e02457bbaf5b10b539d866fb8a318e8f0ab3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:24 +0300

    genesys: Return errors as exceptions from *coarse_gain_calibration()

commit faea78eae6ea9b1f491e5e327117754dfb5c0351
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:23 +0300

    genesys: Return errors as exceptions from *offset_calibration()

commit 1eaa88963285026bb7b3be57efeac4688b4acee1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:22 +0300

    genesys: Return errors as exceptions from *search_start_position()

commit d46d5cd0277dcc3be13bde79c2fededca2bf9a6f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:21 +0300

    genesys: Return errors as exceptions from *init_regs_for_scan()

commit 8837f8adcc55d65bd093c560851a553d8d53c087
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:20 +0300

    genesys: Return errors as exceptions from *init_regs_for_shading()

commit 61f74af2498081206cef56733a71a71686d2441e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:19 +0300

    genesys: Return errors as exceptions from *init_regs_for_warmup()

commit 75144683328632702bfd6d0cb63a4a6b22e870b0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:18 +0300

    genesys: Return errors as exceptions from *coarse_calibration()

commit 88e7268bbe0525388bad97b3d350d65d2d029195
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:17 +0300

    genesys: Return errors as exceptions from *for_coarse_calibration()

commit 7019901aa57ca630fd0ac09f29275a802e1eae97
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:16 +0300

    genesys: Return errors as exceptions from *simple_scan()

commit 94abc7f964d1b97ce7bfd2d26cdea8da099d91c4
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:15 +0300

    genesys: Return errors as exceptions from *read_data_from_scanner()

commit 867d907bb9fed29cee3408ae5d4b8ed4c66ad0dc
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:14 +0300

    genesys: Return errors as exceptions from *init()

commit 67f187bceb609d3981299edcb7f4ae5023bd91f6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:13 +0300

    genesys: Return errors as exceptions from *end_scan()

commit eaeb05ead5ab691f2a40e4f682442487814506d7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:12 +0300

    genesys: Return errors as exceptions from *search_reference_point()

commit 196e0824549b84c9c1a186050987e49c39077bca
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:11 +0300

    genesys: Return errors as exceptions from *write_file()

commit 241a4ea913c5796506c807b3f469c1eb919c2f61
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:10 +0300

    genesys: Return errors as exceptions from *write_pnm_file()

commit a6cbb980699e385168f954d665bdce1d41c054cf
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:09 +0300

    genesys: Return errors as exceptions from *eject_document()

commit 0bc253de07abc3e2348b16dcd1a105e4648dfd4c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:08 +0300

    genesys: Return errors as exceptions from *start_motor()

commit 3477b827ee178f22098da4b8a9389f2119eae091
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:07 +0300

    genesys: Return errors as exceptions from *get_paper_sensor()

commit 5d2d8e9509f5459fba74fca0409ac7738a4c25b3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:06 +0300

    genesys: Return errors as exceptions from *send_gamma_table()

commit e614c9e102629bcf34547eee2082dcfbd384adf6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:05 +0300

    genesys: Return errors as exceptions from *repark_head()

commit d8d1638fdedec78832cb926bce56ea1614843a64
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:04 +0300

    genesys: Return errors as exceptions from *asic_test()

commit a0aa335d90cb74fcfbf4c9817f5219d2cb0a7901
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:03 +0300

    genesys: Return errors as exceptions from *set_powersaving()

commit fd12b4052f9933247288474ea3f3f5d5016740e3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:02 +0300

    genesys: Return errors as exceptions from *save_power()

commit d75aa89c9f12502cf30402da84a72c495db0be27
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:01 +0300

    genesys: Return errors as exceptions from *slow_back_home()

commit 075d733613bbe0ee4ba82f5267d5367dcb241eea
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:02:00 +0300

    genesys: Return errors as exceptions from *feed()

commit 104ad9b44877563718d93023ef2e42b418d623af
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:01:59 +0300

    genesys: Return errors as exceptions from setup_for_scan()

commit 32a3faa3b56635fe54b24b452bc604c0e69e0ab8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:01:58 +0300

    genesys: Return errors as exceptions from *setup_registers() and deps

commit 06367877202dfff9a1f92302c9c3c04febe5b8f4
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:01:57 +0300

    genesys: Return errors as exceptions from *stop_motor()

commit e5e9b5dc0d5797fb1e387e8dd3eeb8d942a06a83
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:01:56 +0300

    genesys: Return errors as exceptions from *begin_scan()

commit 02efbdee43054a02c21ebf2640486ab04fcb3166
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:01:55 +0300

    genesys: Return errors as exceptions from *xpa_motor_power()

commit 8a3b5a88a5ee356fb95402ac5c6f69656c6c9c80
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:01:54 +0300

    genesys: Return errors as exceptions from *stop_action()

commit fa6e4ab4c3961e4377091aa99bda80ca672bb319
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:01:53 +0300

    genesys: Return errors as exceptions from *setup_scan_gpio()

commit 86a151a4f2c021c3d0433f060f89e04a1b733591
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2019-07-20 11:01:52 +0300

    genesys: Return errors as exceptions from *boot() and friends

